<?php
	session_start();
	chdir('..');
	require_once('api/Fivecms.php');
	$fivecms = new Fivecms();
	
	$import_files_dir = 'files/import/';
	$import_file = 'import.yml';
	$import_file_csv = 'import.csv';

	$source_yml = $fivecms->settings->yml_url;
	
	$locale = 'ru_RU.UTF-8';
	
	$skip = array("#url#","market_category","store","pickup","delivery","sales_notes","manufacturer_warranty","seller_warranty","delivery-options","local_delivery_cost","period-of-validity-days","service-life-days","warranty-days");
	
	// Интервал обновления
	$difference = 0;
	$current_date = strtotime(date("d-m-Y H:i:s"));
	if(!empty($fivecms->settings->csv_import_date)){
 		$last_import_date = strtotime($fivecms->settings->csv_import_date);
 		$datediff = $current_date - $last_import_date;
 		if(!empty($fivecms->settings->import_yml_hours))
 			$hours = $fivecms->settings->import_yml_hours;
 		else
 			$hours = 24;
 		$difference = floor($datediff/(60*60*1)); // Разница в часах
 	}
 	echo 'difference='.$difference;

	// 1 Загрузка файла
	// Если не запускали или давно
	if(empty($fivecms->settings->yml_import_step) && (empty($fivecms->settings->csv_import_date) || $difference >= $hours) ){
		
		if(setlocale(LC_ALL, 0) != $fivecms->config->locale){
			echo 'locale_error';
			echo $fivecms->config->locale;	
			echo setlocale(LC_ALL, 0);	
		}

		//проверяем загрузился ли файл
		if(!empty($source_yml)) {
		
			$temp = tempnam($import_files_dir, 'temp_');
		
			if(!$file_ok = @copy($source_yml, $temp))
				echo 'download_error';

			if($file_ok && $is_gzip = is_gzip($temp)){
				$temp2 = $temp; 
				$temp = tempnam($import_files_dir, 'temp_');
				$gzopen = gzopen($temp2, "r");
				$fopen = fopen($temp, "w");
				//разжимаем куски по 2мб и пишем
				while (!feof($gzopen)) {
					$data = gzread($gzopen, 2097152);
					fwrite($fopen, $data);
				}
				fclose($fopen);
				gzclose($gzopen);
				unlink($temp2);
			}
			
			//проверяем XML ли это файл у нас получился
			$is_xml = is_xml($temp);
			if($file_ok && !$is_xml){
				$content = file_get_contents($temp, false, null, 0, 50);
				echo "XML ERROR. WRONG HEADER '$content'";
			}else{
				if(!convert_file($temp, $import_files_dir.$import_file)) {
					echo 'convert_error';
				} 
			}
			unlink($temp);
		}

		//проверяем валидный ли XML
		if(is_xml($import_files_dir.$import_file)){
			$filename_yml_size = human_filesize(filesize($import_files_dir.$import_file));
			echo $import_file;
			echo $filename_yml_size;
			if(!empty($filename_yml_size)){
				$fivecms->settings->yml_import_step = 1;
			}	
		}
	}
	
	// 2 Сопоставляем поля
	if($fivecms->settings->yml_import_step == 1){
		//выбираем из YML названия полей
		$yml_params = get_yml_offers_params($import_files_dir.$import_file);
		
		foreach($yml_params as $k=>$p){
			if(!in_array($k, $skip))
				$yml_params[$k] = $k;
		}
		
		$fivecms->settings->yml_import_step = 2;
	}
	
	// 3 Формируем CSV
	if($fivecms->settings->yml_import_step == 2){
		if(!empty($yml_params)){

			foreach($yml_params as $k=>$p){
				if(mb_substr($p, 0, 6) == 'param_'){
					$yml_params[$k] = mb_substr($p, 6);
				}
			}

			$yml_currency = '';
			$yml_currencies = '';
			
			convert_yml_to_csv($import_files_dir.$import_file, $import_files_dir.$import_file_csv, $yml_params, $yml_currency , $yml_currencies );

			$filename_csv_size = human_filesize(filesize($import_files_dir.$import_file_csv));
			echo $import_file_csv;
			echo $filename_csv_size;
			if(!empty($filename_csv_size)){
				$fivecms->settings->yml_import_step = 3;	
			}
		}
	} 
	
	// 4 Запускаем импорт CSV
	if($fivecms->settings->yml_import_step == 3){
	
		$end = false;
		
		while(!$end) {
			if(!empty($fivecms->settings->csv_import_count))
				$from = $fivecms->settings->csv_import_count;
			else 	
				$from = 0;
			
			$get_url = $fivecms->config->root_url.'/ajax/import_csv_handler.php?from=';
			$result = import_csv($get_url,$from);
		
			if(!empty($result)){
				$from = $result['from'];
				if(!empty($from))
				$fivecms->settings->csv_import_count = $from;
				$end = $result['end'];
			}
		}
		if($end){
			$fivecms->settings->yml_import_step = 0;
			$fivecms->settings->csv_import_count = 0;
			$fivecms->settings->csv_import_date = date("d-m-Y H:i:s");
			unlink($import_files_dir.$import_file);
			unlink($import_files_dir.$import_file_csv);
			echo 'end';
		}
	}
	
	
	
	// *** Служебные функции ***
	
	function import_csv($get_url,$from){			
		$result = file_get_contents($get_url.$from);
		$result = json_decode($result, true);
		return $result;
	}
	
	function is_gzip($realpath) {
		$mystery_string = file_get_contents($realpath, false, null, 0, 50);
		if(mb_strpos($mystery_string , "\x1f" . "\x8b" . "\x08") !== false){;
			return true;
		}
	} 
	
	function is_xml($realpath) {
		$mystery_string = trim(@file_get_contents($realpath, false, null, 0, 50));
		if (mb_strpos($mystery_string , '<?xml') !== false){
			return true;
		}
	} 

	function human_filesize($bytes, $decimals = 2) {
		$sz = 'BKMGTP';
		$factor = floor((strlen($bytes) - 1) / 3);
		return sprintf("%.{$decimals}f", $bytes / pow(1024, $factor)) . @$sz[$factor];
	}   
	 
	function convert_file($source, $dest) {
		// Узнаем какая кодировка у файла
		$teststring = file_get_contents($source, false, null, 0, 500);
		$search_bom = search_bom($teststring);
		$teststring = explode(' ', $teststring);
		
		if(preg_match('//u', $teststring[1]) || (function_exists('mb_detect_encoding') && mb_detect_encoding($teststring[1], 'UTF-8'))){ // Кодировка - UTF8
			
			if($search_bom){
				if(!$src = fopen($source, "r"))
					return false;
			
				if(!$dst = fopen($dest, "w"))
					return false;
			
				while (($line = fgets($src, 4096)) !== false)
				{
					$line = remove_utf8_bom($line);
					fwrite($dst, $line);
				}
				fclose($src);
				fclose($dst);
				return true;
			
			} else {
				// Просто копируем файл
				return copy($source, $dest);
			}
			
		} else {
			// Конвертируем в UFT8
			if(!$src = fopen($source, "r")) {
				return false;
			}
			if(!$dst = fopen($dest, "w")) {
				return false;
			}

			$change_encoding = 0;
			while (($line = fgets($src, 4096)) !== false) {
				if($change_encoding == 0 && stripos($line, 'windows-1251') !== false){
					$line = str_ireplace('windows-1251', 'UTF-8', $line);
					$change_encoding = 1;
				}
				$line = win_to_utf($line);
				fwrite($dst, $line);
			}
			fclose($src);
			fclose($dst);
			return true;
		}
	}
	
	function search_bom($str="") {
		if(substr($str, 0, 3) == pack('CCC', 0xef, 0xbb, 0xbf)) {
			return true;
		}
		return false;
	}
	
	function remove_utf8_bom($text) {
		$bom = pack('H*','EFBBBF');
		while (preg_match("/^$bom/", $text)) {
			$text = preg_replace("/^$bom/", '', $text);
		}
		return $text;
	}
	
	function win_to_utf($text) {
		if(function_exists('iconv')) {
			return @iconv('windows-1251', 'UTF-8', $text);
		} else {
			$t = '';
			for($i=0, $m=strlen($text); $i<$m; $i++) {
				$c=ord($text[$i]);
				if ($c<=127) {$t.=chr($c); continue; }
				if ($c>=192 && $c<=207)    {$t.=chr(208).chr($c-48); continue; }
				if ($c>=208 && $c<=239) {$t.=chr(208).chr($c-48); continue; }
				if ($c>=240 && $c<=255) {$t.=chr(209).chr($c-112); continue; }
				//				if ($c==184) { $t.=chr(209).chr(209); continue; };
				//				if ($c==168) { $t.=chr(208).chr(129);  continue; };
				if ($c==184) { $t.=chr(209).chr(145); continue; }; #ё
				if ($c==168) { $t.=chr(208).chr(129); continue; }; #Ё
				if ($c==179) { $t.=chr(209).chr(150); continue; }; #і
				if ($c==178) { $t.=chr(208).chr(134); continue; }; #І
				if ($c==191) { $t.=chr(209).chr(151); continue; }; #ї
				if ($c==175) { $t.=chr(208).chr(135); continue; }; #ї
				if ($c==186) { $t.=chr(209).chr(148); continue; }; #є
				if ($c==170) { $t.=chr(208).chr(132); continue; }; #Є
				if ($c==180) { $t.=chr(210).chr(145); continue; }; #ґ
				if ($c==165) { $t.=chr(210).chr(144); continue; }; #Ґ
				if ($c==184) { $t.=chr(209).chr(145); continue; }; #Ґ
			}
			return $t;
		}
	}
	
	function get_yml_offers_params($xmlfile, $pics_concat = true) {
		$key = '';
		
		//открываем XML
		$xml = new XMLReader;
		$xml->open($xmlfile);
		
		while($xml->read() && $xml->name !== 'offer'){
		}
		
		while($xml->name === 'offer'){
			$node = new SimpleXMLElement($xml->readOuterXML());
			
				$names = array();
				
				//эти поля создаем вручную, т.к. они являются аттрибутами самого $node, а не внутри его элементов
				$fields['offer_id'] = '';
				//$fields['group_id'] = '';
				$fields['offer_available'] = '';
					
				foreach($node as $elem) {
					$elem_name = (string)$elem->getName();
					//изменим имя тега url, чтобы не было совпадения с полем url 
					if($elem_name == 'url'){
						$elem_name = '#url#';
					}
								
					//отдельная запись повторяющихся элементов или склеивание элементов picture
					if($pics_concat == true && in_array($key, array('picture', 'image'))){
						$key = $elem_name;
					}else{
						if(array_key_exists($elem_name,$names)){
							$key = $elem_name.count($names[$elem_name]);
						}else{
							$key = $elem_name;
						}
					}

					//этот массив для подсчета количества повторяющихся элементов
					$names[$elem_name][] = '';
					
					if ($elem->attributes()) {
						$attribs = array();
						foreach ( $elem->attributes() as $nnn){
							$attribs[] = $nnn;
						}
						$attribs = $elem_name.'_'.implode(', ', $attribs);
						$fields[$attribs] = ''  ;
					} else {
						$fields[$key] = '' ;
					}
				}
		
			$xml->next('offer');
		}
		
		return $fields;
		
	}

	function convert_yml_to_csv($xmlfile, $csvfile, $fields, $currency = array(), $currencies = array(), $pics_concat = true,  $codepage = null) {
		if(!is_string($xmlfile) || !is_string($csvfile) || !is_array($fields)){
			error_log("required arguments missing!", 0);
			return false;
		}
		
		//удаляем массив $currency и $currencies, если любое из условий сработало
		if(empty($currencies) || !isset($currencies[$currency['id']]) || !is_string($currency['id']) || !is_numeric($currency['rate'])){
			unset($currency, $currencies);
		}
		
		//удалим пустые элементы из массива
		$fields = array_filter($fields);		
		
		//кодировка файла
		$codepages = array('UTF-8', 'CP1251');
		if(!empty($codepage))
			$codepage = strtoupper($codepage);
		
		//Если кодировка задана, будет выполняться конвертация
		if(isset($codepage) && in_array($codepage, $codepages)){
			$convert_flag = true;
		}

		//удаляем csvfile, если он уже существует
		if (file_exists($csvfile)) {
			@unlink($csvfile);
		}
		//открываем csvfile на запись
		
		//если не удается открыть файл на запись, останавливаем функцию
		if(!$fcsv = fopen($csvfile,'w')){
			return false;
		}
		
		//делаем шаблон строки для записи в файл
		$flip = array_flip($fields);
		foreach($fields as $k=>$v){
			$row_tpl[$k] = '';
		}
		//print_r($row_tpl);
		
		//пишем 1 строку с заголовками
		fputcsv ( $fcsv , $fields , ";"); 
		
		//открываем XML
		$xml = new XMLReader;
		$xml->open($xmlfile);
	
		//выбираем категории из XML файла
		$yml_categories = get_yml_categories($xmlfile);
		
		$opened = array();
		while($xml->read() && $xml->name !== 'offer'){
		}
		
		while($xml->name === 'offer'){
			//делаем заготовку строки из шаблона $row_tpl
			$row = $row_tpl;
			//print_r($row);
			//преобразуем узел offer из XML в SimpleXMLElement объект
			$node = new SimpleXMLElement($xml->readOuterXML());
			
			//массив для названий элементов, повторяющиеся названия элементов будут записываться с разными именами
			$names = array();
				
			//пишем аттрибуты самого $node
			$row['offer_id'] = (string)$node->attributes()['id'];
			//$row['group_id'] = (string)$node->attributes()['group_id'];
			$av = (string)$node->attributes()['available'];
			if($av == 'true'){
				$row['offer_available'] = 1;
			} else {
				$row['offer_available'] = 0;
			}
				
			foreach($node as $elem) {
					$elem_name = (string)$elem->getName();
					//изменим имя тега url, чтобы не было совпадения с полем url 
					if($elem_name == 'url'){
						$elem_name = '#url#';
					}								
								
					//отдельная запись повторяющихся элементов или склеивание элементов picture
					if($pics_concat == true && $elem_name == 'picture'){
						$key = $elem_name;
					}else{
						if(array_key_exists($elem_name,$names)){
							$key = $elem_name.count($names[$elem_name]);
						}else{
							$key = $elem_name;
						}
					}

					//этот массив для подсчета количества повторяющихся элементов
					$names[$elem_name][] = '';
					
					if ($elem->attributes()) {
						$attribs = array();
						foreach ( $elem->attributes() as $nnn){
							$attribs[] = $nnn;
						}
						$attribs = $elem_name.'_'.implode(', ', $attribs);
						//пишем, только если такой заголовок есть у нас в $row
						if(isset($row[$attribs])){
							$row[$attribs] = (string)$elem ;
							$p = $row[$attribs];
						}
					} else {
						//пишем, только если такой заголовок есть у нас в $row
						if(isset($row[$key])){
							if($pics_concat == true && in_array($key, array('picture', 'image'))){
								if(!is_array($row[$key])){
									$row[$key] = array();
								}
								$row[$key][] = (string)$elem ;
							}else{
								$row[$key] = (string)$elem ;
							}
						}
					}
			}
				
			//соединяем картинки через запятую
			if($pics_concat == true && is_array($row['picture'])){
				$row['picture'] = implode(',' , $row['picture']);
			}

			
			if(isset($row['categoryId'])){
				$row['categoryId'] = $yml_categories[$row['categoryId']]['path'];
			}

			// пишем строку в csvfile
			fputcsv ( $fcsv , $row , ";"); 
				
			//переходим к следующему узлу <offer>
			$xml->next('offer');
		}
		//закрываем файл
		fclose($fcsv);
		
		if(file_exists($csvfile)){
			return true;
		}else{
			return false;
		}
		
	}

	function get_yml_categories($xmlfile) {
		$xml = new XMLReader;
		$xml->open($xmlfile);
		
		$opened = array();
		while($xml->read() && $xml->name !== 'categories'){
		}
		
		if(!empty($xml->readOuterXML()))
			$node = new SimpleXMLElement($xml->readOuterXML());
		//print_r($node);
		foreach($node as $k=>$n){
			$id = (string)$n->attributes()['id'];
			$parent_id = (string)$n->attributes()['parentId'];
			
			$cats[$id]['id'] = $id;
			$cats[$id]['name'] = (string)$n;
			
			if(!empty($parent_id)){
				$cats[$id]['parent_id'] = $parent_id;
			} else {
				$cats[$id]['parent_id'] = 0;
			}
			
		}

		// Дерево категорий
		$tree = array();
		$tree['subcategories'] = array();
		
		// Указатели на узлы дерева
		$pointers = array();
		$pointers[0] = &$tree;
		$pointers[0]['path'] = array();
		$pointers[0]['level'] = 0;
		
		$finish = false;
		while(!empty($cats)  && $finish === false) {
			$flag = false;
			// Проходим все выбранные категории
			foreach($cats as $k=>$category) {
				if(isset($pointers[$category['parent_id']])) {
					// В дерево категорий (через указатель) добавляем текущую категорию
					$pointers[$category['id']] = $pointers[$category['parent_id']]['subcategories'][] = $category;
					
					// Путь к текущей категории
					$curr[0] = $category['name'];
					$pointers[$category['id']]['path'] = implode("/", array_merge((array)$pointers[$category['parent_id']]['path'], $curr));
					
					// Уровень вложенности категории
					$pointers[$category['id']]['level'] = 1+$pointers[$category['parent_id']]['level'];
					
					// Убираем использованную категорию из массива категорий
					unset($cats[$k]);
					$flag = true;
				}
			}
			if($flag === true){
				$finish = true;
			}
		}
		
		return $pointers;
		
	}


?>