<?php

require_once('api/Fivecms.php');
$fivecms = new Fivecms();

header("Content-type: text/xml; charset=UTF-8");
print (pack('CCC', 0xef, 0xbb, 0xbf));
// Заголовок
print
"<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE yml_catalog SYSTEM 'shops.dtd'>
<yml_catalog date='".date('Y-m-d H:i')."'>
<shop>
<name>".htmlspecialchars($fivecms->settings->site_name)."</name>
<company>".htmlspecialchars($fivecms->settings->company_name)."</company>
<url>".$fivecms->config->root_url."</url>
";

// Валюты
$currencies = $fivecms->money->get_currencies(array('enabled'=>1));
$all_currencies = $fivecms->money->get_currencies();
$main_currency = reset($currencies);

// Категории
$fivecms->db2->query("SELECT id, parent_id, name FROM __categories WHERE visible=1");
$categories = $fivecms->db2->results();
print "<categories>";
$cats_names = array();
foreach($categories as $c){
	print "<category id='$c->id'";
	if($c->parent_id>0) {
		print " parentId='$c->parent_id'";
	}
	print ">".htmlspecialchars($c->name)."</category>";
	$cats_names[$c->id] = $c->name;
}
print "</categories>";

$stock_filter = $fivecms->settings->export_not_in_stock ? '' : ' AND (v.stock >0 OR v.stock is NULL) ';

// Товары
$fivecms->db2->query("SET SQL_BIG_SELECTS=1");

$images = array();
foreach($fivecms->products->get_images() as $i){
  $images[$i->product_id][$i->filename] = $i->color;
}
// Товары
$fivecms->db2->query("SELECT v.price, v.id AS variant_id, p.name AS product_name, v.name AS variant_name, v.name1 AS size, v.name2 AS color, v.position AS variant_position, v.sku AS variant_sku, v.stock, (v.stock IS NULL) as infinity, v.compare_price, v.unit, v.discount, v.discount_date, v.currency_id, p.id AS product_id, p.url, p.annotation, p.body, p.meta_description, pc.category_id, b.name AS brand
					FROM __variants v LEFT JOIN __products p ON v.product_id=p.id
					LEFT JOIN __brands b ON b.id = p.brand_id
					LEFT JOIN __products_categories pc ON p.id = pc.product_id
					WHERE p.visible AND p.to_yandex $stock_filter GROUP BY v.id ORDER BY p.id, v.position ");
print "<offers>
";

$currency_code = $main_currency->code;
$precision = isset($main_currency->cents)?$main_currency->cents:2;
$max_order_amount = $fivecms->settings->max_order_amount;

$prev_product_id = null;
$products = $fivecms->db2->results();

foreach ($products as $p)
{
	$variant_url = '';
	if($prev_product_id === $p->product_id)
		$variant_url = '?variant='.$p->variant_id;
	$prev_product_id = $p->product_id;
	
	// Variant discount
	if($fivecms->settings->variant_discount && $p->discount > 0){
        if( (!empty($p->discount_date) && strtotime($p->discount_date) > time()) || empty($p->discount_date) ){
			$p->compare_price = $p->price;
			$p->price = $p->price*(100-$p->discount)/100;
		}
    }
	
	// Multicurrency
	if($p->currency_id > 0) {
		$price = round($p->price * $all_currencies[$p->currency_id]->rate_to / $all_currencies[$p->currency_id]->rate_from,$precision);
		$compare_price = round($p->compare_price * $all_currencies[$p->currency_id]->rate_to / $all_currencies[$p->currency_id]->rate_from,$precision);
	} else {
		$price = round($fivecms->money->convert($p->price, $main_currency->id, false),$precision);
		$compare_price = round($fivecms->money->convert($p->compare_price, $main_currency->id, false),$precision);
	}
	
	if(!empty($p->category_id) && !empty($images[$p->product_id])){
	
		if($p->variant_name) {
			print "<offer id='$p->variant_id'"." group_id='$p->product_id' available='".(((($p->infinity == 0) && ($p->stock == 0)) ) ? 'false' : 'true')."'>";
		} else {
			print "<offer id='$p->variant_id'"." available='".(((($p->infinity == 0) && ($p->stock == 0)) ) ? 'false' : 'true')."'>";
		}
	
		$stock = ($p->infinity == 0 ? $p->stock : $max_order_amount);
		// Для Ali
		print "<quantity>".$stock."</quantity>";
		print "<stock>".$stock."</stock>";
		// Для Ali @
	
		print "<url>".$fivecms->config->root_url.'/products/'.$p->url.$variant_url."</url>";
		print "<price>$price</price>";
	
		if($p->compare_price > 0)
			$proc_price = 100-(100*$p->price/$p->compare_price);

		if(($p->compare_price > 0) && ($p->compare_price > $p->price) && ($proc_price > 5) && ($proc_price < 95)) {
				print "<oldprice>$compare_price</oldprice>";
		}
	
		print "<currencyId>".$currency_code."</currencyId>";
	
		print "<categoryId>".$p->category_id."</categoryId>";
	
		if(isset($images[$p->product_id])) {
			$cnt=0;
			foreach($images[$p->product_id] as $v=>$col) {
				if($cnt<10){
					if( empty($p->color) || ( !empty($p->color) && ($p->color == $col || empty($col)) ) ){
						print "<picture>".$fivecms->design->resize_modifier($v, 1024, 768, 'w')."</picture>";
						$cnt++;
					}
				}
			}
		}
	
		print "<name>".htmlspecialchars($p->product_name).($p->variant_name?' ('.htmlspecialchars($p->variant_name).')':'')."</name>";

		$p_body = trim(htmlspecialchars(strip_tags($p->body)));
		$p_annotation = trim(htmlspecialchars(strip_tags($p->annotation)));
		$p_meta_description = trim($p->meta_description);
		$descr = '';
		$annot = '';
		if(!empty($p_body))
			$descr = "<description><![CDATA[".$p->body."]]></description>";
		if(!empty($p_annotation))
			$annot = "<description><![CDATA[".$p->annotation."]]></description>";
		if(!empty($p_meta_description))
			$meta_d = "<description>".$p_meta_description."</description>";
		
		// Если нет аннотации и/или описания, то стараемся вывести хоть что-то
		if(empty($annot) && !empty($descr))
			$annot = $descr;
		elseif(empty($descr) && !empty($annot))
			$descr = $annot;
		elseif(empty($descr) && empty($annot) && !empty($meta_d))
			$annot = $descr = $meta_d;
	
		if(empty($fivecms->settings->short_description) && !empty($annot))
			print $annot;
		elseif(!empty($descr))
			print $descr;

		if(!empty($p->brand)) 
			print "<vendor>".htmlspecialchars($p->brand)."</vendor>";

		if(!empty($p->variant_sku))
			print "<vendorCode>".htmlspecialchars($p->variant_sku)."</vendorCode>"; 

		/*if (!empty($p->variant_name))
			print "<param name='Вариант'>".htmlspecialchars($p->variant_name)."</param>"; */
	
		if(!empty($p->size)) 
			print "<param name='Размер'>".htmlspecialchars($p->size)."</param>";
		if(!empty($p->color)) 
			print "<param name='Цвет'>".htmlspecialchars($p->color)."</param>";
		
		$features[$p->product_id] = $fivecms->features->get_product_options(array('product_id'=>$p->product_id));
		if (!empty($features[$p->product_id])) {
			foreach($features[$p->product_id] as $feature) {
				print "<param name='".htmlspecialchars($feature->name)."'>".htmlspecialchars($feature->value)."</param>";
			}
		}
	 
		print "</offer>";
		
	}	
}

print "</offers>";
print "</shop>
</yml_catalog>
";
