<?php
 
require_once('Fivecms.php');

class DiscountGroup extends Fivecms
{
	// Скидка от суммы заказа
	private $discountgroups = array();
	private $discountgroup;

	public function __construct()
	{
		parent::__construct();
		$this->init_discountgroups();
	}
	
	private function init_discountgroups()
	{
		$this->discountgroups = array();
		$query = "SELECT id, name, discount, count_from, count_to, enabled
					FROM __discountgroup ORDER BY id";
		$this->db->query($query);
		$results = $this->db->results();
		foreach($results as $c){
			$this->discountgroups[$c->id] = $c;
		}
		$this->discountgroup = reset($this->discountgroups);
	}

	public function get_discountgroups($filter = array()){
		$discountgroups = array();
		foreach($this->discountgroups as $id=>$discountgroup){
			if((!empty($filter['enabled']) && $discountgroup->enabled) || empty($filter['enabled']))
				$discountgroups[$id] = $discountgroup;
		}	
		return $discountgroups;
	}
	
	public function add_discountgroup($discountgroup){	
		$query = $this->db->placehold('INSERT INTO __discountgroup SET ?%', $discountgroup);

		if(!$this->db->query($query))
			return false;

		$id = $this->db->insert_id();
		$this->init_discountgroups();
			
		return $id;
	}
	
	public function update_discountgroup($id, $discountgroup){	
		$query = $this->db->placehold('UPDATE __discountgroup SET ?% WHERE id in (?@)', $discountgroup, (array)$id);
		if(!$this->db->query($query))
			return false;		
		$this->init_discountgroups();
		return $id;
	}
	
	public function delete_discountgroup($id)
	{
		if(!empty($id)){
			$query = $this->db->placehold("DELETE FROM __discountgroup WHERE id=? LIMIT 1", intval($id));
			$this->db->query($query);
		}
		$this->init_discountgroups();		
	}
        
    public function get_value_discount($price){
        $query = "SELECT discount FROM __discountgroup WHERE count_to >='".$price."' And count_from <='".$price."' ORDER BY id";
		if(!$this->db->query($query)){
            return false;
		}
		return $this->db->result('discount');
    }
    
    public function get_max_discount($price){
    	$query = "SELECT `discount` FROM `__discountgroup` where count_to=(Select Max(`count_to`) from `__discountgroup`) And  (Select Max(`count_to`) from `__discountgroup`) <= ".$price." group by `discount` LIMIT 0, 30";
		if(!$this->db->query($query)){
            return false;
		}
		return $this->db->result('discount');
    }
    // Скидка от суммы заказа @
	
	// Итоговая скидка в %
	public function get_procent_discount($total_price, $user_id = null){
		$discount = 0;
		$mob_discount = 0;
		$user_discount = 0;
		$cumulative_discount = 0;
		$summ_discount = 0;
	
		// Скидка только в моб. приложении
		if($this->design->is_mobile_app() && !empty($this->settings->mob_discount)) {			  
			$mob_discount = $this->settings->mob_discount;     
		}
		
		// Групповая и накопительная скидка
		if(isset($user_id)){
			$user_id = $user_id;
		} elseif(isset($_SESSION['user_id'])){
			$user_id = $_SESSION['user_id'];
		}
		if(!empty($user_id) && $user = $this->users->get_user(intval($user_id))){ 
			$user_discount = $user->discount;
			$cumulative_discount = $user->tdiscount;
		}
		
		// Скидка от суммы заказа
		$summ_discount = (int)$this->get_value_discount($total_price);
		if($summ_discount == 0){
			$summ_discount = (int)$this->get_max_discount($total_price); 
		}
		
		$discount_type = $this->settings->enable_groupdiscount;
		switch($discount_type){
			case 1:
			    $discount = $user_discount;
			break;
			case 2:
			    $discount = $summ_discount;
			break;
			case 3:
				$discount = $summ_discount + $user_discount;  
			break;
			case 4:
			    $discount = $summ_discount + $user_discount + $cumulative_discount;  
			break; 
			case 5:
			    $discount = $cumulative_discount;         
			break;
			default :
			    $discount = 0;
			break;   
		}
		
		$discount = $discount + $mob_discount;
		
		if($discount > 100)
			$discount = 100;
		
		return $discount;
	
	}
	// Итоговая скидка в % @
	
}
