{* ajax pagination *}
{if isset($smarty.server.HTTP_X_REQUESTED_WITH) && $smarty.server.HTTP_X_REQUESTED_WITH|strtolower == 'xmlhttprequest'}
    {$wrapper = '' scope=root}
	<input class="refresh_title" type="hidden" value="{$meta_title|escape}{if $current_page_num>1} - страница {$current_page_num}{/if}" />
{/if}
{* ajax pagination end *}

{if !empty($keyword)}
	{$canonical="/articles?keyword={$keyword|escape}" scope=root}
{elseif !empty($category)}
	{$canonical="/articles/{$category->url}{if $current_page_num>1}?page={$current_page_num}{/if}" scope=root}
{else}
	{$canonical="/articles{if $current_page_num>1}?page={$current_page_num}{/if}" scope=root}
{/if}

{* Заголовок страницы *}
{if !empty($keyword)}
<h1>Результаты поиска по: "{$keyword|escape}"</h1>
{elseif isset($page->name)}
<h1 data-page="{$page->id}">{$page->name|escape}</h1>
{elseif isset($category->name)}
<h1 data-articlescategory="{$category->id}" itemprop="name">{$category->name|escape}</h1>
{else}
<h1>Статьи</h1>
{$meta_title = "Статьи" scope=root}
{$meta_description = "Статьи" scope=root}
{$meta_keywords = "Статьи" scope=root}
{/if}

{* Категории *}
{if !empty($category->subcategories)}
	{$articles_cats = $category->subcategories}
{elseif !empty($articles_categories) && empty($category)}	
	{$articles_cats = $articles_categories}
{/if}	
{if !empty($articles_cats)}
	<ul class="relcontent tiny_products parentscat" style="margin-bottom:0;">
	{foreach $articles_cats as $ac2}
		{if $ac2->visible}
		<li class="product pointer" onClick="window.location='{$config->root_url}/articles/{$ac2->url}'">
			<div class="image">
				{if $ac2->image}
					<img src="{$config->articles_categories_images_dir}{$ac2->image}" alt="{$ac2->name}" title="{$ac2->name}" />
				{else}
					<svg class="nophoto"><use xlink:href='#folder' /></svg>
				{/if}
			</div>
			<div class="product_info">
				<div class="h3 product_title font"><a data-articlescategory="{$ac2->id}" href="articles/{$ac2->url}">{$ac2->name}</a></div>
			</div>
		</li>
		{/if}
	{/foreach}
	</ul>
{/if}

{* Описание *}
{if !empty($page->body) || ( !empty($category->description) && !empty($current_page_num) && $current_page_num==1 )}
<div itemscope itemtype="http://schema.org/Article">
	{* Schema.org *}
	<div itemprop="author" itemscope itemtype="https://schema.org/Organization">
		<meta itemprop="name" content="{$settings->company_name|escape}" />
		<meta itemprop="address" content="{$settings->company_address|escape}" />
		<meta itemprop="telephone" content="{$settings->phone|escape}" />
		<link itemprop="url" href="{$config->root_url}" />
		<link itemprop="image" href="{$logo_url}" />
	</div>
	{if !empty($category)}
		<meta content="{$category->last_modify|date_format:'c'}" itemprop="datePublished" />
		<meta content="{$category->last_modify|date_format:'c'}" itemprop="dateModified" />
	{elseif !empty($page->last_modify)}
		<meta content="{$page->last_modify|date_format:'c'}" itemprop="datePublished" />
		<meta content="{$page->last_modify|date_format:'c'}" itemprop="dateModified" />
	{/if}
	<meta content="{$meta_title|escape}" itemprop="headline" />
	{$seo_description = $meta_title|cat:$settings->seo_description|cat:" ✩ "|cat:$settings->site_name|cat:" ✩"}
	<meta content="{if !empty($meta_description)}{$meta_description|escape}{elseif !empty($seo_description)}{$seo_description|escape}{/if}" itemprop="description" />
	<link itemprop="mainEntityOfPage" href="{$config->root_url}{$canonical}" />
	<div style="display:none;" itemprop="image" itemscope itemtype="https://schema.org/ImageObject">
		{if !empty($category->image)}
			{$img_url=$config->root_url|cat:'/'|cat:$config->articles_categories_images_dir|cat:$category->image}
		{else}
			{$img_url=$logo_url}
		{/if}
		<link itemprop="url contentUrl image" href="{$img_url}" />
		{assign var="info" value=$img_url|getimagesize}
		<meta itemprop="width" content="{$info.0}" />
		<meta itemprop="height" content="{$info.1}" />
	</div>
	{* Schema.org @ *}
	<div class="post-pg" itemprop="articleBody">
		{if !empty($page->body)}{$page->body}{/if}
		{if $current_page_num==1 && !empty($category->description)}
			{$category->description}
		{/if}
	</div>
</div>
{/if}

{* Каталог статей *}
{if $posts}

	{* Сортировка *}
	{if $posts|count>1}
		<div class="sort">
			Сортировать по 
			<a {if $sort=='position'} class="selected"{/if} href="{url articles_sort=position page=null}">умолчанию</a>
			<a {if $sort=='date'}    class="selected"{/if} href="{url articles_sort=date page=null}">дате</a>
			<a {if $sort=='name'}     class="selected"{/if} href="{url articles_sort=name page=null}">названию</a>
		</div>
	{/if}
	
	{include file='pagination.tpl'}
	
	<ul class="blogline blogposts">
		{foreach $posts as $post}
		<li class="blogitem_wrapper">
			<div class="postimage shine {if $post->text}pointer{/if}" {if $post->text}onclick="window.location='{$config->root_url}/article/{$post->url}'"{/if}
			style="{if !empty($post->image)}background-image: url({$post->image->filename|resize:400:400:false:$config->resized_articles_images_dir});{/if}">
				{if empty($post->image)}
					<svg class="nophoto"><use xlink:href='#no_photo' /></svg>
				{/if}
				<div class="h3 post_title font">{if !empty($post->text)}<a data-article="{$post->id}" href="article/{$post->url}" title="{$post->name|escape}">{$post->name|escape}</a>{else}{$post->name|escape}{/if}
				</div>
			</div>
			<div class="postdate dateico">
				<div class="left">
					<svg><use xlink:href='#calendar' /></svg>
					<span>{$post->date|date}</span>
				</div>
				{if !empty($settings->allow_views)}
				<div class="right">
					<svg><use xlink:href='#views' /></svg>
					<span>Просмотров: {$post->views}</span>
				</div>
				{/if}
			</div>
			{if !empty($post->annotation)}<div class="blog_annotation {if !empty($post->section)}has_category{/if}">{$post->annotation}</div>{/if}
			{if !empty($post->section)}
				<div class="path">
					<svg><use xlink:href='#folder' /></svg>
					<a href="articles/{$post->section->url}" title="{$post->section->name|escape}">{$post->section->name|escape}</a>
				</div>
			{/if}				
		</li>
		{if $post@iteration%3 == 0 && !$post@last}
		</ul><ul class="blogline blogposts">
		{/if}
		{/foreach}
	</ul>

	{include file='pagination.tpl'}	

{else}
	<p>Статьи не найдены</p>
{/if}	
{* Каталог end *}
