{$canonical="/{$page->url}" scope=root}

<h1 {if $page}data-page="{$page->id}"{/if} itemprop="name">{$page->name|escape}</h1>

<div class="feedback-left" itemscope itemtype="http://schema.org/Article">
	{* Schema.org *}
    <div itemprop="author" itemscope itemtype="https://schema.org/Organization">
        <meta itemprop="name" content="{$settings->company_name|escape}" />
		<meta itemprop="address" content="{$settings->company_address|escape}" />
		<meta itemprop="telephone" content="{$settings->phone|escape}" />
		<link itemprop="url" href="{$config->root_url}" />
		<link itemprop="image" href="{$logo_url}" />
    </div>
	<meta content="{$page->last_modify|date_format:'c'}" itemprop="datePublished" />
	<meta content="{$page->last_modify|date_format:'c'}" itemprop="dateModified" />
	<meta content="{$meta_title|escape}" itemprop="headline" />
	{$seo_description = $meta_title|cat:$settings->seo_description|cat:" ✩ "|cat:$settings->site_name|cat:" ✩"}
	<meta content="{if !empty($meta_description)}{$meta_description|escape}{elseif !empty($seo_description)}{$seo_description|escape}{/if}" itemprop="description" />
	<link itemprop="mainEntityOfPage" href="{$config->root_url}{$canonical}" />
	<div style="display:none;" itemprop="image" itemscope itemtype="https://schema.org/ImageObject">
		{$img_url=$logo_url}
		<link itemprop="url contentUrl image" href="{$img_url}" />
		{assign var="info" value=$img_url|getimagesize}
		<meta itemprop="width" content="{$info.0}" />
		<meta itemprop="height" content="{$info.1}" />
	</div>
	{* Schema.org @ *}
	
	<div itemprop="articleBody">
		{$page->body}
	</div>
</div>

<div class="feedback-right">
	<div class="feedb-title font">Обратная связь</div>
	{if isset($message_sent)}
		<div class="sent">{$name|escape}, ваше сообщение отправлено.</div>
	{else}
		<form class="form feedback_form" method="post">
			{if isset($error)}
			<div class="message_error">
				{if $error=='captcha'}Не пройдена проверка на бота
				{elseif $error=='empty_name'}Введите имя
				{elseif $error=='empty_email'}Введите Email
				{elseif $error=='empty_text'}Введите сообщение
				{elseif $error == 'wrong_name'}В поле 'Имя' может использоваться только кириллица
				{elseif $error == 'wrong_email'}Некорректный Email
				{/if}
			</div>
			{/if}
			<label>* Имя</label>
			<input data-format=".+" data-notice="Введите имя" value="{if isset($name)}{$name|escape}{/if}" name="name" maxlength="255" type="text"/>
			<label>* Email</label>
			<input data-format="email" data-notice="Введите Email" value="{if isset($email)}{$email|escape}{/if}" name="email" maxlength="255" type="email"/>
			<label>Сообщение</label>
			<textarea data-format=".+" data-notice="Введите сообщение" name="message">{if isset($message)}{$message|escape}{/if}</textarea>
			{include file='conf.tpl'}
			<input class="button blue l right hideablebutton" type="submit" name="feedback" value="Отправить" />
			{include file='antibot.tpl'}
		</form>
	{/if}
</div>
