<!DOCTYPE html>
<html dir="ltr" prefix="og: http://ogp.me/ns#" lang="ru" itemscope itemtype="http://schema.org/WebPage">
<head>
	<base href="{$config->root_url}/"/>
	<meta http-equiv="X-UA-Compatible" content="IE=edge"/>
	{if $settings->font == 1}
		{*<link href="https://fonts.googleapis.com/css?family=PT+Sans:400,700&display=swap&subset=cyrillic" rel="stylesheet">*}
		<style>
		@font-face {
		  font-family: 'PT Sans';
		  font-style: normal;
		  font-display: swap;
		  font-weight: 400;
		  src: local('PT Sans'), local('PTSans-Regular'),
			   url('fonts/pt-sans-v11-latin_cyrillic-regular.woff2') format('woff2'), 
			   url('fonts/pt-sans-v11-latin_cyrillic-regular.woff') format('woff');
		}
		@font-face {
		  font-family: 'PT Sans';
		  font-style: normal;
		  font-display: swap;
		  font-weight: 700;
		  src: local('PT Sans Bold'), local('PTSans-Bold'),
			   url('fonts/pt-sans-v11-latin_cyrillic-700.woff2') format('woff2'), 
			   url('fonts/pt-sans-v11-latin_cyrillic-700.woff') format('woff');
		}
		</style>
	{elseif $settings->font == 2}
		<link href="https://fonts.googleapis.com/css?family=Roboto+Condensed:400,700&display=swap&subset=cyrillic" rel="stylesheet">
	{elseif $settings->font == 3}
		<link href="https://fonts.googleapis.com/css?family=Fira+Sans:400,700&display=swap&subset=cyrillic" rel="stylesheet">
	{/if}
	<style>
		.box-heading, #content > h1, .mainproduct, .h2, .heading, .button, .advertblue, .advertwhite, .advertred, .font { font-family:{if $settings->font == 3}'Fira Sans',{elseif $settings->font == 2}'Roboto Condensed',{/if}'PT Sans', Arial Narrow,sans-serif,Arial; }
		.comment_list li ul li, .blog_annotation li, ul.stars li, .annot ul li, .del_pay_info .description ul li, #tab1 ul li, .annotation ul li, .main-text ul li, #content .post-pg ul li, #content .page-pg ul li{ background:url("js/bullets/{$settings->bullet}.png") 0px 4px no-repeat transparent; }
	</style>
	{if $module != "ProductView"}
		{* product seo title и seo description находятся в product.tpl *}
		{* page seo description *}
		{if !empty($meta_title)}
			{$seo_description = $meta_title|cat:" "|cat:$settings->seo_description|cat:" ✩ "|cat:$settings->site_name|cat:" ✩"}
		{elseif !empty($page->header)}
			{$seo_description = $page->header|cat:" "|cat:$settings->seo_description|cat:" ✩ "|cat:$settings->site_name|cat:" ✩"}
		{/if}
	{/if}
	{if !empty($meta_description)}
		{$meta_description = $meta_description|escape}
	{elseif !empty($seo_description)}
		{$meta_description = $seo_description|escape}
	{/if}
	<title>{if !empty($meta_title)}{$meta_title|escape}{elseif !empty($seo_title)}{$seo_title|escape}{/if}{if !empty($current_page_num) && $current_page_num>1} - страница {$current_page_num}{/if}</title>    
	{if !empty($meta_description)}<meta name="description" content="{$meta_description|escape}" />{/if}
	<meta name="keywords" content="{if !empty($meta_keywords)}{$meta_keywords|escape}{/if}" /> 
	{if !empty($canonical)}<link itemprop="mainEntityOfPage" href="{$config->root_url}{$canonical}" />{/if}
	<meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/>
	<meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1, maximum-scale=2, user-scalable=yes"/>
	<meta name="format-detection" content="telephone=no"/>
	<link rel="stylesheet" type="text/css" href="design/{$settings->theme|escape}/css/style.css?v={filemtime("design/{$settings->theme|escape}/css/style.css")}"/>
	<link rel="stylesheet" type="text/css" href="design/{$settings->theme|escape}/css/{$settings->colortheme|escape}.css?v={filemtime("design/{$settings->theme|escape}/css/{$settings->colortheme|escape}.css")}"/>
	{if $module == 'MainView'}
	<link rel="stylesheet" type="text/css" href="design/{$settings->theme|escape}/css/main.css?v={filemtime("design/{$settings->theme|escape}/css/main.css")}"/>
	{/if}
	<script src="js/jquery3/jquery.js"></script>
	<!--canonical-->{if isset($canonical)}<link rel="canonical" href="{$config->root_url}{$canonical}"/>{/if}<!--/canonical-->
	{if !empty($current_page_num) && $current_page_num==2}<link rel="prev" href="{$config->root_url}{url page=null}">{/if}
	{if !empty($current_page_num) && $current_page_num>2}<link rel="prev" href="{$config->root_url}{url page=$current_page_num-1}">{/if}
	{if !empty($current_page_num) && $current_page_num<$total_pages_num}<link rel="next" href="{$config->root_url}{url page=$current_page_num+1}">{/if}
	{if !empty($current_page_num) && $current_page_num > 1}<meta name=robots content="index,follow">{/if}
	<link href="favicon.ico" rel="icon" type="image/x-icon"/>
	<link href="favicon.ico" rel="shortcut icon" type="image/x-icon"/>
	{if $module == 'ProductView'}
		<meta name="twitter:url"  property="og:url" content="{$config->root_url}{$smarty.server.REQUEST_URI}">
		<meta property="og:type" content="website">
		<meta name="twitter:card" content="product"/>
		<meta name="twitter:title" property="og:title" content="{$product->name|escape}">
		<meta name="twitter:description" property="og:description" content='{if !empty($product->annotation)}{$product->annotation|strip_tags|escape}{elseif !empty($meta_description)}{$meta_description|escape}{/if}'>
		{if !empty($product->image->filename)}
			<meta name="twitter:image" property="og:image" content="{$product->image->filename|resize:1024:768:w}">
			<link rel="image_src" href="{$product->image->filename|resize:1024:768:w}">
		{else}
			<meta name="twitter:image" property="og:image" content="{$config->root_url}/js/nophoto.png">
			<link rel="image_src" href="{$config->root_url}/js/nophoto.png">
		{/if}
		{if !empty($settings->site_name)}
			<meta name="twitter:site" content="{$settings->site_name|escape}">
		{/if}
		{if !empty($product->variant->price)}
			<meta name="twitter:data1" content="Цена">
			<meta name="twitter:label1" content="{$product->variant->price|convert} {$currency->code|escape}">
		{/if}
		{if !empty($settings->company_name)}
			<meta name="twitter:data2" content="Организация">
			<meta name="twitter:label2" content="{$settings->company_name|escape}">
		{/if}
	{elseif in_array($module, array('BlogView', 'ArticlesView', 'SurveysView'))}
		<meta property="og:url" content="{$config->root_url}{$smarty.server.REQUEST_URI}">
		<meta property="og:type" content="article">
		<meta name="twitter:card" content="summary">
		<meta name="twitter:title" property="og:title" content="{$meta_title|escape}">
		{if !empty($post->image)}
			<meta name="twitter:image" property="og:image" content="{$post->image->filename|resize:400:400}">
			<link rel="image_src" href="{$post->image->filename|resize:400:400}">
		{elseif !empty($post->images[1])}
			<meta name="twitter:image" property="og:image" content="{$post->images[1]->filename|resize:1024:768:w}">
			<link rel="image_src" href="{$post->images[1]->filename|resize:1024:768:w}">	
		{else}
			<meta name="twitter:image" property="og:image" content="{$logo_url}">
			<link rel="image_src" href="{$logo_url}">
		{/if}
		<meta name="twitter:description" property="og:description" content="{if !empty($post->annotation)}{$post->annotation|strip_tags|escape}{elseif !empty($meta_description)}{$meta_description|escape}{/if}">
	{else}
		<meta name="twitter:title" property="og:title" content="{$meta_title|escape}">
		<meta property="og:type" content="website">
		<meta name="twitter:card" content="summary">
		<meta property="og:url" content="{$config->root_url}{$smarty.server.REQUEST_URI}">
		<meta name="twitter:image" property="og:image" content="{$logo_url}">
		<link rel="image_src" href="{$logo_url}">
		<meta property="og:site_name" content="{$settings->site_name|escape}">
		{if !empty($meta_description)}<meta name="twitter:description" property="og:description" content="{$meta_description|escape}">{/if}
	{/if}
	<meta name="generator" content="5CMS">
	{$settings->script_header}
	{if $settings->analytics}
		<!-- Global site tag (gtag.js) - Google Analytics -->
		<script async src="https://www.googletagmanager.com/gtag/js?id={$settings->analytics}"></script>
		<script>
		  window.dataLayer = window.dataLayer || [];
		  function gtag(){ dataLayer.push(arguments);}
		  gtag('js', new Date());

		  gtag('config', '{$settings->analytics}');
		</script>
	{/if}
</head>
<body {if !empty($module)}class="{$module|lower}"{/if}>																																																																																																																																																																																																																
	<header>
		<div class="top-hdr">
			<div class="tophm" role="toolbar">
				{if $menus[1]->enabled}
				<div class="topmm font">
					{foreach $pages as $p}
						{if $p->menu_id == 1}
						<a {if $page && $page->id == $p->id}class="selected"{/if} data-page="{$p->id}" href="{$p->url}" title="{$p->name|escape}">{$p->name|escape}</a>
						{/if}
					{/foreach}
				</div>	
				{/if}
				<div id="welcome">
					{if !empty($user)}
						<span class="username" onclick="window.location='{$config->root_url}/user'">Кабинет</span> 
						<span class="hline">|</span>
						<span class="username" onclick="window.location='{$config->root_url}/user/logout'">Выйти</span> 
					{else}
						<span class="username" onclick="window.location='{$config->root_url}/user/login'">Вход</span>
						<span class="hline">|</span> 
						<span class="username" onclick="window.location='{$config->root_url}/user/register'">Регистрация</span>
					{/if}
				</div>
			</div>
		 </div>
		 <div id="adapt-hdr">
			<div id="logo" role="banner">
				<img loading="lazy" onclick="window.location='{$config->root_url}/'" src="{$logo_url}?v={filemtime($logo_url)}" title="{$settings->site_name|escape}" alt="{$settings->site_name|escape}" />
			</div>
			<div id="workingtime">
				<div class="divider">
					<svg x="0px" y="0px" width="48px" height="48px" viewBox="0 0 24 24" enable-background="new 0 0 24 24" xml:space="preserve"><g><path fill="none" d="M0,0h24v24H0V0z"/></g><g><path opacity="0.3" d="M12,4c-4.42,0-8,3.58-8,8c0,4.42,3.58,8,8,8s8-3.58,8-8C20,7.58,16.42,4,12,4z M16.25,16.15L11,13V7h1.5
								v5.25l4.5,2.67L16.25,16.15z"/><path d="M11.99,2C6.47,2,2,6.48,2,12c0,5.52,4.47,10,9.99,10C17.52,22,22,17.52,22,12C22,6.48,17.52,2,11.99,2z M12,20
								c-4.42,0-8-3.58-8-8c0-4.42,3.58-8,8-8s8,3.58,8,8C20,16.42,16.42,20,12,20z"/><polygon points="12.5,7 11,7 11,13 16.25,16.15 17,14.92 12.5,12.25 		"/></g>
					</svg>
					<div class="first-level font">Режим работы:</div>
					<div class="second-level font">{$settings->worktime|escape}</div>
				</div>
			</div> 
			<div id="top_phone">
				<div class="divider {if $settings->phone && $settings->tel}twophone{else}onephone{/if}">
					<svg x="0px" y="0px" width="48px" height="48px" viewBox="0 0 24 24" enable-background="new 0 0 24 24" xml:space="preserve"><g><path fill="none" d="M0,0h24v24H0V0z"/></g><g><path opacity="0.3" d="M6.54,5h-1.5c0.09,1.32,0.34,2.58,0.75,3.79l1.2-1.21C6.75,6.75,6.6,5.88,6.54,5z"/><path opacity="0.3" d="M15.2,18.21c1.21,0.41,2.48,0.67,3.8,0.76v-1.5c-0.88-0.07-1.75-0.22-2.6-0.45L15.2,18.21z"/><g><path d="M15,12h2c0-2.76-2.24-5-5-5v2C13.66,9,15,10.34,15,12z"/><path d="M19,12h2c0-4.97-4.03-9-9-9v2C15.87,5,19,8.13,19,12z"/><path d="M20,15.5c-1.25,0-2.45-0.2-3.57-0.57c-0.1-0.03-0.21-0.05-0.31-0.05c-0.26,0-0.51,0.1-0.71,0.29l-2.2,2.2
									c-2.83-1.44-5.15-3.75-6.59-6.59l2.2-2.21c0.28-0.26,0.36-0.65,0.25-1C8.7,6.45,8.5,5.25,8.5,4c0-0.55-0.45-1-1-1H4
									C3.45,3,3,3.45,3,4c0,9.39,7.61,17,17,17c0.55,0,1-0.45,1-1v-3.5C21,15.95,20.55,15.5,20,15.5z M5.03,5h1.5
									C6.6,5.88,6.75,6.75,6.98,7.58l-1.2,1.21C5.38,7.58,5.12,6.32,5.03,5z M19,18.97c-1.32-0.09-2.6-0.35-3.8-0.76l1.2-1.2
									c0.85,0.24,1.72,0.39,2.6,0.45V18.97z"/></g></g>
					</svg>
					{if $settings->phone && $settings->tel}
						<div class="second-level font first_phone pointer" onClick="window.location='tel:{$settings->phone|escape|regex_replace:'/[() -]/' :''}'">{$settings->phone|escape}</div>
						<div class="second-level font pointer" onClick="window.location='tel:{$settings->tel|escape|regex_replace:'/[() -]/' :''}'">{$settings->tel|escape}</div>
					{elseif $settings->phone}
						<div class="first-level font">Свяжитесь с нами:</div>
						<div class="second-level font pointer" onClick="window.location='tel:{$settings->phone|escape|regex_replace:'/[() -]/' :''}'">{$settings->phone|escape}</div>
					{elseif $settings->tel}
						<div class="first-level font">Свяжитесь с нами:</div>
						<div class="second-level font pointer" onClick="window.location='tel:{$settings->tel|escape|regex_replace:'/[() -]/' :''}'">{$settings->tel|escape}</div>
					{/if}
				</div>
			</div>
			<div id="topcall">
				<div class="topcallbutton button">
					<svg viewBox="0 0 24 24">
						<path fill="#000000" d="M17.25,18H6.75V4H17.25M14,21H10V20H14M16,1H8A3,3 0 0,0 5,4V20A3,3 0 0,0 8,23H16A3,3 0 0,0 19,20V4A3,3 0 0,0 16,1Z" />
					</svg>
					<div class="callmetext font">Перезвоните мне</div>
				</div>
			</div>
		 </div> 

		<nav class="menu">
			<div class="inner">
				<ul class="super-menu">
				
					<li class="catalog_menu">
						<a class="font" href="{if empty($settings->purpose)}catalog{elseif $settings->purpose}services{/if}">
						<span class="menu-icon">
							 <span></span>
							 <span></span>
							 <span></span>
						</span>
						{if empty($settings->purpose)}Каталог товаров{elseif $settings->purpose == 1}Каталог услуг{/if}</a>
						{if !empty($settings->show_nav_cat)}
							{if empty($settings->purpose) && !empty(categories)}
								{function name=categories_tree_top level=1}
									<ul class="dropdown-menu">
										{foreach $categories as $c}
											{if $c->visible}
											<li {if !empty($c->subcategories)}class="has_subcat"{/if}>
												<a title="{$c->name|escape}" href="catalog/{$c->url}">
													<span class="cat_name">{if !empty($c->menu)}{$c->menu|escape}{else}{$c->name|escape}{/if}</span>
													{if !empty($c->subcategories)}<span class="subcat_icon"><svg><use xlink:href='#arrow' /></svg></span>{/if}
												</a>
												{if !empty($c->subcategories)}
													{categories_tree_top categories=$c->subcategories level=$level+1}
												{/if}
											</li>
											{/if}
										{/foreach}
									</ul>
								{/function}
								{categories_tree_top categories=$categories}
							{elseif !empty($settings->purpose) && !empty(services_categories)}
								{function name=services_tree_top level=1}
									<ul class="dropdown-menu">
										{foreach $services_categories as $c}
											{if $c->visible}
											<li {if !empty($c->subcategories)}class="has_subcat"{/if}>
												<a title="{$c->name|escape}" href="services/{$c->url}">
													<span class="cat_name">{$c->menu|escape}</span>
													{if !empty($c->subcategories)}<span class="subcat_icon"><svg><use xlink:href='#arrow' /></svg></span>{/if}
												</a>
												{if !empty($c->subcategories)}
													{services_tree_top services_categories=$c->subcategories level=$level+1}
												{/if}
											</li>
											{/if}
										{/foreach}
									</ul>
								{/function}
								{services_tree_top services_categories=$services_categories}
							{/if}
						{/if}
					</li>

					{if $menus[17]->enabled}
					<li>
						<a class="font" href="m-info">{$menus[17]->name|escape|truncate:13:"":true}</a>
						<ul class="dropdown-menu">
							{foreach $pages as $p}
								{if $p->menu_id == 17}
								<li {if $page && $page->id == $p->id}class="selected"{/if}>
									<a href="{$p->url}" title="{$p->name|escape}">{$p->name|escape}</a>
								</li>
								{/if}		
							{/foreach}
						</ul>
					 </li>
					 {/if}
				</ul>
				{if empty($settings->purpose) || in_array($module, array('ProductView', 'ProductsView', 'CartView', 'OrderView', 'BrowsedView', 'CompareView', 'WishlistView'))}
				<div class="cart pointer" onClick="window.location='{$config->root_url}/cart'">
					<svg fill="#FFFFFF" x="0px" y="0px" width="36px"
						 height="36px" viewBox="0 0 24 24" enable-background="new 0 0 24 24" xml:space="preserve"><g><path fill="none" d="M0,0h24v24H0V0z"/></g><g><polygon opacity="0.3" points="15.55,11 18.31,6 6.16,6 8.53,11 		"/><g><path d="M15.55,13c0.75,0,1.41-0.41,1.75-1.03l3.58-6.49C21.25,4.82,20.77,4,20.01,4H5.21L4.27,2H1v2h2l3.6,7.59l-1.35,2.44
									C4.52,15.37,5.48,17,7,17h12v-2H7l1.1-2H15.55z M6.16,6h12.15l-2.76,5H8.53L6.16,6z"/><path d="M7,18c-1.1,0-1.99,0.9-1.99,2c0,1.1,0.89,2,1.99,2c1.1,0,2-0.9,2-2C9,18.9,8.1,18,7,18z"/><path d="M17,18c-1.1,0-1.99,0.9-1.99,2c0,1.1,0.89,2,1.99,2c1.1,0,2-0.9,2-2C19,18.9,18.1,18,17,18z"/></g></g>
					</svg>
					<div id="cart_informer">
						{include file='cart_informer.tpl'}
					</div>
				</div>
				{else}
				<div class="cart" style="display:none;">
					<div id="cart_informer">
						{include file='cart_informer.tpl'}
					</div>
				</div>
				{/if}

				<div class="topinfowrapper">
					{if empty($settings->purpose) || in_array($module, array('ProductView', 'ProductsView', 'CartView', 'OrderView', 'BrowsedView', 'CompareView', 'WishlistView'))}
						<div id="compare_informer">
							{include file='comparemain_informer.tpl'}
						</div>
						<div id="wishlist">
							{include file='wishlist_informer.tpl'}
						</div>
					{elseif $settings->purpose && !in_array($module, array('ProductView', 'ProductsView', 'CartView', 'OrderView', 'BrowsedView', 'CompareView', 'WishlistView'))}
						<div class="servicesheader">
							<div class="svgwrapper" title="Личный кабинет" onClick="window.location='{$config->root_url}/user'">
								<svg fill="#FFFFFF" height="44" viewBox="0 0 24 24" width="44">
									<path d="M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm0 3c1.66 0 3 1.34 3 3s-1.34 3-3 3-3-1.34-3-3 1.34-3 3-3zm0 14.2c-2.5 0-4.71-1.28-6-3.22.03-1.99 4-3.08 6-3.08 1.99 0 5.97 1.09 6 3.08-1.29 1.94-3.5 3.22-6 3.22z"/>
									<path d="M0 0h24v24H0z" fill="none"/>
								</svg>
							</div>

							<div class="svgwrapper" title="Контакты" onClick="window.location='{$config->root_url}/contacts'">
								<svg fill="#FFFFFF" height="44" viewBox="0 0 24 24" width="44">
									<path d="M0 0h24v24H0z" fill="none"/>
									<path d="M20 4H4c-1.1 0-1.99.9-1.99 2L2 18c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V6c0-1.1-.9-2-2-2zm0 14H4V8l8 5 8-5v10zm-8-7L4 6h16l-8 5z"/>
								</svg>
							
							</div>

							<div class="svgwrapper" title="Статьи" onClick="window.location='{$config->root_url}/articles'">
								<svg fill="#FFFFFF" height="44" viewBox="0 0 24 24" width="44">
									<path d="M0 0h24v24H0z" fill="none"/>
									<path d="M3 13h8V3H3v10zm0 8h8v-6H3v6zm10 0h8V11h-8v10zm0-18v6h8V3h-8z"/>
								</svg>
							</div>

							<div class="svgwrapper" title="Новости" onClick="window.location='{$config->root_url}/blog'">
								<svg fill="#FFFFFF" height="44" viewBox="0 0 24 24" width="44">
									<path d="M0 0h24v24H0z" fill="none"/>
									<path d="M19 3h-4.18C14.4 1.84 13.3 1 12 1c-1.3 0-2.4.84-2.82 2H5c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm-7 0c.55 0 1 .45 1 1s-.45 1-1 1-1-.45-1-1 .45-1 1-1zm-2 14l-4-4 1.41-1.41L10 14.17l6.59-6.59L18 9l-8 8z"/>
								</svg>
							</div>
						</div>
					{/if}

				</div>
		
				<div id="search" role="search">
					{if $module == 'BlogView'}
					<form action="blog">
					{elseif $module == 'ArticlesView'}
					<form action="articles">
					{elseif $module == 'ServicesView'}
					<form action="services">
					{elseif $module == 'TagsView'}
					<form action="tags">
					{else}
						{if empty($settings->purpose)}
						<form action="products">
						{elseif $settings->purpose}
						<form action="services">
						{/if}
					{/if}
						<input class="button_search" value="" type="submit"/>
						<input class="input_search newsearch" type="text" name="keyword" value="{if !empty($keyword)}{$keyword|escape}{/if}" placeholder="Поиск..." autocomplete="off"/>
					</form>
					<div class="searchchoose font">
						{if $module == 'BlogView'}
							в блоге
						{elseif $module == 'ArticlesView'}
							в статьях
						{elseif $module == 'ServicesView'}
							в услугах
						{elseif $module == 'TagsView'}
							в тегах
						{else}
							{if empty($settings->purpose)}
								в товарах
							{elseif $settings->purpose}
								в услугах
							{/if}
						{/if}
					</div>
					<ul class="listsearch font">
						<li data-type="blog">в блоге</li>
						<li data-type="articles">в статьях</li>
						<li data-type="services">в услугах</li>
						<li data-type="products">в товарах</li>
						<li data-type="tags">в тегах</li>
					</ul>
				</div>

			</div>
		</nav>

	</header>
	
	{if $module == 'MainView'}
		<div class="slidertop{if $settings->slidermode == 'tinyslider'} tinyslider{elseif $settings->slidermode == 'sideslider'} tinyslider sidebanners{/if}">
			{if empty($settings->slider_type) && $settings->slidermode != 'sideslider'}
				{include file='slider_products.tpl'}
			{else}
				{include file='slider.tpl'}
			{/if}
			
			{if $settings->slidermode == 'sideslider'}
				{$countsidebanners=0}
				<ul class="leftbanners">
					{section name=i loop=4}
						{$b_vis = 'banner'|cat:$smarty.section.i.iteration|cat:'vis'}
						{$b_url = 'banner'|cat:$smarty.section.i.iteration}
						{$b_name = 'banner'|cat:$smarty.section.i.iteration|cat:'name'}
			
						{if $settings->$b_vis && $countsidebanners < 2}{$countsidebanners=$countsidebanners+1}<li><img loading="lazy" title="{$settings->site_name|escape}" alt="{$settings->site_name|escape}" {if !empty($settings->$b_url)}onClick="window.location='{$config->root_url}{$settings->$b_url}'" class="pointer"{/if} src="{$config->main_banners_images_dir}{$settings->$b_name}?{filemtime("{$config->main_banners_images_dir}{$settings->$b_name}")}" /></li>{/if}
					{/section}
				</ul>
			{/if}
		</div>
		{if $menus[20]->enabled && $settings->slidermode != 'sideslider'}
		<div id="journal-filter-0" class="font slidermenu{if $settings->slidermode} {$settings->slidermode|escape}{/if}">
			<div class="ul">
				{foreach $pages as $p}
					{if $p->menu_id == 20}
					<div class="sl_m_item" data-page="{$p->id}" onClick="window.location='{$config->root_url}/{$p->url}'">{$p->name|escape}</div>
					{/if}
				{/foreach}
			</div>
		</div>
		{/if}
	{/if}

	<div id="container">
		{if $module != 'MainView'}
			<div class="side-shade2"></div>
			{$bread_pos = 1}
			<div class="breadcrumb" itemscope itemtype="http://schema.org/BreadcrumbList">
				<span class="home" itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem"><a itemprop="item" href="{$config->root_url}" title="Главная"><svg viewBox="0 0 486.988 486.988" width="16px" height="16px"><path fill="currentColor" d="M16.822,284.968h39.667v158.667c0,9.35,7.65,17,17,17h116.167c9.35,0,17-7.65,17-17V327.468h70.833v116.167c0,9.35,7.65,17,17,17h110.5c9.35,0,17-7.65,17-17V284.968h48.167c6.8,0,13.033-4.25,15.583-10.483c2.55-6.233,1.133-13.6-3.683-18.417L260.489,31.385c-6.517-6.517-17.283-6.8-23.8-0.283L5.206,255.785c-5.1,4.817-6.517,12.183-3.967,18.7C3.789,281.001,10.022,284.968,16.822,284.968zM248.022,67.368l181.333,183.6h-24.367c-9.35,0-17,7.65-17,17v158.667h-76.5V310.468c0-9.35-7.65-17-17-17H189.656c-9.35,0-17,7.65-17,17v116.167H90.489V267.968c0-9.35-7.65-17-17-17H58.756L248.022,67.368z"></path></svg><link itemprop="name" content="Главная" href="{$config->root_url}" property='' /></a><meta itemprop="position" content="{$bread_pos++}" /></span>
				{if $module == 'ProductsView'}
					{if !empty($category)}
						{foreach from=$category->path item=cat}
						{if !$cat@last || !empty($brand)}
						» <span itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem"><a itemprop="item" href="catalog/{$cat->url}" title="{$cat->name|escape}"><span itemprop="name">{if !empty($cat->menu)}{$cat->menu|escape}{else}{$cat->name|escape}{/if}</span></a><meta itemprop="position" content="{$bread_pos++}" /></span>
						{else}
							»  <span itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem"><link itemprop="item" href="catalog/{$cat->url}" /><span itemprop="name">{if !empty($cat->menu)}{$cat->menu|escape}{else}{$cat->name|escape}{/if}</span><meta itemprop="position" content="{$bread_pos++}" /></span>
						{/if}
						{/foreach}  
						{if !empty($brand)}
						»  <span itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem"><link itemprop="item" href="catalog/{$cat->url}/{$brand->url}" /><span itemprop="name">{$brand->name|escape}</span><meta itemprop="position" content="{$bread_pos++}" /></span>
						{/if}
					{elseif !empty($brand)}
						» <span itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem"><a itemprop="item" href="brands" title="Бренды"><span itemprop="name">Бренды</span></a><meta itemprop="position" content="{$bread_pos++}" /></span>
						»  <span itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem"><link itemprop="item" href="brands/{$brand->url}" /><span itemprop="name">{$brand->name|escape}</span><meta itemprop="position" content="{$bread_pos++}" /></span>
					{elseif !empty($keyword)}
						» Поиск
					{/if}
				{elseif $module == 'ProductView'}
					{if !empty($category)}{foreach from=$category->path item=cat}
					» <span itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem"><a itemprop="item" href="catalog/{$cat->url}" title="{$cat->name|escape}"><span itemprop="name">{if !empty($cat->menu)}{$cat->menu|escape}{else}{$cat->name|escape}{/if}</span></a><meta itemprop="position" content="{$bread_pos++}" /></span>
					{/foreach}{/if}
					{if !empty($brand)}
					» <span itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem"><a itemprop="item" href="catalog/{$cat->url}/{$brand->url}" title="{$brand->name|escape}"><span itemprop="name">{$brand->name|escape}</span></a><meta itemprop="position" content="{$bread_pos++}" /></span>
					{/if}
					»  <span itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem"><link itemprop="item" href="products/{$product->url}" /><span itemprop="name">{$product->name|escape}</span><meta itemprop="position" content="{$bread_pos++}" /></span>
				{elseif $module == 'ArticlesView'}
					{if isset($page) && $page->url == 'articles'}
						» <span itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem"><link itemprop="item" href="articles" /><span itemprop="name">Статьи</span><meta itemprop="position" content="{$bread_pos++}" /></span>
					{else}
						» <span itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem"><a itemprop="item" href="articles"><span itemprop="name">Статьи</span></a><meta itemprop="position" content="{$bread_pos++}" /></span> 
					{/if}
					{if !empty($category)}
						{foreach from=$category->path item=cat}
						{if !$cat@last || !empty($post->name)}
							» <span itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem"><a itemprop="item" href="articles/{$cat->url}" title="{$cat->name|escape}"><span itemprop="name">{$cat->name|escape}</span></a><meta itemprop="position" content="{$bread_pos++}" /></span>
						{else}
							»  <span itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem"><link itemprop="item" href="articles/{$cat->url}" /><span itemprop="name">{$cat->name|escape}</span><meta itemprop="position" content="{$bread_pos++}" /></span>
						{/if}
						{/foreach}
					{/if}
					{if !empty($post->name)} » <span itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem"><link itemprop="item" href="article/{$post->url}" /><span itemprop="name">{$post->name|escape}</span><meta itemprop="position" content="{$bread_pos++}" /></span>{/if}
				{elseif $module == 'ServicesView'}
					{if isset($page) && $page->url == 'services'}
						» <span itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem"><link itemprop="item" href="services" /><span itemprop="name">Услуги</span><meta itemprop="position" content="{$bread_pos++}" /></span>
					{else}
						» <span itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem"><a itemprop="item" href="services" title="Услуги"><span itemprop="name">Услуги</span></a><meta itemprop="position" content="{$bread_pos++}" /></span> 
					{/if}
					{if !empty($category)}
						{foreach from=$category->path item=cat}
						{if !$cat@last}
							» <span itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem"><a itemprop="item" href="services/{$cat->url}" title="{$cat->name|escape}"><span itemprop="name">{$cat->name|escape}</span></a><meta itemprop="position" content="{$bread_pos++}" /></span>
						{else}
							»  <span itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem"><link itemprop="item" href="services/{$cat->url}" /><span itemprop="name">{$cat->name|escape}</span><meta itemprop="position" content="{$bread_pos++}" /></span>
						{/if}
						{/foreach}
					{/if}
				{elseif $module == 'SurveysView'}
					 » 
					<span itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem"><a itemprop="item" href="surveys"><span itemprop="name">Задания</span></a><meta itemprop="position" content="{$bread_pos++}" /></span> 
					{if !empty($category)}
						{foreach from=$category->path item=cat}
						{if !$cat@last || !empty($survey->name)}
							» <span itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem"><a itemprop="item" href="surveys/{$cat->url}" title="{$cat->name|escape}"><span itemprop="name">{$cat->name|escape}</span></a><meta itemprop="position" content="{$bread_pos++}" /></span>
						{else}
							»  <span itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem"><link itemprop="item" href="surveys/{$cat->url}" /><span itemprop="name">{$cat->name|escape}</span><meta itemprop="position" content="{$bread_pos++}" /></span>
						{/if}
						{/foreach}
					{/if}
					{if !empty($survey->name)} » <span itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem"><link itemprop="item" href="survey/{$survey->url}" /><span itemprop="name">{$survey->name|escape}</span><meta itemprop="position" content="{$bread_pos++}" /></span>{/if}
				{elseif $module == 'BlogView'}
					{if isset($page) && $page->url == 'blog'}
						» <span itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem"><link itemprop="item" href="blog" /><span itemprop="name">Блог</span><meta itemprop="position" content="{$bread_pos++}" /></span>
					{else}
						» <span itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem"><a itemprop="item" href="blog" title="Блог"><span itemprop="name">Блог</span></a><meta itemprop="position" content="{$bread_pos++}" /></span>
					{/if}
					{if !empty($category) && !empty($post->name)}
						» <span itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem"><a itemprop="item" href="sections/{$category->url}" title="{$category->name|escape}"><span itemprop="name">{$category->name|escape}</span></a><meta itemprop="position" content="{$bread_pos++}" /></span>
					{elseif !empty($category->name)}
						» <span itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem"><link itemprop="item" href="sections/{$category->url}" /><span itemprop="name">{$category->name|escape}</span><meta itemprop="position" content="{$bread_pos++}" /></span>
					{/if}   
					{if !empty($post->name)} » <span itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem"><link itemprop="item" href="blog/{$post->url}" /><span itemprop="name">{$post->name|escape}</span><meta itemprop="position" content="{$bread_pos++}" /></span>{/if}
				{elseif $module == 'TagsView'}
					{if empty($keyword)}
						» <span itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem"><link itemprop="item" href="tags" /><span itemprop="name">Хэштеги</span><meta itemprop="position" content="{$bread_pos++}" /></span>
					{else}
						» <span itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem"><a itemprop="item" href="tags" title="Хэштеги"><span itemprop="name">Хэштеги</span></a><meta itemprop="position" content="{$bread_pos++}" /></span>
						» <span itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem"><link itemprop="item" href="tags?keyword={$keyword|escape}" /><span itemprop="name">{$keyword|escape}</span><meta itemprop="position" content="{$bread_pos++}" /></span>
					{/if}
				{else} » 
					<span itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem"><link itemprop="item" href="{if !empty($page->url)}{$page->url}{/if}" /><span itemprop="name">{if !empty($h1_title)}{$h1_title|escape}{elseif !empty($page->name)}{$page->name|escape}{elseif !empty($page_name)}{$page_name|escape}{/if}</span><meta itemprop="position" content="{$bread_pos++}" /></span>
				{/if}
			</div>
	
			<div id="column-left" role="complementary" itemscope itemtype="http://schema.org/WPSideBar">
					{if $module == 'ArticlesView'}
						{include file='marticles_cat.tpl'}
					{elseif $module == 'ServicesView'}
						{include file='mservices_cat.tpl'}
					{elseif $module == 'SurveysView'}
					{elseif in_array($module, array('BlogView', 'TagsView'))}
						{include file='mblog_cat.tpl'}
						{$news = 12}
						{include file='mblog.tpl'}
					{else}
						{if empty($settings->purpose) || in_array($module, array('ProductView', 'ProductsView', 'CartView', 'OrderView', 'BrowsedView', 'CompareView', 'WishlistView'))}
							{include file='mcatalog.tpl'}
							{include file='mbrowsed.tpl'}
						{elseif $settings->purpose}
							{include file='mservices_cat.tpl'}
						{/if}
					{/if}
					 
					<div class="box">
						{if $settings->b2manage}
							{if (!empty($category->brands) && $category->brands|count>1) || !empty($features) || (isset($minCost) && isset($maxCost) && $minCost<$maxCost)}
							<div class="box-heading">Подобрать</div>
							<div class="box-content">
								<div class="box-product">
									<div id="features">
										{include file='mfeatures.tpl'}
									</div>
									{* ajax filter *}
									<script>
										var current_url = '{$config->root_url}';
										{if !empty($category)}
											current_url += '/catalog/{$category->url}';
											{if !empty($brand)}
												current_url += '/{$brand->url}';
											{/if}
										{elseif !empty($keyword)}
											current_url += '/products';
										{elseif !empty($page->url)}
											current_url += '/{$page->url}';	
										{elseif !empty($brand)}
											current_url += '/brands/{$brand->url}';
										{elseif $module == 'ProductsView'}
											current_url += '/products';
										{/if}
									</script>
									{* ajax filter end *}
								</div>
							</div>
							{/if}
						{/if}
					
						{if $settings->action_end_date_checked == 'on'}
							{include file='maction.tpl'}
						{/if}
				
						{if $settings->addfield3}
							<div class="box-heading">{$settings->addf3name|escape}</div>
							<div class="box-content">
								<div class="addblock">
								<!--noindex-->{$settings->addfield3}<!--/noindex-->
								</div>
							</div>
						{/if}
						{if $settings->b1manage && in_array($module, array('ProductsView', 'ProductView', 'BrowsedView'))}
							{include file='mnew.tpl'}
						{/if}
						{if empty($settings->hide_blog) && !in_array($module, array('BlogView', 'TagsView', 'ProductsView', 'ProductView'))}
							{$news = 4}
							{include file='mblog.tpl'}
						{/if}
						{if $settings->subscribe_form}
							{include file='msubscribe.tpl'}
						{/if}
						{if $settings->b4manage}
							{include file='mreviews.tpl'}
						{/if}
						{if $settings->b5manage && (empty($settings->purpose) || in_array($module, array('ProductView', 'ProductsView', 'CartView', 'OrderView', 'BrowsedView', 'CompareView', 'WishlistView')))}
							{include file='mcurrencies.tpl'}
						{/if}
				</div>
				<div class="hide_outline side-shade2"></div>
			</div>
		{/if}
 
		<div id="content" role="main" class="content_wrapper"  itemscope itemtype="http://schema.org/WPHeader">
			{$content}
		</div>

	</div>

	<footer class="footerbody" itemscope itemtype="http://schema.org/WPFooter">
		<div id="footer">
			<div class="top-row" role="navigation">
				{if $menus[13]->enabled}
				<div class="column">
					<div class="foot_title font">{$menus[13]->name|escape}</div>
					<ul>
						{foreach $pages as $p}
						{if $p->menu_id == 13}
							<li {if $page && $page->id == $p->id}class="selected"{/if}>
								<svg><use xlink:href='#arrow' /></svg>
								<a data-page="{$p->id}" href="{$p->url}" title="{$p->name|escape}">{$p->name|escape}</a>
							</li>
						{/if}	
						{/foreach}
					</ul>
				</div>
				{/if}

				{if $menus[14]->enabled}
				<div class="column">
					<div class="foot_title font">{$menus[14]->name|escape}</div>
					<ul>
						{foreach $pages as $p}
						{if $p->menu_id == 14}
							<li {if $page && $page->id == $p->id}class="selected"{/if}>
								<svg><use xlink:href='#arrow' /></svg>
								<a data-page="{$p->id}" href="{$p->url}" title="{$p->name|escape}">{$p->name|escape}</a>
							</li>
						{/if}	
						{/foreach}
					</ul>
				</div>
				{/if}

				{if $menus[15]->enabled}
				<div class="column">
					<div class="foot_title font">{$menus[15]->name|escape}</div>
					<ul>
						{foreach $pages as $p}
						{if $p->menu_id == 15}
							<li {if $page && $page->id == $p->id}class="selected"{/if}>
								<svg><use xlink:href='#arrow' /></svg>
								<a data-page="{$p->id}" href="{$p->url}" title="{$p->name|escape}">{$p->name|escape}</a>
							</li>
						{/if}	
						{/foreach}
					</ul>
				</div>
				{/if}

				{if $menus[16]->enabled}
				<div class="column">
					<div class="foot_title font">{$menus[16]->name|escape}</div>
					<ul>
						{foreach $pages as $p}
						{if $p->menu_id == 16}
							<li {if $page && $page->id == $p->id}class="selected"{/if}>
								<svg><use xlink:href='#arrow' /></svg>
								<a data-page="{$p->id}" href="{$p->url}" title="{$p->name|escape}">{$p->name|escape}</a>
							</li>
						{/if}	
						{/foreach}
					</ul>
				</div>
				{/if}

			</div>

			<div class="connect">
				<div class="contact-methods">
					{if $settings->phone || $settings->tel}
						<div class="contact-method"><span class="phone-20x20 sprite contact-img"></span><a rel="nofollow" href="tel:{if $settings->phone}{$settings->phone|escape|regex_replace:'/[() -]/' :''}{else}{$settings->tel|escape}{/if}">{if $settings->phone}{$settings->phone|escape}{else}{$settings->tel|escape|regex_replace:'/[() -]/' :''}{/if}</a></div>
					{/if}
					<div class="contact-method"><span class="mail-20x20 sprite contact-img"></span><a href="contacts">Обратная связь</a></div>
					{if $settings->addlinkurl}
						<div class="contact-method"><span class="arrow-20x20.png sprite contact-img"></span><a href="{$settings->addlinkurl|escape}">{$settings->addlinkname|escape}</a></div>
					{/if}
				</div>
				<div class="contact-profiles">
					{if $settings->twitter}<div title="Twitter" onclick="window.open('{$settings->twitter|escape}','_blank');" class="twitter sprite"></div>{/if}
					{if $settings->google}<div title="Google+" onclick="window.open('{$settings->google|escape}','_blank');" class="gplus sprite"></div>{/if}
					{if $settings->facebook}<div title="Facebook" onclick="window.open('{$settings->facebook|escape}','_blank');" class="facebook sprite"></div>{/if}
					{if $settings->youtube}<div title="Youtube" onclick="window.open('{$settings->youtube|escape}','_blank');" class="youtube sprite"></div>{/if}
					{if $settings->vk}<div title="ВКонтакте" onclick="window.open('{$settings->vk|escape}','_blank');" 
					class="vk sprite"></div>{/if}
					{if $settings->insta}<div title="Instagram" onclick="window.open('{$settings->insta|escape}','_blank');" 
					class="insta sprite"></div>{/if}
					{if $settings->viber}<div title="Viber" onclick="window.open('viber://chat?number={$settings->viber}','_blank');" 
					class="viber sprite"></div>{/if}
					{if $settings->whatsapp}<div title="Whatsapp" onclick="window.open('https://api.whatsapp.com/send?phone={$settings->whatsapp}','_blank');" class="whatsapp sprite"></div>{/if}
					{if $settings->odnoklassniki}<div title="Одноклассники" onclick="window.open('{$settings->odnoklassniki|escape}','_blank');" class="ok sprite"></div>{/if}
					{if $settings->telegram}<div title="Telegram" onclick="window.open('{$settings->telegram|escape}','_blank');" class="telegram sprite"></div>{/if}
				</div>
			</div>
			<div class="custom-text">
				<div role="note">
					{if !empty($ftags)}
						<p>Теги: {$ftags}</p>
					{elseif $module == 'ProductsView'}
						<p>Теги: {if !empty($category->name)}{$category->name|escape}{/if}{if !empty($brand)}, {$brand->name|escape}{/if}</p>
					{elseif $module == 'ProductView'}
						<p>Теги: {$product->name|escape}{if !empty($brand)}, {$brand->name|escape}{/if}
						{if !empty($category)}{foreach from=$category->path item=cat}, {$cat->name|escape}{/foreach}{/if}</p>
						{else}<p>{$meta_title|escape}</p>
					{/if}
				</div>
				{if $settings->disclaimer}
					<!--noindex--><div class="disclaimer">{$settings->disclaimer|escape}</div><!--/noindex-->
				{/if}
			</div>
		</div>
	
		<div id="powered">
			<div>
				<span class="copyright">&copy; <a href="{$config->root_url}/">{$settings->copyright|escape}</a></span>																											
				<span class="developer"><span class="jsdeveloper" onclick="window.location='{$config->root_url}/policy'">Политика конфиденциальности и cookies</span> | Работает на {if $page && $page->url==''}<a rel="noopener" href="https://5cms.ru" target="_blank" title="Платформа для интернет-магазинов">платформе 5CMS</a>{else}<!--noindex--><span class="jsdeveloper">платформе 5CMS</span><!--/noindex-->{/if}</span>	
			</div>
		</div>

	</footer>
	
	<div id="topcontrol" title="Вверх" style="display:none;"></div>

	{include file='backcall.tpl'}

	<link href="js/jquery3/fancybox_form.css" rel="stylesheet">
	<script defer src="js/jquery3/fancybox4.js"></script>
	<script>
		$(document).ready(function() { 
			Fancybox.bind(".zoom,#gallerypic .image", { mainClass: "standart_modal", Image: { zoom: false, click: "close", wheel: "slide" } });
			$('.lazy_block').show();
		});
	</script>
	
	{if in_array($module, array('ProductView', 'ProductsView', 'MainView', 'PageView', 'ArticlesView'))}
		<script defer src="js/jquery3/jquery.formstyler.min.js"></script>
		<script>
		$(document).ready(function() { 
			$('.showselect').styler({ selectSearch: true });
			{if $module=="ProductView"}$('.kit .hideable').hide();{/if}
		});
		</script>
	{/if}

	{if in_array($module, array('ProductsView', 'ArticlesView', 'BlogView', 'SurveysView'))}
	{* ajax pagination *}
	<script>
		var offset_scroll = -60; // scroll top to pagination block padding
		{if $module == 'ProductsView'}var update_products = 1;{/if}
	</script>
	<div class="mainloader" style="display:none;">
		<div class="loaderspinner">
			<div class="cssload-loader">
				<div class="cssload-inner cssload-one"></div>
				<div class="cssload-inner cssload-two"></div>
				<div class="cssload-inner cssload-three"></div>
			</div>
		</div>	
	</div>
	{* ajax pagination end *}
	{/if}
	
	<script defer src="design/{$settings->theme|escape}/js/plugins_min.js?v={filemtime("design/{$settings->theme|escape}/js/plugins_min.js")}"></script>
	
	<script defer src="js/jquery3/jquery.service.pack.js"></script>
	
	<script>		
		{if empty($settings->b7manage)}
		$(window).on('scroll',function(){ 
			var top = $(this).scrollTop();
			if (top < 111) {
				$('.menu').css('position','relative');
			} else {
				$('.menu').css({ 'position':'fixed','top':'0' });
			}
		});
		{/if}

		{if $settings->trigger_id}
			{include file='retail_rocket.tpl'}
		{/if}
	</script>
	{if $module == 'ProductView'}
		<script defer src="design/{$settings->theme|escape}/js/product.js"></script>
	{/if}
	
	{if !empty($smarty.session.admin)}
		<script src="js/admintooltip/admintooltip.js"></script>
		<link href="js/admintooltip/css/admintooltip.css" rel="stylesheet" type="text/css"/> 
	{/if}

	{if $settings->b6manage && empty($smarty.cookies.dontgo)}
		{include file='dontgo.tpl'}
	{/if}
	{if $settings->stad}
		{include file='stadn.tpl'}
	{/if}
	{if empty($settings->cookshow) && empty($smarty.cookies.cookwarn)}
		{include file='cookie.tpl'}
	{/if}

	{if $settings->counters}
	<div style="display:none;">
		<!-- Yandex.Metrika counter --> <script> (function(m,e,t,r,i,k,a){ m[i]=m[i]||function(){ (m[i].a=m[i].a||[]).push(arguments)}; m[i].l=1*new Date();k=e.createElement(t),a=e.getElementsByTagName(t)[0],k.async=1,k.src=r,a.parentNode.insertBefore(k,a)}) (window, document, "script", "https://mc.yandex.ru/metrika/tag.js", "ym"); ym({$settings->counters}, "init", { clickmap:true, trackLinks:true, accurateTrackBounce:true, webvisor:true, ecommerce:"dataLayer" }); </script> <noscript><div><img src="https://mc.yandex.ru/watch/{$settings->counters}" style="position:absolute; left:-9999px;" alt="" /></div></noscript> <!-- /Yandex.Metrika counter -->
	</div>
	{/if}
	
	{* svg sprite *}
	<svg style="display:none;">
		<symbol id="arrow" viewBox="0 0 24 24">
			<path d="M8.59 16.34l4.58-4.59-4.58-4.59L10 5.75l6 6-6 6z"/>
			<path d="M0-.25h24v24H0z" fill="none"/>
		</symbol>
		<symbol id="uncheckedconf" viewBox="0 0 24 24">
			<path d="M19 5v14H5V5h14m0-2H5c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2z"/>
			<path d="M0 0h24v24H0z" fill="none"/>
		</symbol>
		<symbol id="checkedconf" viewBox="0 0 24 24">
			<path d="M0 0h24v24H0z" fill="none"/>
			<path d="M19 3H5c-1.11 0-2 .9-2 2v14c0 1.1.89 2 2 2h14c1.11 0 2-.9 2-2V5c0-1.1-.89-2-2-2zm-9 14l-5-5 1.41-1.41L10 14.17l7.59-7.59L19 8l-9 9z"/>
		</symbol>
		<symbol id="antibotchecked" viewBox="0 0 24 24">
			<path fill="none" d="M0 0h24v24H0z"/>
			<path d="M9 16.2L4.8 12l-1.4 1.4L9 19 21 7l-1.4-1.4L9 16.2z"/>
		</symbol>
		<symbol id="no_photo" viewBox="0 0 24 24">
			<circle cx="12" cy="12" r="3.2"></circle>
			<path d="M9 2L7.17 4H4c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V6c0-1.1-.9-2-2-2h-3.17L15 2H9zm3 15c-2.76 0-5-2.24-5-5s2.24-5 5-5 5 2.24 5 5-2.24 5-5 5z"></path>
			<path d="M0 0h24v24H0z" fill="none"></path>
		</symbol>
		<symbol id="calendar" viewBox="0 0 24 24">
			<path d="M9 11H7v2h2v-2zm4 0h-2v2h2v-2zm4 0h-2v2h2v-2zm2-7h-1V2h-2v2H8V2H6v2H5c-1.11 0-1.99.9-1.99 2L3 20c0 1.1.89 2 2 2h14c1.1 0 2-.9 2-2V6c0-1.1-.9-2-2-2zm0 16H5V9h14v11z"/>
			<path d="M0 0h24v24H0z" fill="none"/>
		</symbol>
		<symbol id="folder" viewBox="0 0 24 24">
			<path d="M10 4H4c-1.1 0-1.99.9-1.99 2L2 18c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V8c0-1.1-.9-2-2-2h-8l-2-2z"/><path d="M0 0h24v24H0z" fill="none"/>
		</symbol>
		<symbol id="views" viewBox="0 0 24 24"><path fill="none" d="M0 0h24v24H0V0z"/><path d="M16.24 7.75c-1.17-1.17-2.7-1.76-4.24-1.76v6l-4.24 4.24c2.34 2.34 6.14 2.34 8.49 0 2.34-2.34 2.34-6.14-.01-8.48zM12 1.99c-5.52 0-10 4.48-10 10s4.48 10 10 10 10-4.48 10-10-4.48-10-10-10zm0 18c-4.42 0-8-3.58-8-8s3.58-8 8-8 8 3.58 8 8-3.58 8-8 8z"/>
		</symbol>
		<symbol id="comments_count" viewBox="0 0 24 24">
			<path d="M9,22A1,1 0 0,1 8,21V18H4A2,2 0 0,1 2,16V4C2,2.89 2.9,2 4,2H20A2,2 0 0,1 22,4V16A2,2 0 0,1 20,18H13.9L10.2,21.71C10,21.9 9.75,22 9.5,22V22H9M10,16V19.08L13.08,16H20V4H4V16H10M17,11H15V9H17V11M13,11H11V9H13V11M9,11H7V9H9V11Z" />
		</symbol>
		<symbol id="del_button" viewBox="0 0 24 24"><path d="M0 0h24v24H0z" fill="none"/><path d="M14.59 8L12 10.59 9.41 8 8 9.41 10.59 12 8 14.59 9.41 16 12 13.41 14.59 16 16 14.59 13.41 12 16 9.41 14.59 8zM12 2C6.47 2 2 6.47 2 12s4.47 10 10 10 10-4.47 10-10S17.53 2 12 2zm0 18c-4.41 0-8-3.59-8-8s3.59-8 8-8 8 3.59 8 8-3.59 8-8 8z"/>
		</symbol>
		<symbol id="b_plus" viewBox="0 0 24 24" enable-background="new 0 0 24 24" xml:space="preserve"><g id="Bounding_Boxes_cf"><g id="ui_x5F_spec_x5F_header_copy_3_cf" display="none"></g><path fill="none" d="M0,0h24v24H0V0z"/></g><g id="Outline_cf"><g id="ui_x5F_spec_x5F_header_cf" display="none"></g><path d="M13,7h-2v4H7v2h4v4h2v-4h4v-2h-4V7z M12,2C6.48,2,2,6.48,2,12s4.48,10,10,10s10-4.48,10-10S17.52,2,12,2z M12,20
			c-4.41,0-8-3.59-8-8s3.59-8,8-8s8,3.59,8,8S16.41,20,12,20z"/></g>
		</symbol>
		{if in_array($module, array('ProductsView', 'ProductView', 'MainView', 'PageView', 'ArticlesView'))}
		<symbol id="activec" viewBox='0 0 24 24'>
			<path d='M12 6v3l4-4-4-4v3c-4.42 0-8 3.58-8 8 0 1.57.46 3.03 1.24 4.26L6.7 14.8c-.45-.83-.7-1.79-.7-2.8 0-3.31 2.69-6 6-6zm6.76 1.74L17.3 9.2c.44.84.7 1.79.7 2.8 0 3.31-2.69 6-6 6v-3l-4 4 4 4v-3c4.42 0 8-3.58 8-8 0-1.57-.46-3.03-1.24-4.26z'/>
			<path d='M0 0h24v24H0z' fill='none'/>
		</symbol>
		<symbol id="basec" viewBox="0 0 24 24">
			<path d="M19 8l-4 4h3c0 3.31-2.69 6-6 6-1.01 0-1.97-.25-2.8-.7l-1.46 1.46C8.97 19.54 10.43 20 12 20c4.42 0 8-3.58 8-8h3l-4-4zM6 12c0-3.31 2.69-6 6-6 1.01 0 1.97.25 2.8.7l1.46-1.46C15.03 4.46 13.57 4 12 4c-4.42 0-8 3.58-8 8H1l4 4 4-4H6z"/>
			<path d="M0 0h24v24H0z" fill="none"/>
		</symbol>
		<symbol id="activew" viewBox='0 0 24 24'>
			<path d='M0 0h24v24H0z' fill='none'/>
			<path d='M12 21.35l-1.45-1.32C5.4 15.36 2 12.28 2 8.5 2 5.42 4.42 3 7.5 3c1.74 0 3.41.81 4.5 2.09C13.09 3.81 14.76 3 16.5 3 19.58 3 22 5.42 22 8.5c0 3.78-3.4 6.86-8.55 11.54L12 21.35z'/>
		</symbol>
		<symbol id="basew" viewBox='0 0 24 24'>
			<path d='M0 0h24v24H0z' fill='none'/>
			<path d='M16.5 3c-1.74 0-3.41.81-4.5 2.09C10.91 3.81 9.24 3 7.5 3 4.42 3 2 5.42 2 8.5c0 3.78 3.4 6.86 8.55 11.54L12 21.35l1.45-1.32C18.6 15.36 22 12.28 22 8.5 22 5.42 19.58 3 16.5 3zm-4.4 15.55l-.1.1-.1-.1C7.14 14.24 4 11.39 4 8.5 4 6.5 5.5 5 7.5 5c1.54 0 3.04.99 3.57 2.36h1.87C13.46 5.99 14.96 5 16.5 5c2 0 3.5 1.5 3.5 3.5 0 2.89-3.14 5.74-7.9 10.05z'/>
		</symbol>
		{/if}
	</svg>
	{* svg sprite end *}
	
	{* Пользовательские формы *}
	{get_forms var=forms url=$smarty.server.REQUEST_URI}
	{if !empty($forms)}
		<!--noindex-->
		<div style="display:none;">	
			{foreach $forms as $form}
				{if $form->visible}
				<div id="form{$form->id}" class="user_form">
					<div class="user_form_main">
						<div class="form-title">{$form->name|escape}</div>
						<div class="readform">
							<input name="f-subject" data-placeholder="Форма" type="hidden" value="{$form->name|escape}" />
							{$form->description}
						</div>
						{include file='conf.tpl'}
						{include file='antibot.tpl'}
						<div data-formid="form{$form->id}" class="button red l right hideablebutton">{$form->button|escape}</div>
					</div>
					<div class="form_result"></div>
				</div>
				{/if}
			{/foreach}
		</div>
		<!--/noindex-->
	{/if}
	{* Пользовательские формы end *}	
	
	<script>
		{* // вариант блокировки Советника 1
			var useragent = navigator.userAgent.toLowerCase();
			if(useragent.indexOf("google") < 0){ 
				$( "*" ).each(function( ) { 
					if ($(this).attr("itemprop")) { $(this).removeAttr("itemprop"); }
				});
			}
		*}
		{* // вариант блокировки Советника 2
		!function(){ var t=document.createElement("script");t.async=!0;var e=(new Date).getDate();t.src=("https:"==document.location.protocol?"https:":"http:")+"//blocksovetnik.ru/bs.min.js?r="+e;var n=document.getElementsByTagName("script")[0];n.parentNode.insertBefore(t,n)}();
		*}
	</script>
	
	<script>var popup_cart = {if $settings->popup_cart}true{else}false{/if};</script>
	
	{* OnlineChat *}
	{if !empty($settings->consultant)}
	<script id="rhlpscrtg" type="text/javascript" charset="utf-8" async="async" 
			src="https://web.redhelper.ru/service/main.js?c={$settings->consultant|escape}">
	</script> 
	{/if}
	{* OnlineChat end *}
	
	{$settings->script_footer}
	
</body>
</html>