{* Канонический адрес страницы *}
{$canonical="/{$page->url}" scope=root}

<h1 data-page="{$page->id}" itemprop="name">{if !empty($h1_title)}{$h1_title|escape}{else}{$page->header|escape}{/if}</h1>

<div itemscope itemtype="http://schema.org/Article">
	{* Schema.org *}
    <div itemprop="author" itemscope itemtype="https://schema.org/Organization">
        <meta itemprop="name" content="{$settings->company_name|escape}" />
		<meta itemprop="address" content="{$settings->company_address|escape}" />
		<meta itemprop="telephone" content="{$settings->phone|escape}" />
		<link itemprop="url" href="{$config->root_url}" />
		<link itemprop="image" href="{$logo_url}" />
    </div>
	<meta content="{$page->last_modify|date_format:'c'}" itemprop="datePublished" />
	<meta content="{$page->last_modify|date_format:'c'}" itemprop="dateModified" />
	<meta content="{$meta_title|escape}" itemprop="headline" />
	{$seo_description = $meta_title|cat:$settings->seo_description|cat:" ✩ "|cat:$settings->site_name|cat:" ✩"}
	<meta content="{if !empty($meta_description)}{$meta_description|escape}{elseif !empty($seo_description)}{$seo_description|escape}{/if}" itemprop="description" />
	<link itemprop="mainEntityOfPage" href="{$config->root_url}{$canonical}" />
	<div style="display:none;" itemprop="image" itemscope itemtype="https://schema.org/ImageObject">
		{$img_url=$logo_url}
		<link itemprop="url contentUrl image" href="{$img_url}" />
		{assign var="info" value=$img_url|getimagesize}
		<meta itemprop="width" content="{$info.0}" />
		<meta itemprop="height" content="{$info.1}" />
	</div>
	{* Schema.org @ *}

	{if $page->url == 'reviews-archive'}
		{* Страница "Все отзывы" *}
		<div class="response_archive" itemprop="articleBody">
			<ul role="navigation" class="comment_list">
			{$comments_num = 0}
			
			{get_comments var=last_comments1 type='product'}
			{if !empty($last_comments1)}
				{foreach $last_comments1 as $comment}
				<li>
					<div class="comment_header">{$comment->name|escape} о товаре <a href="products/{$comment->url}">{$comment->product|escape}</a> <i>({$comment->date|date} в {$comment->date|time})</i>:</div>
					<div class="comment_body">{$comment->text|escape|nl2br|bbcode}</div>
					{if $comment->otvet}
					<div class="comment_admint">Администрация:</div>
					<div class="comment_admin" style="margin-bottom: 12px;">
						{$comment->otvet}
					</div>
					{/if}
				</li>
				{$comments_num = $comments_num + 1}
				{/foreach}
	        {/if}

			{get_comments var=last_comments2 type='blog'}
			{if !empty($last_comments2)}
				{foreach $last_comments2 as $comment}
				<li>
					<div class="comment_header">{$comment->name|escape} о записи <a href="blog/{$comment->url}">{$comment->product|escape}</a> <i>({$comment->date|date} в {$comment->date|time})</i>:</div>
					<div class="comment_body">{$comment->text|escape|nl2br|bbcode}</div>
					{if $comment->otvet}
					<div class="comment_admint">Администрация:</div>
					<div class="comment_admin" style="margin-bottom: 12px;">
						{$comment->otvet}
					</div>
					{/if}
				</li>
				{$comments_num = $comments_num + 1}
				{/foreach}
	        {/if}
			</ul>
			{$comments_on_page = 5}
			{if $comments_num > $comments_on_page}	
				<script type="text/javascript" src="js/pagination/pagination.js"></script>
				<script>var show_per_page = {$comments_on_page};</script> 
				<input type='hidden' id='current_page' />
				<input type='hidden' id='show_per_page' />	
				<div id="page_navigation" class="pagination"></div>
			{/if}
		</div>
	{elseif $page->url == 'm-info'}
		{* Страница "Информация" *}
		<div class="page-pg" itemprop="articleBody">
			{get_pages var="pag" menu_id=17}
			{if $pag}
				<ul>
					{foreach $pag as $p}
						<li {if $page && $page->id == $p->id}class="selected"{/if}>
							<a class="bluelink" data-page="{$p->id}" href="{$p->url}" title="{$p->name|escape}">{$p->name|escape}</a>
						</li>
					{/foreach}
				</ul>
			{/if}
		</div>
	{elseif $page->url == 'catalog' || $page->url == '404'}
		{* Страница каталог товаров или услуг или 404 *}
		{if (empty($settings->purpose) || $page->url == 'catalog') && !empty($categories)}
			<ul class="relcontent tiny_products parentscat">
				{foreach $categories as $c}
					{if $c->visible}
					<li class="product" style="cursor:pointer;" onClick="window.location='{$config->root_url}/catalog/{$c->url}'">
						<div class="image">										
						{if $c->image}
							<img alt="{$c->name|escape}" title="{$c->name|escape}" src="{$config->categories_images_dir}{$c->image}" />
						{else}
							<svg class="nophoto"><use xlink:href='#folder' /></svg>
						{/if}
						</div>
						<div class="product_info">
							<div class="h3 product_title font" data-category="{$c->id}">{if !empty($c->menu)}{$c->menu|escape}{else}{$c->name|escape}{/if}</div>
						</div>
					</li>
					{/if}
				{/foreach}
			</ul>
		{elseif !empty($settings->purpose) && !empty($services_categories)}
			<ul class="relcontent tiny_products parentscat" style="margin-bottom: 20px !important;">
				{foreach $services_categories as $c}
					{if $c->visible}
					<li class="product" onClick="window.location='{$config->root_url}/services/{$c->url}'" style="cursor:pointer;">
						<div class="image">
						{if $c->image}
							<img src="{$config->services_categories_images_dir}{$c->image}" alt="{$c->name|escape}" title="{$c->name|escape}" />
						{else}
							<svg class="nophoto"><use xlink:href='#folder' /></svg>
						{/if}
						</div>
						<div class="product_info">
							<div class="h3 product_title font" data-servicescategory="{$c->id}">{if !empty($c->menu)}{$c->menu|escape}{else}{$c->name|escape}{/if}</div>
						</div>
					</li>
					{/if}
				{/foreach}
			</ul>
		{/if}

	{elseif $page->url == 'brands'}
		{* Страница брендов *}
		<div class="brand-pg">
            {get_brands var=all_brands}
            {if $all_brands}
                <ul class="relcontent tiny_products parentscat brands_list">
					{foreach name=brands item=b from=$all_brands}
						<li class="product" style="cursor:pointer;" onClick="window.location='{$config->root_url}/brands/{$b->url}'">
							<div class="image">
								{if $b->image}
									<img alt="{$b->name|escape}" title="{$b->name|escape}" src="{$config->brands_images_dir}{$b->image}" />
								{else}
									<div class="nophoto">{$b->name|escape}</div>
								{/if}
							</div>
							<div class="product_info">
								<div class="h3 product_title font" data-brand="{$b->id}">{$b->name|escape}</div>
							</div>
						</li>
					{/foreach}
                </ul>
            {/if}
		</div>
	{/if}
	
	{* Обычная страница *}
	<div class="page-pg" itemprop="articleBody">
		{if !empty($metadata_page->description)}{$metadata_page->description}{elseif !empty($page->body)}{$page->body}{/if}
	</div>

	<!--noindex-->
	{$settings->advertpage}
	<!--/noindex-->
	
	{* Широкий баннер с главной *}
	{if !empty($page) && ($page->url == 'catalog' || $page->url == '404') && !empty($settings->widebannervis)}
		{$widebanner_img=$config->main_banners_images_dir|cat:$settings->widebanner_file|escape}
		<div class="widebanner">
			<img {if !empty($settings->widebanner)}onClick="window.location='{$settings->widebanner}'" class="pointer"{/if} alt="{$meta_title|escape}" title="{$meta_title|escape}" src="{$widebanner_img}?{filemtime("{$widebanner_img}")}">
		</div>
	{/if}	
</div>
