{* Канонический адрес страницы *}
{$canonical="/products/{$product->url}" scope=root}
{* product seo title *}
	{if !empty($category->name)}{$ctg = " | "|cat:$category->name}{else}{$ctg = ''}{/if}
	{if !empty($brand->name)}{$brnd = " | "|cat:$brand->name}{else}{$brnd = ''}{/if}
	{if empty($meta_title) && !empty($product->name)}
		{$seo_title=$product->name|cat:$ctg|cat:$brnd scope=root}
	{/if}
{* product seo description *}
	{if !empty($category)}{$first_category = $category->path|first}{/if}
	{if !empty($category->seo_one)}
		{$seo_one = $category->seo_one}
	{elseif !empty($first_category->seo_one)}
		{$seo_one = $first_category->seo_one}
	{else}
		{$seo_one = ''}
	{/if}
	{if !empty($category->seo_two)}
		{$seo_two = $category->seo_two}
	{elseif !empty($first_category->seo_two)}
		{$seo_two = $first_category->seo_two}
	{else}
		{$seo_two = ''}
	{/if}
	{if !empty($category->seo_type)}
		{$seo_type = $category->seo_type}
	{elseif !empty($first_category->seo_type)}
		{$seo_type = $first_category->seo_type}
	{else}
		{$seo_type = 0}
	{/if}	

	{if $seo_type == 2 && !empty($product->variant->price)}
		{$seo_description = $seo_one|cat:" "|cat:$product->name|cat:" ✩ за "|cat:($product->variant->price|convert|strip:'')|cat:" "|cat:$currency->sign|cat:" "|cat:$seo_two scope=root}
	{else}
		{$seo_description = $seo_one|cat:" "|cat:$product->name|cat:" "|cat:$seo_two scope=root}
	{/if}

<h1 data-product="{$product->id}" itemprop="name">{$product->name|escape}</h1>

<div class="product" itemscope itemtype="http://schema.org/Product">
	{* Фото товара *}
	<div class="blockimg lazy_block" style="display:none;">	
		<div class="labelsblock">
			{if !empty($product->featured)}<div class="hit">Хит</div>{/if}
			{if !empty($product->is_new)}<div class="new">Новинка</div>{/if}
			{if !empty($product->variant->compare_price)}<div class="lowprice">- {100-($product->variant->price*100/$product->variant->compare_price)|round}%</div>{/if}
		</div>
		<div id="mainCarousel" class="imagebig carousel">
		{if !empty($product->images) || !empty($product->youtube)}
			{foreach $product->images as $i=>$image}
			<div
				class="carousel__slide {if !$image->color}imgvisible{/if}"
				data-src="{$image->filename|resize:1024:768:w}"
				data-fancybox="{if !empty($image->color)}{$image->color}{else}gallery{/if}" 
				{if !empty($image->color)}data-imcolor="{$image->color}"{/if}
			  >
				<img {if !$image@first}loading="lazy"{/if} src="{$image->filename|resize:1024:768:w}" alt="{$product->name|escape}" title="{$product->name|escape}"/>
			</div>
			{/foreach}
			
			{* video *}
			{if !empty($product->youtube|trim)}
				{$youtube_str = $product->youtube|replace:' ':''}
				{$youtube_ids = ","|explode:$youtube_str}
				{foreach $youtube_ids as $youtube_id}
				<div
					class="carousel__slide imgvisible"
					data-src="https://www.youtube.com/embed/{$youtube_id}?rel=0&enablejsapi=1&origin={$config->root_url}"
					data-fancybox="gallery" 
					>
					<img loading="lazy" class="video" src="https://img.youtube.com/vi/{$youtube_id}/0.jpg" alt="Видео" title="Видео"/>
				</div>
				{/foreach}
			{/if}	
		{else}
			<div class="carousel__slide" style="cursor:default;">
				<svg fill="#dadada" style="width:45%;height:45%;" viewBox="0 0 24 24">
					<use xlink:href='#no_photo' />
				</svg>
			</div>
		{/if}
		</div>
		
		<div id="thumbCarousel" class="thumbsbig carousel">
			{if $product->images|count>1 || ( !empty($product->images) && !empty($youtube_ids) )}
				{foreach $product->images as $i=>$image}
				<div class="carousel__slide {if !$image->color}imgvisible{/if}" {if !empty($image->color)}data-imcolor="{$image->color}"{/if}>
					<img loading="lazy" src="{$image->filename|resize:100:100}" alt="{$product->name|escape}" title="{$product->name|escape}"/>
				</div>
				{/foreach}
			{/if}
			{if !empty($youtube_ids)}
				{if !empty($product->images) || $youtube_ids|count > 1}
					{foreach $youtube_ids as $youtube_id}
					<div class="carousel__slide imgvisible">
						<img loading="lazy" src="design/{$settings->theme|escape}/images/youtube.png" alt="Видео" title="Видео"/>
					</div>
					{/foreach}
				{/if}	
			{/if}
		</div>
	</div>
	{* Фото товара @ *}
	
	{if isset($product->rating) && $product->rating|floatval > 0}
		{$rating = $product->rating}
	{else}
		{$rating = $settings->prods_rating|floatval}
	{/if}
	
	{$votes = $settings->prods_votes|intval + $product->votes}

	{* Описание товара *}
	<div class="description border_wrapper">
		{* Рейтинг звездами *}
		<div class="baserater rater" id="product_{$product->id}">
			<span class="rater-starsOff">
				<span class="rater-starsOn" style="width:{$rating*115/5|string_format:'%.0f'}px"></span>
			</span>
			<span class="test-text">
				<span class="rater-rating">{$rating|string_format:"%.1f"}</span>&#160;(голосов <span class="rater-rateCount">{$votes|string_format:"%.0f"}</span>)
			</span>
		</div>
		{* Рейтинг звездами @ *}

		<div class="base_info">
			{if !empty($brand->image)}<a class="brand_logo" title="{$brand->name|escape}" href="brands/{$brand->url|escape}"><img  src="files/brands/{$brand->image|escape}" alt="{$brand->name|escape}" title="{$brand->name|escape}" /></a>{/if}
			{if $settings->showsku == 1}<span class="sku">{if !empty($product->variant->sku)}Артикул: {$product->variant->sku}{/if}</span>{/if}
			{if $settings->showstock == 1}<span class="stockblock">На складе: <span class="stock">{if !empty($notinstock)}нет в наличии{elseif $product->variant->stock == 0 && !empty($settings->allow_preorder)}нет, предзаказ{elseif $product->variant->stock < $settings->max_order_amount}{$product->variant->stock}{else}много{/if}</span></span>{/if}
	
			{if !empty($sizes)}
			<div class="size_wrapper">
				<select name="size" class="size showselect" style="display:none;">
					{foreach $sizes as $s=>$v}
						<option {if !empty($product->size) && $s==$product->size|request}selected{/if} value="{$s}">{$sizes_name[$s]|escape}</option>
					{/foreach}
				</select>
			</div>
			{/if}	
	
			{* Выбор варианта товара *}
			<form id="main_product" class="variants" action="cart">
				<select name="variant" {if $product->variants|count==1  && empty($product->variant->name)}class="variant"{else}class="variant showselect"{/if} style="display:none;">
					{$count_cat = 0}
					{foreach $product->variants as $v}
						{$ballov = ($v->price * $settings->bonus_order/100)|convert|replace:' ':''|round}
						{if empty($product->size) || (!empty($product->size) && $v->name1|request==$product->size|request)}
						<option 
							value="{$v->id}" 
							data-unit="{if $v->unit}{$v->unit}{else}{$settings->units}{/if}" 
							{if $v->compare_price > 0}data-cprice="{$v->compare_price|convert}"{/if} 
							data-varprice="{$v->price|convert}" 
							{if $product->variant->id==$v->id}selected{/if} 
							data-stock="{if $v->stock == 0 && !empty($settings->allow_preorder)}нет, предзаказ{elseif $v->stock < $settings->max_order_amount}{$v->stock}{else}много{/if}" 
							data-avail="{if $v->stock == 0 && !empty($settings->allow_preorder)}{$settings->max_order_amount}{else}{$v->stock}{/if}"
							{if $v->stock == 0 && empty($settings->allow_preorder)}disabled{/if}
							data-sku="{if $v->sku}Артикул: {$v->sku}{/if}" 
							data-bonus="{$ballov} {$ballov|plural:'балл':'баллов':'балла'}" 
							{if !empty($v->name2)}data-color="{$v->name2}"{/if} 
							{if !empty($v->name1)}data-size="{$v->name1}"{/if} 
							>{if !empty($product->size) && !empty($v->name2)}{$v->name2|escape}{else}{$v->name|escape}{/if}</option>
						{/if}
					{/foreach}
				</select>
					
				<div class="price_wrap">
					{if empty($notinstock)}
					<div class="amountwrapper">
						<input type="button" class="minus p_m_button" value="-" />
						<label><input type="number" class="amount" name="amount" max="{if $product->variant->stock == 0 && !empty($settings->allow_preorder)}{$settings->max_order_amount}{else}{$product->variant->stock}{/if}" value="1"  autocomplete="off"/></label>
						<input type="button" class="plus p_m_button" value="+" />
					</div>
					{/if}
					<span class="compare_price">{if $product->variant->compare_price}{$product->variant->compare_price|convert}{/if}</span>
					<span class="price">{$product->variant->price|convert}</span>
					<span class="currency">{$currency->sign|escape}{if $settings->b9manage}/<span class="unit">{if $product->variant->unit}{$product->variant->unit}{else}{$settings->units}{/if}</span>{/if}
					</span>
				
					{if $settings->bonus_limit && $settings->bonus_order}{$ballov = ($product->variant->price * $settings->bonus_order/100)|convert|replace:' ':''|round}
						<span class="bonus" {if !empty($settings->bonus_link)}onclick="window.location='{$config->root_url}/{$settings->bonus_link|escape}'" style="cursor:pointer;"{/if}>+ <span class="bonusnum">{$ballov} {$ballov|plural:'балл':'баллов':'балла'}</span></span>
					{/if}
				</div>
			
				{if empty($notinstock)}	
					<input onmousedown="try { rrApi.addToBasket({$product->variant->id}) } catch(e) {}" {if !empty($product->ref_url)}onClick="window.open('{$product->ref_url|escape}', '_blank');return false;"{/if} type="submit" class="button red l" value="{$settings->to_cart_name|escape}" data-result-text="Добавлено" />
					{if !empty($settings->show1click) && empty($product->ref_url)}{include file='1click.tpl'}{/if}
				{/if}	
				
				<div class="wishcomp">
					<div class="compare addcompare" title="Сравнение">
						{if !empty($compare_informer->items_id[{$product->id}])}
							<span class="gocompare activewc" onclick="window.location='{$config->root_url}/compare'">
								<svg><use xlink:href='#activec' /></svg>
							</span>
						{else}
							<span style="display:none;" class="gocompare activewc" onclick="window.location='{$config->root_url}/compare'">
								<svg><use xlink:href='#activec' /></svg>
							</span>
							<svg class="basewc" data-wish="{$product->id}"><use xlink:href='#basec' /></svg>
						{/if}
					</div>
					<div class="wishprod">
						<div class="wishlist towish" title="Избранное">
							{if !empty($wished_products) && $product->id|in_array:$wished_products}
								<span onclick="window.location='{$config->root_url}/wishlist'" class="inwish activewc">
									<svg><use xlink:href='#activew' /></svg>
								</span>
							{else}
								<span style="display:none;" onclick="window.location='{$config->root_url}/wishlist'" class="inwish activewc">
									<svg><use xlink:href='#activew' /></svg>
								</span>
								<svg class="basewc" data-wish="{$product->id}"><use xlink:href='#basew' /></svg>
							{/if}
						</div>
					</div>
				</div>
			</form>
			{* Выбор варианта товара (The End) *}
		</div>
		
		{* Связанные / Похожие товары *}
		{* available: sort (or remove) position|name|date|rating|rand, in_stock (or remove) 0|1 *}
		{if !empty($notinstock)}
			{get_products var=related_products category_id=$category->id in_stock=1 sort=rand limit=5}
			{$related_title="Похожие товары"}
		{elseif !empty($related_ids)}
			{get_products var=related_products id=$related_ids in_stock=1}
			{$related_title="С этим товаром часто покупают"}
		{/if}	
		
		{if !empty($related_products)}
			<div class="annot-brand"><span>{$related_title}:</span></div>
			{include file='products_kit.tpl'}
		{/if}
		{* Связанные / Похожие товары @ *}
		
		{if !empty($brand->name)}<div class="annot-brand hideable"><span>Производитель:</span> <a class="nonelink" style="font-weight:700;" href="brands/{$brand->url}">{$brand->name|escape}</a></div>{/if}
			
		{if !empty($product->annotation)}
			<div class="annot hideable">{$product->annotation}</div>
		{/if}
		
		{* Share *}
		<div class="annot-brand share_wrapper">
			<div class="share_title">Поделиться:</div> 
			<div class="share">
				<div class="vk sprite" onClick='window.open("https://vk.com/share.php?url={$config->root_url|urlencode}/products/{$product->url|urlencode}&title={$product->name|urlencode}&noparse=false");'></div>
				<div class="facebook sprite" onClick='window.open("https://www.facebook.com/sharer.php?u={$config->root_url|urlencode}/products/{$product->url|urlencode}");'></div>
				<div class="twitter sprite" onClick='window.open("https://twitter.com/share?text={$product->name|urlencode}&url={$config->root_url|urlencode}/products/{$product->url|urlencode}&hashtags={$product->meta_keywords|replace:' ':''|urlencode}");'></div>
				 <div class="telegram sprite"  onClick='window.open("https://t.me/share/url?url={$config->root_url|urlencode}/products/{$product->url|urlencode}&text={$product->name|urlencode}");'></div>
				 <div class="ok sprite"  onClick='window.open("https://connect.ok.ru/offer?url={$config->root_url|urlencode}/products/{$product->url|urlencode}&title={$product->name|urlencode}&imageUrl={if $product->image}{$product->image->filename|resize:1024:768:w}{else}{$config->root_url}/js/nophoto.png{/if}");'></div>
			</div>
		</div>
		{* Share @ *}

	</div>
	
	<div class="container">

		<ul class="tabs font">
			{if !empty($product->body)}<li><a href="#tab1" title="Описание">Описание</a></li>{/if}
			{if !empty($product->features)}<li><a href="#tab2" title="Характеристики">Характеристики</a></li>{/if}
			{if !empty($cms_files)}<li><a href="#tab4" title="Файлы">Файлы</a></li>{/if}
			<li class="coments_tab"><a href="#tab3" title="Отзывы">Отзывы{if $comments} ({$comments|count}){/if}</a></li>
			{if !empty($settings->youtube_product)}<li class="find_video" onClick="findVideo('{$product->name|escape}');"><a href="#tab5" title="Видео">Видео</a></li>{/if}
			{if !empty($settings->del_pay)}<li><a href="#tab6" title="Оплата и доставка">Оплата и доставка</a></li>{/if}
		</ul>

		<div class="tab_container">
			
			{if !empty($product->body)}
			<div id="tab1" class="tab_content">
				{$product->body}
			</div>
			{/if}
		
			{if !empty($product->features)}
			<div id="tab2" class="tab_content">
				<ul class="features">
					{foreach $product->features as $f}
					<li>
						<label class="featurename"><span>{$f->name|escape}</span></label>
						<label class="lfeature">{$f->value|escape}</label>
					</li>
					{/foreach}
				</ul>
			</div>
			{/if}
		
			{if !empty($cms_files)}
			<div id="tab4" class="tab_content">
				<ul class="stars">
					{foreach $cms_files as $file}
					<li>
						{if $file->filename|substr:0:4 == 'http'}
							{$filename = $file->filename}
						{else}
							{$filename = $config->cms_files_dir|cat:$file->filename}	
						{/if}
						<a href="{$filename}" download="{$filename}">
							{if $file->name}{$file->name|escape}{else}{$file->filename}{/if}
						</a>
					</li>
					{/foreach}
				</ul>
			</div>
			{/if}

			<div id="tab3" class="tab_content">
				<div id="comments">
					<div class="comments-left">
						<p class="comments_title">Отзывы к "{$product->name|escape}":</p>
						{if $comments}
							{* Список с отзывами *}
							<ul class="comment_list">
								{foreach $comments as $comment}
								<li itemprop="review" itemtype="https://schema.org/Review" itemscope>
									<meta itemprop="datePublished" content="{$comment->date|date_format:'%Y-%m-%d'}"/>
									<meta itemprop="itemReviewed" content="{$product->name|escape}" />
									<div style="display:none;" itemprop="author" itemtype="https://schema.org/Person" itemscope>
										<meta itemprop="name" content="{$comment->name|escape}" />
									</div>
									<div class="comment_header">	
										<span>{$comment->name|escape}</span> <i>{$comment->date|date}, {$comment->date|time}</i>
										{if !$comment->approved}ожидает модерации</b>{/if}
									</div>
									<div class="comment_body" itemprop="reviewBody">{if !empty($settings->allow_comment_tags)}{$comment->text|escape|nl2br|bbcode}{else}{$comment->text|escape|nl2br}{/if}
									</div>
									{if $comment->otvet}
									<div class="comment_admint">Администрация:</div>
									<div class="comment_admin">
										{$comment->otvet}
									</div>
									{/if}
								</li>
								{/foreach}
							</ul>
					
							{* Пагинация отзывов *}
							{$comments_on_page = 4}
							{if $comments|count > $comments_on_page}	
								<script type="text/javascript" src="js/pagination/pagination.js"></script>
								<script>var show_per_page = {$comments_on_page};</script>
								<input type='hidden' id='current_page' />
								<input type='hidden' id='show_per_page' />	
								<div id="page_navigation" class="pagination_comments"></div>
							{/if}
							{* Список с отзывами @ *}
						{else}
							<p>Пока нет отзывов</p>
						{/if}
					</div>
					{* Форма отправления комментария *}	
					<form class="comment_form" method="post">
						<div class="comm-title font">Написать комментарий</div>
						{if !empty($error)}
						<div class="message_error">
							{if $error=='captcha'}
							Не пройдена проверка на бота
							{elseif $error=='empty_name'}
							Введите имя
							{elseif $error=='empty_comment'}
							Введите комментарий
							{elseif $error=='empty_email'}
							Введите Email
							{elseif $error == 'wrong_name'}
							В поле 'Имя' может использоваться только кириллица
							{elseif $error == 'wrong_email'}
							Некорректный Email
							{/if}
						</div>
						{/if}
						
						{if !empty($settings->allow_comment_tags)}<div class="comment_help">{$settings->comment_tags}</div>{/if}
						
						<label>
							<textarea class="comment_textarea" id="comment_text" name="text" data-format=".+" data-notice="Введите комментарий">{if !empty($comment_text)}{$comment_text|escape}{/if}</textarea>
						</label>	
						<div class="comment_inputs">
							<label for="comment_name">* Имя</label>
							<input class="input_name" type="text" id="comment_name" name="name" value="{if !empty($comment_name)}{$comment_name|escape}{/if}" data-format=".+" data-notice="Введите имя"/>
							<br />
			
							<label for="comment_email">* E-Mail</label>
							<input class="input_name" type="email" id="comment_email" name="email" value="{if !empty($comment_email)}{$comment_email|escape}{/if}" data-format=".+" data-notice="Введите Email"/>
							<br />
					
							{include file='conf.tpl'}
							<input class="button blue l right hideablebutton" type="submit" name="comment" value="Отправить" />
					
							{include file='antibot.tpl'}
						</div>
					</form>
					{* Форма отправления комментария @ *}
	
				</div>
			</div>
		
			{if !empty($settings->youtube_product)}
			{* Youtube *}
			<div id="tab5" class="tab_content">
				<p class="video_founded" style="margin-bottom:20px;">Видео-обзоры "{$product->name|escape}", подобранные <strong>автоматически</strong>:</p>
				<p class="video_not_founded" style="display:none;margin-bottom:10px;">Видео-обзоров для "{$product->name|escape}" не найдено</p>
				<ul class="inline" id="results"></ul>
			</div>
			<script type="text/javascript">
				var vidResults = 2; // кол-во видео
				function findVideo(searchText){ 
					var searchText;
					$.get(
					"https://www.googleapis.com/youtube/v3/search",{ 
						part: 'id',
						q: searchText,
						maxResults: vidResults,
						//order: 'relevance',
						key: '{$settings->youtube_key}'
						},
						function(data){ 
							$('.youtube_tab').show();
							var output;
							$.each(data.items, function(i, item){ 
								//console.log(item);
								videoId = item.id.videoId;
								output = '<li style=\"margin:10px 0 30px 0;\"><iframe class=\"superembed-force\" frameborder="0" allowfullscreen height="236" width="420" src=\"//www.youtube.com/embed/'+videoId+'\"></iframe></li>';
								$('#results').append(output);
							})
							if(output){ 
								$.getScript("{$config->root_url}/js/superembed.min.js");
							} else {
								$('.video_not_founded').show();
								$('.video_founded').hide();
							}
						}
					);
					$('.find_video').removeAttr('onClick');
				};
			</script>
			{* Youtube @ *}
			{/if}
			
			{* Информация по оплате / доставке *}
			{if !empty($settings->del_pay)}
			<div id="tab6" class="tab_content">
				{include file='del_pay.tpl'}
			</div>
			{/if}
		</div>
	</div>

	{* Соседние товары *}
	{if !empty($prev_product) || !empty($next_product)}
	<div id="back_forward">
		{if !empty($prev_product)}
			<span class="prev_page_link"><a class="prev_page_link" href="products/{$prev_product->url}" title="{$prev_product->name|escape}">&laquo; {$prev_product->name|escape|truncate:40:"...":true}</a></span>
		{/if}
		{if !empty($next_product)}
			<span class="next_page_link"><a class="next_page_link" href="products/{$next_product->url}" title="{$next_product->name|escape}">{$next_product->name|escape|truncate:40:"...":true} &raquo;</a></span>
		{/if}
	</div>
	{/if}
	
	{* Schema.org *}
	{if !empty($product->annotation|trim)}{$descr = $product->annotation|strip_tags:true}{elseif !empty($product->body|strip_tags:true|trim)}{$descr = $product->body|strip_tags:true}{elseif !empty($seo_description|trim)}{$descr = $seo_description|escape}{elseif !empty($meta_description|trim)}{$descr = $meta_description|escape}{else}{$descr = $product->name|escape}
	{/if}
	<div style="display:none;">
		<meta content="{$product->name|escape}" itemprop="name">
		<meta content="{$descr|replace:'"':''}" itemprop="description">
		<meta content="{if $product->image}{$product->image->filename|resize:1024:768:w}{else}{$config->root_url}/js/nophoto.png{/if}" itemprop="image">
		{if !empty($product->variant->price)}
		<div itemprop="offers" itemscope itemtype="http://schema.org/Offer"> 
			<meta content="{$product->variant->price|convert|strip:''}" itemprop="price">
			<meta content="{$currency->code|escape|replace:'RUR':'RUB'}" itemprop="priceCurrency">
			<link itemprop="url" href="{$config->root_url}/products/{$product->url}"/>
			{if $product->variant->stock == 0}
				<meta content="OutOfStock" itemprop="availability">
			{else}
				<meta content="InStock" itemprop="availability">
			{/if}
			<meta content="{strtotime('+365 day')|date_format:'%Y-%m-%d'}" itemprop="priceValidUntil">
		</div>
		{/if}
		{if !empty($product->variant->sku)}<meta content="{$product->variant->sku}" itemprop="sku">{/if}
		{if !empty($votes) && !empty($rating)}
		<div itemprop="aggregateRating" itemscope itemtype="http://schema.org/AggregateRating">
			<meta itemprop="ratingValue" content="{$rating}">
			<meta itemprop="ratingCount" content="{$votes}">
			<meta itemprop="worstRating" content="1">
			<meta itemprop="bestRating" content="5">
		</div>
		{/if}
		{if !empty($brand->name)}
		<div itemprop="brand" itemscope itemtype="http://schema.org/Brand">
			<meta itemprop="name" content="{$brand->name|escape}">
		</div>
		{/if}
	</div>
	{* Schema.org @ *}	
	
</div>

{* Связанные / Похожие товары горизонтально *}
{*{if !empty($notinstock)}
	{get_products var=related_products category_id=$category->id in_stock=1 sort=rand limit=6}
	{$related_title="Похожие товары"}
{elseif !empty($related_ids)}
	{get_products var=related_products id=$related_ids in_stock=1}
	{$related_title="С этим товаром часто покупают"}
{/if}	

{if !empty($related_products)}
	<div class="mainproduct blue">{$related_title}</div>
	<ul class="related relcontent tiny_products">
		{foreach $related_products as $related_product}
			{include file='products_related.tpl'}
		{/foreach}
	</ul>
{/if}*}
{* Связанные / Похожие товары @ *}

{* Вас также могут заинтересовать *}
{* available: sort (or remove) position|name|date|rating|rand, in_stock (or remove) 0|1 *}
{if !empty($category->id)}
	{get_products var=featured_products featured=1 category_id=$category->id in_stock=1 sort=rand limit=4}
{else}
	{get_products var=featured_products featured=1 in_stock=1 sort=rand limit=4}
{/if}
{if !empty($featured_products)}
	<div class="mainproduct blue">Вас также могут заинтересовать</div>
	<div id="hitcontent" class="tiny_products hoverable">
		{foreach $featured_products as $product}
			<div class="product_wrap">
				{include file='products_item.tpl'}
			</div>
		{/foreach}
	</div>
{/if}
{* Вас также могут заинтересовать @ *}

{* Связанные статьи *}
{get_object_articles var=last_articles type='product' id=$product->id limit=3 visible=1 sort='date'}
{if !empty($last_articles)}
	<div class="mainproduct blog_also">Рекомендуем прочесть</div>
	<div class="blogposts">
	{include file='articlesline_body.tpl'}
	</div>    
{/if}
{* Связанные статьи @ *}

<script>
$(document).ready(function(){ 
	{if !empty($error)}
		$("ul.tabs li.coments_tab").addClass("active");
		$("#tab3").show();
	{else}
		$("ul.tabs li:first").addClass("active");
		$(".tab_content:first").show();
	{/if}
	$("ul.tabs li").on("click",function() {
		$("ul.tabs li").removeClass("active");
		$(this).addClass("active");
		$(".tab_content").hide();
		var activeTab = $(this).find("a").attr("href");
		$(activeTab).show();
		return false;
	});
});
</script>

{if !empty($product->images) || !empty($youtube_ids)}
<script>
// Смена цвета и карусель
$(document).ready(function(){ 
	{if !empty($product->vproperties)}
		{* Если указан цвет, нужно скрыть другие фото *}
		try{ elem=$(this).closest('.variants');
			chpr(elem);
		} catch(e) { /*window.location.replace(window.location);*/ }
		$(".variant").on('change',function(){ $('.imagebig .carousel__nav').hide();chpr(this); });
		function chpr(el){
			$('.blockimg .carousel__slide').hide();
			var color_label="'"+$('.description .variant :selected').attr('data-color')+"'";
			$('.blockimg [data-imcolor='+color_label+']').show();
			init_carousel();
		}
		$(".size").on('change',function(){ 
			var size_label=$('.size :selected').val();
			window.location='{$config->root_url}/products/{$product->url}?size='+size_label;
		});
	{else}
		init_carousel();
	{/if}
	
	Fancybox.bind('.carousel__slide', {
	  mainClass: "standart_modal",
	  Image: {
		zoom: false,
		wheel: "slide",
	  },
	});
});
// Карусель
function init_carousel(){	
	// Initialise Carousel
	const mainCarousel = new Carousel(document.querySelector("#mainCarousel"), { Dots: false, infinite: true });
	mainCarousel.plugins.Autoplay.stop();
	// Thumbnails
	const thumbCarousel = new Carousel(document.querySelector("#thumbCarousel"), {
		Sync: {
			target: mainCarousel,
			friction: 0,
		},
		Dots: false,
		Navigation: false,
		center: true,
		slidesPerPage: 1,
		infinite: false,
	});
	thumbCarousel.plugins.Autoplay.stop();
}			
</script>
{/if}