{$meta_title = "Избранное" scope=root}
{$page_name = "Избранное" scope=root}
{$canonical="/wishlist" scope=root}
<h1>Избранное</h1>

{if $wished_products|count}
	<div class="tiny_products relcontent">
		{foreach $wished_products as $product}
			<div class="product">
				<div class="image">
					<svg data-remove="{$product->id}" class="wishlist_delete del_button"><use xlink:href='#del_button' /></svg>
					{if !empty($product->image)}
						<a href="products/{$product->url}" title="{$product->name|escape}"><img src="{$product->image->filename|resize:300:300}" alt="{$product->name|escape}" title="{$product->name|escape}" /></a>
					{else}
						<a href="products/{$product->url}" title="{$product->name|escape}"><svg class="nophoto"><use xlink:href='#no_photo' /></svg></a>
					{/if}
				</div>
				<div class="product_info">
					<div class="h3 product_title font"><a style="display: table;" data-product="{$product->id}" href="products/{$product->url}">{$product->name|escape}</a></div>
				</div>
			</div>
		{/foreach}
	</div>
{else}
	<p>Сейчас список избранного пуст</p>
{/if}

<script>
	$(document).ready(function(){ 
		$(document).on('click','.wishlist_delete',function(e){ 
			e.preventDefault();
			var prod_id=$(this).attr('data-remove');
			$.ajax({ 
				url:"ajax/wishlist.php",
				data:{ 'action':'delete', 'id':prod_id},
				dataType:'json',
				success:function(data){ 
					if(data){
						location.reload();
					}
				}
			});
			return false;
		});	
	});	
</script>	