{* Канонический адрес страницы *}
{$canonical="/article/{$post->url}" scope=root}
<div class="post-pg" itemscope itemtype="http://schema.org/Article">
	{* Schema.org *}
    <div itemprop="author" itemscope itemtype="https://schema.org/Organization">
        <meta itemprop="name" content="{$settings->company_name|escape}" />
		<meta itemprop="address" content="{$settings->company_address|escape}" />
		<meta itemprop="telephone" content="{$settings->phone|escape}" />
		<link itemprop="url" href="{$config->root_url}" />
		<link itemprop="image" href="{$logo_url}" />
    </div>
	<meta content="{$post->date|date_format:'c'}" itemprop="datePublished" />
	<meta content="{$post->last_modify|date_format:'c'}" itemprop="dateModified" />
	<meta content="{$meta_title|escape}" itemprop="headline" />
	{$seo_description = $meta_title|cat:$settings->seo_description|cat:" ✩ "|cat:$settings->site_name|cat:" ✩"}
	<meta content="{if !empty($post->annotation)}{$post->annotation|strip_tags}{elseif !empty($meta_description)}{$meta_description|escape}{elseif !empty($seo_description)}{$seo_description|escape}{/if}" itemprop="description" />
	<link itemprop="mainEntityOfPage" href="{$config->root_url}{$canonical}" />
	<div style="display:none;" itemprop="image" itemscope itemtype="https://schema.org/ImageObject">
		{if !empty($post->images[1])}
			{$img_url=$post->images[1]->filename|resize:1024:768:w:$config->resized_articles_images_dir}
		{elseif !empty($post->image)}
			{$img_url=$post->image->filename|resize:400:400:false:$config->resized_articles_images_dir}
		{else}
			{$img_url=$logo_url}
		{/if}
		<link itemprop="url contentUrl image" href="{$img_url}" />
		{assign var="info" value=$img_url|getimagesize}
		<meta itemprop="width" content="{$info.0}" />
		<meta itemprop="height" content="{$info.1}" />
	</div>	
	{* Schema.org @ *}
		
	{if !empty($category)}
	<div class="path bottom_line">
		<svg><use xlink:href='#folder' /></svg>
		<span><a href="articles/{$category->url}" title="{$category->name|escape}">{$category->name|escape}</a></span>
	</div>
	{/if}
	<div class="postdate dateico">
		<div class="left">
			<svg><use xlink:href='#calendar' /></svg>
			<span>{$post->date|date}</span>
		</div>
		{if !empty($settings->allow_views)}
		<div class="right">
			<svg><use xlink:href='#views' /></svg>
			<span>Просмотров: {$post->views}</span>
		</div>
		{/if}
	</div>

	<div class="post_text" itemprop="articleBody" role="article">
		{$post->text}
	</div>
</div>

{if !empty($post->images)}
	<ul id="gallerypic" class="tiny_products">
		{foreach $post->images|cut as $i=>$image}
			<li class="product"><div class="image">
			<a rel="gallery" href="{$image->filename|resize:1024:768:w:$config->resized_articles_images_dir}" class="swipebox" title="{$post->name|escape}">
			<img alt="{$post->name|escape}" title="{$post->name|escape}" src="{$image->filename|resize:400:400:false:$config->resized_articles_images_dir}" /></a></div>
			</li>
		{/foreach}
	</ul>
{/if}

{* related products *}
{if !empty($rel_prod_ids)}
	{* available: sort (or remove) position|name|date|rating|rand, in_stock (or remove) 0|1 *}
	{get_products var=related_products id=$rel_prod_ids in_stock=1}
	{if !empty($related_products)}
		<div class="mainproduct blue noradius">Связанные товары</div>
		<ul class="tiny_products">
			{foreach $related_products as $product}
				{include file='products_item.tpl'}
			{/foreach}
		</ul>
	{/if}
{/if}
{* related products @ *}

{if !empty($rel_art_ids)}
	{* Связанные статьи *}
	{get_articles var='last_articles' limit=3 id=$rel_art_ids sort='date'}
{elseif !empty($category->id)}
	{* Статьи из той же категории *}
	{get_articles var='last_articles' category_id=$category->id limit=3 sort='rand'}
{else}
	{get_articles var='last_articles' limit=3 sort='rand'}
{/if}
{if !empty($last_articles)}
	<div class="mainproduct blog_also noradius">Рекомендуем прочесть</div>
	<ul class="comment_list">
		{foreach $last_articles as $post}
			{include file='articles_item.tpl'}
		{/foreach}
	</ul>
{/if}