{if isset($smarty.server.HTTP_X_REQUESTED_WITH) && $smarty.server.HTTP_X_REQUESTED_WITH|strtolower == 'xmlhttprequest'}
    {$wrapper = '' scope=root}
	<input class="refresh_title" type="hidden" value="{$meta_title|escape}{if !empty($current_page_num) && $current_page_num>1} - страница {$current_page_num}{/if}" />
{/if}

{if !empty($keyword)}
	{$canonical="/articles?keyword={$keyword|escape}" scope=root}
{elseif !empty($category)}
	{$canonical="/articles/{$category->url}{if $current_page_num>1}?page={$current_page_num}{/if}" scope=root}
{else}
	{$canonical="/articles{if $current_page_num>1}?page={$current_page_num}{/if}" scope=root}
{/if}

<input class="curr_page" type="hidden" data-url="{url page=$current_page_num}" value="{$current_page_num}" />
<input class="refresh_curr_page" type="hidden" data-url="{url page=$current_page_num}" value="{$current_page_num}" />
{if $current_page_num<$total_pages_num}<input class="refresh_next_page" type="hidden" data-url="{url page=$current_page_num+1}" value="{$current_page_num+1}" />{/if}
{if $current_page_num==2}<input class="refresh_prev_page" type="hidden" data-url="{url page=null}" value="{$current_page_num-1}" />{/if}
{if $current_page_num>2}<input class="refresh_prev_page" type="hidden" data-url="{url page=$current_page_num-1}" value="{$current_page_num-1}" />{/if}
<input class="total_pages" type="hidden" value="{$total_pages_num}" />

{* Категории *}
{if !empty($category->subcategories)}
	{$articles_cats = $category->subcategories}
{elseif !empty($articles_categories) && empty($category)}	
	{$articles_cats = $articles_categories}
{/if}	
{if !empty($articles_cats)}
	<ul class="category_products separator">
	{foreach $articles_cats as $ac2}
		{if $ac2->visible}
		<li class="product" onClick="window.location='{$config->root_url}/articles/{$ac2->url}'">
			<div class="image">
				{if $ac2->image}
					<img src="{$config->articles_categories_images_dir}{$ac2->image}" alt="{$ac2->name}" title="{$ac2->name}" />
				{else}
					<svg class="nophoto"><use xlink:href='#folder' /></svg>
				{/if}
			</div>
			<div class="product_info">
				<div class="h3 product_title"><a data-articlescategory="{$ac2->id}" href="articles/{$ac2->url}">{$ac2->name}</a></div>
			</div>
		</li>
		{/if}
	{/foreach}
	</ul>
{/if}

{* Описание *}
{if !empty($page->body) || !empty($category->description)}
<div class="blog-pg" itemscope itemtype="http://schema.org/Article">
	{* Schema.org *}
	<div itemprop="author" itemscope itemtype="https://schema.org/Organization">
		<meta itemprop="name" content="{$settings->company_name|escape}" />
		<meta itemprop="address" content="{$settings->company_address|escape}" />
		<meta itemprop="telephone" content="{$settings->phone|escape}" />
		<link itemprop="url" href="{$config->root_url}" />
		<link itemprop="image" href="{$logo_url}" />
	</div>
	{if !empty($category)}
		<meta content="{$category->last_modify|date_format:'c'}" itemprop="datePublished" />
		<meta content="{$category->last_modify|date_format:'c'}" itemprop="dateModified" />
	{elseif !empty($page->last_modify)}
		<meta content="{$page->last_modify|date_format:'c'}" itemprop="datePublished" />
		<meta content="{$page->last_modify|date_format:'c'}" itemprop="dateModified" />
	{/if}
	<meta content="{$meta_title|escape}" itemprop="headline" />
	{$seo_description = $meta_title|cat:$settings->seo_description|cat:" ✩ "|cat:$settings->site_name|cat:" ✩"}
	<meta content="{if !empty($meta_description)}{$meta_description|escape}{elseif !empty($seo_description)}{$seo_description|escape}{/if}" itemprop="description" />
	<link itemprop="mainEntityOfPage" href="{$config->root_url}{$canonical}" />
	<div style="display:none;" itemprop="image" itemscope itemtype="https://schema.org/ImageObject">
		{if !empty($category->image)}
			{$img_url=$config->root_url|cat:'/'|cat:$config->articles_categories_images_dir|cat:$category->image}
		{else}
			{$img_url=$logo_url}
		{/if}
		<link itemprop="url contentUrl image" href="{$img_url}" />
		{assign var="info" value=$img_url|getimagesize}
		<meta itemprop="width" content="{$info.0}" />
		<meta itemprop="height" content="{$info.1}" />
	</div>
	{* Schema.org @ *}
	<div itemprop="articleBody">
		{if !empty($page->body)}{$page->body}{/if}
		{if !empty($category->description) && $current_page_num==1}
			{$category->description}
		{/if}
	</div>
</div>
{/if}

{* Каталог статей *}
{if $posts}
	<div class="ajax_pagination">

		{if $posts|count>1}
		<div class="sort blog-pg">
			Сортировать по: 
			<a {if $sort=='position'} class="selected"{/if} href="{url articles_sort=position page=null}">порядку</a>&nbsp;|&nbsp;<a {if $sort=='date'}    class="selected"{/if} href="{url articles_sort=date page=null}">дате</a>&nbsp;|&nbsp;<a {if $sort=='name'}     class="selected"{/if} href="{url articles_sort=name page=null}">имени</a>
		</div>
		{/if}

		{*{if $total_pages_num>1}
			<div class="blog-pg">
				{include file='pagination.tpl'}
			</div>
		{/if}*}
	
		{if $current_page_num >= 2}
			<div class="infinite_prev" style="display:none;">
				<div class="trigger_prev infinite_button">Загрузить пред. страницу</div>
			</div>
		{/if}

		<ul class="comment_list infinite_load" style="margin-top:0;">
			{foreach $posts as $post}
				{include file='articles_item.tpl'}
			{/foreach}
		</ul>

		{*{include file='pagination.tpl'}*}
		{if $total_pages_num >1}
			<div class="infinite_pages infinite_button" style="display:none;margin:15px auto;">
				<div>Стр. {$current_page_num} из {$total_pages_num}</div>
			</div>
			<div class="infinite_trigger"></div>
		{/if}

	</div>
{else}
	<div class="blog-pg">Статьи не найдены</div>
{/if}	
{* Каталог статей end *}

