{$canonical="/{$page->url}" scope=root}
<div class="page-pg" itemscope itemtype="http://schema.org/Article">
	{* Schema.org *}
    <div itemprop="author" itemscope itemtype="https://schema.org/Organization">
        <meta itemprop="name" content="{$settings->company_name|escape}" />
		<meta itemprop="address" content="{$settings->company_address|escape}" />
		<meta itemprop="telephone" content="{$settings->phone|escape}" />
		<link itemprop="url" href="{$config->root_url}" />
		<link itemprop="image" href="{$logo_url}" />
    </div>
	<meta content="{$page->last_modify|date_format:'c'}" itemprop="datePublished" />
	<meta content="{$page->last_modify|date_format:'c'}" itemprop="dateModified" />
	<meta content="{$meta_title|escape}" itemprop="headline" />
	{$seo_description = $meta_title|cat:$settings->seo_description|cat:" ✩ "|cat:$settings->site_name|cat:" ✩"}
	<meta content="{if !empty($meta_description)}{$meta_description|escape}{elseif !empty($seo_description)}{$seo_description|escape}{/if}" itemprop="description" />
	<link itemprop="mainEntityOfPage" href="{$config->root_url}{$canonical}" />
	<div style="display:none;" itemprop="image" itemscope itemtype="https://schema.org/ImageObject">
		{$img_url=$logo_url}
		<link itemprop="url contentUrl image" href="{$img_url}" />
		{assign var="info" value=$img_url|getimagesize}
		<meta itemprop="width" content="{$info.0}" />
		<meta itemprop="height" content="{$info.1}" />
	</div>
	{* Schema.org @ *}
	
	<div itemprop="articleBody">
		{$page->body}
	</div>
</div>

{if isset($message_sent)}
	<div class="page-pg">
		<strong>{$name|escape}, ваше сообщение отправлено.</strong>
	</div>
{else}
<form class="form feedback_form" method="post">
	<h2>Обратная связь:</h2>
	{if isset($error)}
	<div class="message_error">
		{if $error=='captcha'}
		Не пройдена проверка на бота
		{elseif $error=='empty_name'}
		Введите имя
		{elseif $error=='empty_email'}
		Введите Email
		{elseif $error=='empty_text'}
		Введите сообщение
		{elseif $error == 'wrong_name'}
		В поле 'Имя' может использоваться только кириллица
		{elseif $error == 'wrong_email'}
		Некорректный Email
		{/if}
	</div>
	{/if}
	<input placeholder="* Имя" data-format=".+" data-notice="Введите имя" value="{if !empty($name)}{$name|escape}{/if}" name="name" maxlength="255" type="text" required />
 
	<input placeholder="* E-mail" data-format="email" data-notice="Введите E-mail" value="{if !empty($email)}{$email|escape}{/if}" name="email" maxlength="255" type="email" required />
	
	<textarea placeholder="Сообщение" data-format=".+" data-notice="Введите сообщение" name="message" required >{if !empty($message)}{$message|escape}{/if}</textarea>

	<div class="captcha-block">
		{include file='antibot.tpl'}
	</div>
	{include file='conf.tpl'}
	<input class="button blue l hideablebutton" type="submit" name="feedback" value="Отправить" />

</form>
{/if}