{$wrapper = 'index.tpl' scope=root}

{* Канонический адрес страницы *}
{$canonical="" scope=root}

{include file='slides_mob.tpl'}

{* categories start *}
{if empty($settings->purpose) && !empty($categories)}
<div class="maincatalog">Каталог</div>
<ul class="category_products separator">
	{foreach $categories as $c}
		{if $c->visible}
			<li class="product" onClick="window.location='{$config->root_url}/catalog/{$c->url}'">
				<div class="image">
					{if $c->image}
						<img loading="lazy" alt="{$c->name|escape}" title="{$c->name|escape}" src="{$config->categories_images_dir}{$c->image}" />
					{else}
						<svg class="nophoto"><use xlink:href='#folder' /></svg>
					{/if}
				</div>
				<div class="product_info">
					<div class="h3">{if !empty($c->menu)}{$c->menu|escape}{else}{$c->name|escape}{/if}</div>
				</div>
			</li>
		{/if}
	{/foreach}
	{if !empty($settings->show_brands)}
		<li class="product svg_brands" onClick="window.location='{$config->root_url}/brands'">
			<div class="image">
				<svg viewBox="0 0 24 24"><use xlink:href='#brands' /></svg>
			</div>
			<div class="product_info">
				<div class="h3">Бренды</div>
			</div>
		</li>
	{/if}
	{* available: sort (or remove) position|name|date|rating|rand, in_stock (or remove) 0|1 *}
	{get_products var=discounted_products discounted=1 in_stock=1 limit=3}
	{if !empty($discounted_products) && $discounted_products|count > 2}
		<li class="product svg_lowprice" onClick="window.location='{$config->root_url}/discounted'">
			<div class="image">
				<svg class="lowprice" viewBox="0 0 24 24"><use xlink:href='#lowprice' /></svg>
			</div>
			<div class="product_info">
				<div class="h3">Скидки</div>
			</div>
		</li>
	{/if}
	{get_products var=featured_products featured=1 in_stock=1 limit=3}
	{if !empty($featured_products) && $featured_products|count > 2}
		<li class="product svg_hit" onClick="window.location='{$config->root_url}/hits'">
			<div class="image">
				<svg class="hit" viewBox="0 0 24 24"><use xlink:href='#hit' /></svg>
			</div>
			<div class="product_info">
				<div class="h3">Лидеры продаж</div>
			</div>
		</li>
	{/if}
	{get_products var=is_new_products is_new=1 in_stock=1 limit=3}
	{if !empty($is_new_products) && $is_new_products|count > 2}
		<li class="product svg_new" onClick="window.location='{$config->root_url}/new'">
			<div class="image">
				<svg class="new" viewBox="0 0 24 24"><use xlink:href='#new' /></svg>
			</div>
			<div class="product_info">
				<div class="h3">Новинки</div>
			</div>
		</li>
	{/if}
</ul>
{elseif !empty($settings->purpose) && !empty($services_categories)}
<div class="maincatalog">Каталог</div>
<ul class="category_products separator" style="margin-bottom:10px;margin-top:0px;">
	{foreach $services_categories as $ac2}
		{if $ac2->visible}
			<li class="product" onClick="window.location='{$config->root_url}/services/{$ac2->url}'">
				<div class="image">
				{if $ac2->image}
					<img loading="lazy" alt="{$ac2->menu|escape}" title="{$ac2->menu|escape}" src="{$config->services_categories_images_dir}{$ac2->image}" />
				{else}
					<svg class="nophoto"><use xlink:href='#folder' /></svg>
				{/if}
				</div>
				<div class="product_info">
					<div class="h3">{$ac2->menu|escape}</div>
				</div>
			</li>
		{/if}
	{/foreach}
</ul>
{/if}
{* categories end *}

{* main text *}
{if !empty($page->body)}
	<div class="main-text" itemscope itemtype="http://schema.org/Article">
		{* Schema.org *}
		<div itemprop="author" itemscope itemtype="https://schema.org/Organization">
			<meta itemprop="name" content="{$settings->company_name|escape}" />
			<meta itemprop="address" content="{$settings->company_address|escape}" />
			<meta itemprop="telephone" content="{$settings->phone|escape}" />
			<link itemprop="url" href="{$config->root_url}" />
			<link itemprop="image" href="{$logo_url}" />
		</div>
		<meta content="{$page->last_modify|date_format:'c'}" itemprop="datePublished" />
		<meta content="{$page->last_modify|date_format:'c'}" itemprop="dateModified" />
		<meta content="{$meta_title|escape}" itemprop="headline" />
		{$seo_description = $meta_title|cat:$settings->seo_description|cat:" ✩ "|cat:$settings->site_name|cat:" ✩"}
		<meta content="{if !empty($meta_description)}{$meta_description|escape}{elseif !empty($seo_description)}{$seo_description|escape}{/if}" itemprop="description" />
		<link itemprop="mainEntityOfPage" href="{$config->root_url}{$canonical}" />
		<div style="display:none;" itemprop="image" itemscope itemtype="https://schema.org/ImageObject">
			{$img_url=$logo_url}
			<link itemprop="url contentUrl image" href="{$img_url}" />
			{assign var="info" value=$img_url|getimagesize}
			<meta itemprop="width" content="{$info.0}" />
			<meta itemprop="height" content="{$info.1}" />
		</div>
		{* Schema.org @ *}
		<div class="top cutouter" style="max-height:{$settings->cutmob|escape}px;">
			<div class="disappear"></div>
			<div class="cutinner" itemprop="articleBody">
			  	<h1>{$page->header|escape}</h1>
			  	{$page->body}
			</div>
		</div>
		<div class="top cutmore" style="display:none;">Развернуть...</div>
	</div>
{/if}
{* main text end *}

{if !empty($settings->hideblog)}
	<div class="mainproduct blue noradius">Новости</div>
	{get_posts var=posts limit=3}
	{if !empty($posts)}
		<ul class="comment_list">
			{foreach $posts as $post}
				{include file='blog_item.tpl'}
			{/foreach}
		</ul>   
		<div class="page-pg" style="margin-top:-5px;">
			<a class="blogmore" href="blog">Все записи...</a>
		</div>
	{/if}
{/if}
