{* Канонический адрес страницы *}
{$canonical="/{$page->url}" scope=root}
<div itemscope itemtype="http://schema.org/Article">
	{* Schema.org *}
    <div itemprop="author" itemscope itemtype="https://schema.org/Organization">
        <meta itemprop="name" content="{$settings->company_name|escape}" />
		<meta itemprop="address" content="{$settings->company_address|escape}" />
		<meta itemprop="telephone" content="{$settings->phone|escape}" />
		<link itemprop="url" href="{$config->root_url}" />
		<link itemprop="image" href="{$logo_url}" />
    </div>
	<meta content="{$page->last_modify|date_format:'c'}" itemprop="datePublished" />
	<meta content="{$page->last_modify|date_format:'c'}" itemprop="dateModified" />
	<meta content="{$meta_title|escape}" itemprop="headline" />
	{$seo_description = $meta_title|cat:$settings->seo_description|cat:" ✩ "|cat:$settings->site_name|cat:" ✩"}
	<meta content="{if !empty($meta_description)}{$meta_description|escape}{elseif !empty($seo_description)}{$seo_description|escape}{/if}" itemprop="description" />
	<link itemprop="mainEntityOfPage" href="{$config->root_url}{$canonical}" />
	<div style="display:none;" itemprop="image" itemscope itemtype="https://schema.org/ImageObject">
		{$img_url=$logo_url}
		<link itemprop="url contentUrl image" href="{$img_url}" />
		{assign var="info" value=$img_url|getimagesize}
		<meta itemprop="width" content="{$info.0}" />
		<meta itemprop="height" content="{$info.1}" />
	</div>
	{* Schema.org @*}
	
	{if !empty($metadata_page->description) || !empty($page->body)}
	<div class="page-pg" itemprop="articleBody">
		{if !empty($metadata_page->description)}{$metadata_page->description}{elseif !empty($page->body)}{$page->body}{/if}
	</div>
	{/if}

	{if $page->url == 'catalog' || $page->url == '404'}
		{* Страница каталог товаров или услуг или 404 *}
		{if (empty($settings->purpose) || $page->url == 'catalog') && !empty($categories)}
			<ul role="navigation" class="category_products separator">
				{foreach $categories as $c}
					{if $c->visible}
					<li class="product" onClick="window.location='{$config->root_url}/catalog/{$c->url}'">								
						<div class="image">
						{if $c->image}
							<img alt="{$c->name|escape}" title="{$c->name|escape}" src="{$config->categories_images_dir}{$c->image}" />
						{else}
							<svg class="nophoto"><use xlink:href='#folder' /></svg>
						{/if}
						</div>
						<div class="product_info">
							<div class="h3">{if !empty($c->menu)}{$c->menu|escape}{else}{$c->name|escape}{/if}</div>
						</div>
					</li>
					{/if}
				{/foreach}
			</ul>
		{elseif !empty($settings->purpose) && !empty($services_categories)}
			<ul role="navigation" class="category_products separator">
				{foreach $services_categories as $ac2}
					{if $ac2->visible}
					<li class="product" onClick="window.location='{$config->root_url}/services/{$ac2->url}'">
						<div class="image">
							{if $ac2->image}
							<img alt="{$ac2->name|escape}" title="{$ac2->name|escape}" src="{$config->services_categories_images_dir}{$ac2->image}" />
							{else}
							<svg class="nophoto"><use xlink:href='#folder' /></svg>
							{/if}
						</div>
						<div class="product_info">
							<div class="h3">{$ac2->menu|escape}</div>
						</div>
					</li>
					{/if}
				{/foreach}
			</ul>
		{/if}
	{elseif $page->url == 'reviews-archive'}
		<div id="comments" class="response_archive" itemprop="articleBody">
			<ul class="comment_list">
				{$comments_num = 0}
			
				{get_comments var=last_comments1 type='product'}
				{if $last_comments1}
					{foreach $last_comments1 as $comment}
					<li>
						<div class="comment_header">{$comment->name} <i>({$comment->date|date}, {$comment->date|time})</i>:</div>
						<div class="comment_about">о товаре <a href="products/{$comment->url}">{$comment->product|escape}</a>:</div>
						<div class="comment_body">{if !empty($settings->allow_comment_tags)}{$comment->text|escape|nl2br|bbcode}{else}{$comment->text|escape|nl2br}{/if}</div>
						{if $comment->otvet}
						<div class="comment_admint">Администрация:</div>
						<div class="comment_admin" style="margin-bottom: 5px;">
							{$comment->otvet}
						</div>
						{/if}
					</li>
					{$comments_num = $comments_num + 1}
					{/foreach}
				{/if}

				{get_comments var=last_comments2 type='blog'}
				{if $last_comments2}
					{foreach $last_comments2 as $comment}
					<li>
						<div class="comment_header">{$comment->name} <i>({$comment->date|date}, {$comment->date|time})</i></div>
						<div class="comment_about">о записи <a href="blog/{$comment->url}">{$comment->product|escape}</a>:</div>
						<div class="comment_body">{if !empty($settings->allow_comment_tags)}{$comment->text|escape|nl2br|bbcode}{else}{$comment->text|escape|nl2br}{/if}</div>
						{if $comment->otvet}
							<div class="comment_admint">Администрация:</div>
							<div class="comment_admin" style="margin-bottom: 5px;">
								{$comment->otvet}
							</div>
						{/if}
					</li>
					{$comments_num = $comments_num + 1}
					{/foreach}
				{/if}
			</ul>
			{if $comments_num > 10}	
				<input type='hidden' id='current_page' />
				<input type='hidden' id='show_per_page' />	
				<div id="page_navigation" class="pagination"></div>
			{/if}
		</div>
	{elseif $page->url == 'brands'}
		<div class="brand-pg">
			{get_brands var=all_brands}
			{if $all_brands}
			<ul class="category_products brands_list">
				{foreach name=brands item=b from=$all_brands}
				<li class="product" style="cursor:pointer;" onClick="window.location='{$config->root_url}/brands/{$b->url}'">
					<div class="image">
					{if $b->image}
						<img alt="{$b->name}" title="{$b->name}" src="{$config->brands_images_dir}{$b->image}" />
					{else}
						<svg class="nophoto"><use xlink:href='#folder' /></svg>
					{/if}
					</div>
					<div class="product_info">
						<div class="h3">{$b->name}</div>
					</div>
				</li>
				{/foreach}
			</ul>
			{/if}
		</div>	
	{elseif $page->url == 'm-info'}
		{include file='minfo.tpl'}
	{/if}
	
</div>
