<li class="product {if !empty($settings->show_cart_wishcomp)}visible_button{/if}">
	<div class="labelsblock">
		{if !empty($product->featured)}
			<svg class="hit"><use xlink:href='#hit' /></svg>
		{/if}
		{if !empty($product->is_new)}
			<svg class="new"><use xlink:href='#new' /></svg>
		{/if}
		{if !empty($product->variant->compare_price)}
			<svg class="lowprice"><use xlink:href='#lowprice' /></svg>
		{/if}
	</div>
	<div class="image" onclick="window.location='products/{$product->url}'">
		{if !empty($product->image)}
			<img loading="lazy" alt="{$product->name|escape}" title="{$product->name|escape}" class="lazy" src="{$product->image->filename|resize:300:300}" />
		{else}
			<svg class="nophoto"><use xlink:href='#no_photo' /></svg>
		{/if}
	</div>
	<div class="product_info separator">
		<div class="h3"><a href="products/{$product->url}">{$product->name|escape}</a></div>

		{* rating *}
		{if isset($product->rating) && $product->rating > 0}
			{$prod_rating = $product->rating}
		{else}
			{$prod_rating = $settings->prods_rating|floatval}
		{/if}
		<div class="ratecomp catrater" id="product_{$product->id}">
			<span class="rater-starsOff_sm" style="width:60px;">
				<span class="rater-starsOn_sm" style="width:{$prod_rating*60/5|string_format:"%.0f"}px"></span>
			</span>
		</div>
		{* rating (The End) *}
			
		{if !empty($product->variants) && $product->variants|count > 0}
			<form class="variants" action="cart">
				{if $product->variants|count==1  && !$product->variant->name}
					<span style="display: block; height: 20px;"></span>
				{/if}

				<select name="variant" class="variant" {if $product->variants|count==1  && !$product->variant->name}style="display:none;"{/if}>
					{foreach $product->variants as $v}
						<option 
							value="{$v->id}" 
							data-unit="{if $v->unit}{$v->unit}{else}{$settings->units}{/if}" 
							{if $v->compare_price > 0}data-cprice="{$v->compare_price|convert}"{/if} 
							data-varprice="{$v->price|convert}" 
							data-avail="{if $v->stock == 0 && !empty($settings->allow_preorder)}{$settings->max_order_amount}{else}{$v->stock}{/if}" 
							{if $v->stock == 0 && empty($settings->allow_preorder)}disabled{/if}
							>{$v->name}{if $v->stock == 0 && !empty($settings->allow_preorder)} [предзаказ]{/if}
						</option>
					{/foreach}
				</select>
										
				<div class="price">
					{if !empty($settings->show_cart_wishcomp)}
						<label class="amount_wrap">
							<input size="2" class="amount" name="amount" max="{if $product->variant->stock == 0 && !empty($settings->allow_preorder)}{$settings->max_order_amount}{else}{$product->variant->stock}{/if}" min="1" type="number" value="1">&nbsp;x&nbsp;
						</label>
					{/if}
					{if $product->variant->compare_price > 0}
						<span class="compare_price">{$product->variant->compare_price|convert}</span>
					{/if}
					<span class="price">{$product->variant->price|convert}</span>
					<span class="currency">{$currency->sign|escape}{if $settings->b9manage}/<span class="unit">{if $product->variant->unit}{$product->variant->unit}{else}{$settings->units}{/if}</span>{/if}</span>
				</div>
				
				{if !empty($settings->show_cart_wishcomp)}
				<div class="sub_wishcomp_wrap">
					<input {if !empty($product->ref_url)}onClick="window.open('{$product->ref_url|escape}', '_blank');return false;"{/if} type="submit" class="button s" value="{$settings->to_cart_name|escape}" data-result-text="Добавлено"/>
					{include file='wishcomp.tpl'}
				</div>
				{/if}
			</form>
		{else}
			<div style="display: table; margin-top: 15px; margin-bottom: 21px;">Нет в наличии</div>
			{if !empty($settings->show_cart_wishcomp)}
			<div class="sub_wishcomp_wrap">
				{include file='wishcomp.tpl'}
			</div>	
			{/if}
		{/if}
	</div>
</li>