{* Канонический адрес страницы *}
{$canonical="/{$page->url}" scope=root}

{if !empty($metadata_page->description) || !empty($page->body)}
<div itemscope itemtype="http://schema.org/Article">
	{* Schema.org *}
    <div itemprop="author" itemscope itemtype="https://schema.org/Organization">
        <meta itemprop="name" content="{$settings->company_name|escape}" />
		<meta itemprop="address" content="{$settings->company_address|escape}" />
		<meta itemprop="telephone" content="{$settings->phone|escape}" />
		<link itemprop="url" href="{$config->root_url}" />
		<link itemprop="image" href="{$logo_url}" />
    </div>
	<meta content="{$page->last_modify|date_format:'c'}" itemprop="datePublished" />
	<meta content="{$page->last_modify|date_format:'c'}" itemprop="dateModified" />
	<meta content="{$meta_title|escape}" itemprop="headline" />
	{$seo_description = $meta_title|cat:$settings->seo_description|cat:" ✩ "|cat:$settings->site_name|cat:" ✩"}
	<meta content="{if !empty($meta_description)}{$meta_description|escape}{elseif !empty($seo_description)}{$seo_description|escape}{/if}" itemprop="description" />
	<link itemprop="mainEntityOfPage" href="{$config->root_url}{$canonical}" />
	<div style="display:none;" itemprop="image" itemscope itemtype="https://schema.org/ImageObject">
		{$img_url=$logo_url}
		<link itemprop="url contentUrl image" href="{$img_url}" />
		{assign var="info" value=$img_url|getimagesize}
		<meta itemprop="width" content="{$info.0}" />
		<meta itemprop="height" content="{$info.1}" />
	</div>
	{* Schema.org @ *}

	<div class="page-pg" itemprop="articleBody">
		{if !empty($metadata_page->description)}
			{$metadata_page->description}
		{elseif !empty($page->body)}
			{$page->body}
		{/if}
	</div>
</div>
{/if}

{if $settings->hidecomment == 0}
	{* Комментарии *}
	<div id="comments">
		{if $comments}
			<div class="post-pg">
				<h2 class="comments_title">Отзывы</h2>
			</div>
			{* Список с комментариями *}
			<ul class="comment_list">
				{foreach $comments as $comment}
				<li>
					<a name="comment_{$comment->id}"></a>
					<div class="comment_header" id="comment_{$comment->id}">	
						{$comment->name|escape} <i>{$comment->date|date}, {$comment->date|time}</i>
					</div>
					{if !$comment->approved}<div class="moderation">(на модерации)</div>{/if}
					<div class="comment_body">{if !empty($settings->allow_comment_tags)}{$comment->text|escape|nl2br|bbcode}{else}{$comment->text|escape|nl2br}{/if}</div>
			
					{if $comment->otvet}
					<div class="comment_admint">Администрация:</div>
					<div class="comment_admin">
						{$comment->otvet}
					</div>
					{/if}
				</li>
				{/foreach}
			</ul>
			{if $comments|count >10}	
				<input type='hidden' id='current_page' />
				<input type='hidden' id='show_per_page' />	
				<div class="separator"><div id="page_navigation" class="pagination"></div></div>
			{/if}
			{* Список с комментариями (The End) *}
		{else}
			<p class="post-pg">Пока нет отзывов</p>	
		{/if}
	
		{* Форма отправления комментария *}
	
		<form class="comment_form" method="post">
			<h2>Написать отзыв</h2>
			{if isset($error)}
			<div class="message_error">
				{if $error=='captcha'}Не пройдена проверка на бота
				{elseif $error=='empty_name'}Введите имя
				{elseif $error=='empty_comment'}Введите отзыв
				{elseif $error=='empty_email'}Введите Email
				{elseif $error == 'wrong_name'}В поле 'Имя' может использоваться только кириллица
				{elseif $error == 'wrong_email'}Некорректный Email
				{elseif $error == 'ip'}Вы уже оставляли отзыв
				{/if}
			</div>
			{/if}
			
			{if !empty($settings->allow_comment_tags)}<div class="comment_help">{$settings->comment_tags}</div>{/if}
			
			<textarea class="comment_textarea" id="comment_text" name="text" data-format=".+" data-notice="Введите отзыв" required>{if !empty($comment_text)}{$comment_text}{/if}</textarea>
			<div>

			<input style="margin-top:7px;" placeholder="* Имя" class="input_name" type="text" id="comment_name" name="name" value="{if !empty($comment_name)}{$comment_name|escape}{/if}" data-format=".+" data-notice="Введите имя" required/>

			<input style="margin-top:10px;" placeholder="* Email" class="input_name" type="email" id="comment_email" name="email" value="{if !empty($comment_email)}{$comment_email}{/if}" data-format=".+" data-notice="Введите Email" required/>

			<div class="captcha-block">
				{include file='antibot.tpl'}
			</div>
			{include file='conf.tpl'}
			<input class="button blue xl hideablebutton" type="submit" name="comment" value="Отправить" />

			</div>
		</form>

	</div>
{/if}