{if !empty($category->url)}
	{$canonical="/services/{$category->url}{if !empty($current_page_num) && $current_page_num>1}?page={$current_page_num}{/if}" scope=root}
{elseif !empty($keyword)}
	{$canonical="/services?keyword={$keyword|escape}" scope=root}
{else}
	{$canonical="/services{if !empty($current_page_num) && $current_page_num>1}?page={$current_page_num}{/if}" scope=root}
{/if}

{if !empty($keyword)}
	{$meta_title = $keyword scope=root}
	{$meta_description = $keyword scope=root}
	{$meta_keywords = $keyword scope=root}

	{if $serviceskey}
		<ul class="category_products separator">
			{foreach $serviceskey as $key}
			<li class="product" onClick="window.location='{$config->root_url}/services/{$key->url}'">
				<div class="image">
				{if $key->image}
					<img src="{$config->services_categories_images_dir}{$key->image}" alt="{$key->menu}" title="{$key->menu}" />
				{else}
					<svg class="nophoto"><use xlink:href='#folder' /></svg>
				{/if}
				</div>
				<div class="product_info">
					<div class="h3">{$key->menu}</div>
				</div>
			</li>
			{/foreach}
		</ul>
	{else}
		<div class="blog-pg">
			Услуг не найдено
		</div>
	{/if}
{else}
	{if empty($category) && empty($page)}
		{$h1_title = "Услуги" scope=root}
		{$meta_title = "Услуги" scope=root}
		{$meta_description = "Услуги" scope=root}
		{$meta_keywords = "Услуги" scope=root}
	{/if}

	{* Категории *}
	{if !empty($category->subcategories)}
		{$services_cats = $category->subcategories}
	{elseif !empty($services_categories) && empty($category)}	
		{$services_cats = $services_categories}
	{/if}	
	{if !empty($services_cats)}
	<ul class="category_products separator">
		{foreach $services_cats as $ac2}
			{if $ac2->visible}
			<li class="product" onClick="window.location='{$config->root_url}/services/{$ac2->url}'">
				<div class="image">
				{if $ac2->image}
					<img alt="{$ac2->menu|escape}" title="{$ac2->menu|escape}" src="{$config->services_categories_images_dir}{$ac2->image}" />
				{else}
					<svg class="nophoto"><use xlink:href='#folder' /></svg>
				{/if}
				</div>
				<div class="product_info">
					<div class="h3">{$ac2->menu|escape}</div>
				</div>
			</li>
			{/if}
			{/foreach}
		</ul>
	{/if}

	{* Описание страницы *}
	{if !empty($page->body) || !empty($category->description)}
		<div itemscope itemtype="http://schema.org/Article">
			{* Schema.org *}
			<div itemprop="author" itemscope itemtype="https://schema.org/Organization">
				<meta itemprop="name" content="{$settings->company_name|escape}" />
				<meta itemprop="address" content="{$settings->company_address|escape}" />
				<meta itemprop="telephone" content="{$settings->phone|escape}" />
				<link itemprop="url" href="{$config->root_url}" />
				<link itemprop="image" href="{$logo_url}" />
			</div>
			{if isset($category->last_modify)}
			<meta content="{$category->last_modify|date_format:'c'}" itemprop="datePublished" />
			<meta content="{$category->last_modify|date_format:'c'}" itemprop="dateModified" />
			{/if}
			<meta content="{$meta_title|escape}" itemprop="headline" />
			{$seo_description = $meta_title|cat:$settings->seo_description|cat:" ✩ "|cat:$settings->site_name|cat:" ✩"}
			<meta content="{if !empty($meta_description)}{$meta_description|escape}{elseif !empty($seo_description)}{$seo_description|escape}{/if}" itemprop="description" />
			<link itemprop="mainEntityOfPage" href="{$config->root_url}{$canonical}" /> 
			<div style="display:none;" itemprop="image" itemscope itemtype="https://schema.org/ImageObject">
				{if !empty($service->images[1])}
					{$img_url=$service->images[1]->filename|resize:1024:768:w:$config->resized_services_images_dir}
				{elseif !empty($category->image)}
					{$img_url=$config->services_categories_images_dir|cat:$category->image}
				{else}
					{$img_url=$logo_url}
				{/if}
				<link itemprop="url contentUrl image" href="{$img_url}" />
				{assign var="info" value=$img_url|getimagesize}
				<meta itemprop="width" content="{$info.0}" />
				<meta itemprop="height" content="{$info.1}" />
			</div>
			{* Schema.org @ *}
			<div class="page-pg" itemprop="articleBody" role="article">
				{if !empty($page->body)}
					{$page->body}
				{elseif !empty($category->description)}
					{$category->description}
				{/if}
			</div>
		</div>
	{/if}

	{if !empty($service->images)}
	<div id="gallerypic" class="tiny_products">	
		{foreach $service->images as $i=>$image}
			<div class="product">
				<div class="image"><a rel="gallery" href="{$image->filename|resize:1024:768:w:$config->resized_services_images_dir}" class="swipebox" title="{$category->name|escape}"><img alt="{$category->name|escape}" title="{$category->name|escape}" src="{$image->filename|resize:400:400:false:$config->resized_services_images_dir}" /></a>
				</div>
			</div>
		{/foreach}
	</div>
	{/if}

{/if}
