<?PHP
require_once('api/Fivecms.php');

class ImportAdmin extends Fivecms
{	
	public $import_files_dir = 'fivecms/files/import/';
	public $import_file = 'import.csv';
	public $allowed_extensions = array('csv', 'txt');
	private $locale = 'ru_RU.UTF-8';

	public function fetch()
	{
		$this->design->assign('import_files_dir', $this->import_files_dir);
		if(!is_writable($this->import_files_dir))
			$this->design->assign('message_error', 'no_permission');
		
		// Проверяем локаль
		if(setlocale(LC_ALL, 0) != $this->config->locale)
		{
			$this->design->assign('message_error', 'locale_error');
			$this->design->assign('locale', $this->config->locale);			
			$this->design->assign('current_locale', setlocale(LC_ALL, 0));			
		}
		
		if($this->request->method('post') && $this->request->files("file"))
		{
			$uploaded_name = $this->request->files("file", "tmp_name");
			$temp = tempnam($this->import_files_dir, 'temp_');
			if(!move_uploaded_file($uploaded_name, $temp))
				$this->design->assign('message_error', 'upload_error');
			
			if(!$this->convert_file($temp, $this->import_files_dir.$this->import_file))
				$this->design->assign('message_error', 'convert_error');
			else
				$this->design->assign('filename',  $this->request->files("file", "name"));
			unlink($temp);	
		}
		
		if($this->request->method('post') && $this->request->post('settings'))
        {
        	$this->settings->update_products = $this->request->post('update_products');
        	$this->settings->update_only = $this->request->post('update_only');
        	$this->settings->image_color_add = $this->request->post('image_color_add');
        	$this->settings->import_price = $this->request->post('import_price');
            $this->settings->d_name = $this->request->post('d_name');
			$this->settings->d_category = $this->request->post('d_category');
			$this->settings->category_delimiter = $this->request->post('category_delimiter');
			$this->settings->subcategory_delimiter = $this->request->post('subcategory_delimiter');
			$this->settings->d_brand = $this->request->post('d_brand');
			$this->settings->d_variant = $this->request->post('d_variant');
			$this->settings->d_variant1 = $this->request->post('d_variant1');
			$this->settings->d_variant2 = $this->request->post('d_variant2');
			$this->settings->d_price = $this->request->post('d_price');
			$this->settings->d_sku = $this->request->post('d_sku');
			$this->settings->d_stock = $this->request->post('d_stock');
			$this->settings->d_unit = $this->request->post('d_unit');
			$this->settings->d_currency_id = $this->request->post('d_currency_id');
			$this->settings->d_meta_title = $this->request->post('d_meta_title');
			$this->settings->d_meta_description = $this->request->post('d_meta_description');
			$this->settings->d_annotation = $this->request->post('d_annotation');
			$this->settings->d_description = $this->request->post('d_description');
			$this->settings->d_images = $this->request->post('d_images');
			$this->design->assign('message_success', 'updated');
        }
		
		return $this->design->fetch('import.tpl');
	}
	
	private function convert_file($source, $dest)
	{
		
		// Узнаем какая кодировка у файла
		$teststring = file_get_contents($source, false, null, 0, 250);
		$search_bom = $this->search_bom($teststring);
		$teststring = explode(';', $teststring);
		
		if (preg_match('//u', $teststring[0])) // Кодировка - UTF8
		{
			if($search_bom){
				if(!$src = fopen($source, "r"))
					return false;
			
				if(!$dst = fopen($dest, "w"))
					return false;
			
				while (($line = fgets($src, 4096)) !== false)
				{
					$line = $this->remove_utf8_bom($line);
					fwrite($dst, $line);
				}
				fclose($src);
				fclose($dst);
				return true;
			
			} else {
				// Просто копируем файл
				return copy($source, $dest);
			}
		}
		else
		{
			// Конвертируем в UFT8
			if(!$src = fopen($source, "r"))
				return false;
			
			if(!$dst = fopen($dest, "w"))
				return false;
			
			while (($line = fgets($src, 4096)) !== false)
			{
				$line = $this->win_to_utf($line);
				fwrite($dst, $line);
			}
			fclose($src);
			fclose($dst);
			return true;
		}
	}
	
	private function search_bom($str="") {
		if(substr($str, 0, 3) == pack('CCC', 0xef, 0xbb, 0xbf)) {
			return true;
		}
		return false;
	}
	
	private function remove_utf8_bom($text) {
		$bom = pack('H*','EFBBBF');
		while (preg_match("/^$bom/", $text)) {
			$text = preg_replace("/^$bom/", '', $text);
		}
		return $text;
	}
	
	private function win_to_utf($text)
	{
		if(function_exists('iconv'))
		{
			return @iconv('windows-1251', 'UTF-8', $text);
		}
		else
		{	
			$t = '';
			for($i=0, $m=strlen($text); $i<$m; $i++)
			{
				$c=ord($text[$i]);
				if ($c<=127) {$t.=chr($c); continue; }
				if ($c>=192 && $c<=207)    {$t.=chr(208).chr($c-48); continue; }
				if ($c>=208 && $c<=239) {$t.=chr(208).chr($c-48); continue; }
				if ($c>=240 && $c<=255) {$t.=chr(209).chr($c-112); continue; }
//				if ($c==184) { $t.=chr(209).chr(209); continue; };
//				if ($c==168) { $t.=chr(208).chr(129);  continue; };
				if ($c==184) { $t.=chr(209).chr(145); continue; }; #ё
				if ($c==168) { $t.=chr(208).chr(129); continue; }; #Ё
				if ($c==179) { $t.=chr(209).chr(150); continue; }; #і
				if ($c==178) { $t.=chr(208).chr(134); continue; }; #І
				if ($c==191) { $t.=chr(209).chr(151); continue; }; #ї
				if ($c==175) { $t.=chr(208).chr(135); continue; }; #ї
				if ($c==186) { $t.=chr(209).chr(148); continue; }; #є
				if ($c==170) { $t.=chr(208).chr(132); continue; }; #Є
				if ($c==180) { $t.=chr(210).chr(145); continue; }; #ґ
				if ($c==165) { $t.=chr(210).chr(144); continue; }; #Ґ
				if ($c==184) { $t.=chr(209).chr(145); continue; }; #Ґ            
			}
			return $t;
		}
	}
	
}

