<?PHP
require_once('api/Fivecms.php');

class MultichangesAdmin extends Fivecms
{	
	public function fetch()
	{
		if($this->request->method('post'))
		{
			$category_id = (int)$this->request->post("category_id");
			$brand_id = (int)$this->request->post("brand_id");
			$percent = (float)$this->request->post("percent");
			$round = $this->request->post("round");
			$old_price_mode = $this->request->post("old_price_mode");
			$allow_children = $this->request->post("allow_children");
			$discount = $this->request->post("discount");
			$stock_case = $this->request->post("stock_case");
			$change_stock = $this->request->post("change_stock");
			$stock = $this->request->post("stock");
			
			$if_to_yandex = $this->request->post("if_to_yandex");
			$if_featured = $this->request->post("if_featured");
			$if_is_new = $this->request->post("if_is_new");
			$if_visible = $this->request->post("if_visible");
			$to_yandex = $this->request->post("to_yandex");
			$featured = $this->request->post("featured");
			$is_new = $this->request->post("is_new");
			$visible = $this->request->post("visible");
			
			// Формируем набор параметров для выборки из БД
			$w=array();
			$p=array();
			
			// Выборка из товаров
			// По бренду
			if($brand_id>0){
				$w[]=$this->db->placehold("product_id IN (SELECT id FROM __products WHERE brand_id=? )", $brand_id);
				$p[]=$this->db->placehold("brand_id=?", $brand_id);
			}
			
			// По категории	
			// Применять ли к вложенным категориям	
			if($allow_children == 1){
				if($category_id>0){
					$w[]=$this->db->placehold("product_id IN (SELECT distinct product_id FROM __products_categories WHERE category_id=? )", $category_id);
					$p[]=$this->db->placehold("id IN (SELECT distinct product_id FROM __products_categories WHERE category_id=? )", $category_id);
				}	
			} else {	
				$category_children = array();
				if(!empty($category_id))
				{
					$category = $this->categories->get_category((int)$category_id);
					if(isset($category))
						$category_children = $category->children;
				}	
				if(!empty($category_children)){
					$w[]=$this->db->placehold("product_id IN (SELECT distinct product_id FROM __products_categories WHERE category_id in(?@) )", (array)$category_children);
					$p[]=$this->db->placehold("id IN (SELECT distinct product_id FROM __products_categories WHERE category_id in(?@) )", (array)$category_children);
				}
			}
			// Выборка из товаров @
			
			// Выборка из вариантов товаров
			// По остатку
			if(!empty($stock_case)){
				if($stock_case == 1)
					$w[]=$this->db->placehold("stock=0");
				elseif($stock_case == 2)
					$w[]=$this->db->placehold("stock IS NULL");
				elseif($stock_case == 3)
					$w[]=$this->db->placehold("stock<0");
				elseif($stock_case == 4)
					$w[]=$this->db->placehold("stock>0");	
			}
			// Выборка из вариантов товаров @
			
			// Доп. параметры товаров
			if(isset($if_to_yandex) && is_numeric($if_to_yandex)){
				$p[]=$this->db->placehold("to_yandex=$if_to_yandex");
			}
			if(isset($if_featured) && is_numeric($if_featured)){
				$p[]=$this->db->placehold("featured=$if_featured");
			}
			if(isset($if_is_new) && is_numeric($if_is_new)){
				$p[]=$this->db->placehold("is_new=$if_is_new");
			}
			if(isset($if_visible) && is_numeric($if_visible)){
				$p[]=$this->db->placehold("visible=$if_visible");
			}
			
			// Доп. параметры товаров
			
			if($w){
				$w="WHERE ". join(' AND ', $w);
				$p="WHERE ". join(' AND ', $p);
			} else {
				$w='';
				$p='';
			}
			// Формируем набор параметров для выборки из БД @
			
			if($this->request->post("sent")){
				// Манипуляции с вариантами товаров
				// Изменение цены и старой цены
				if(!empty($percent)){
					$q="UPDATE __variants SET price=price*(1+$percent/100) ".$w;
					$o="UPDATE __variants SET compare_price=compare_price*(1+$percent/100) ".$w;
			
					if($round!='none' || $round!='cel'){
						if($round>2) $round=2;
						if($round<-3) $round=-3;
						$q="UPDATE __variants SET price=round(price*(1+$percent/100),$round) ".$w;
						$o="UPDATE __variants SET compare_price=round(compare_price*(1+$percent/100),$round) ".$w;
					}
			
					if($round=='cel'){
						$q="UPDATE __variants SET price=round(price*(1+$percent/100)) ".$w;
						$o="UPDATE __variants SET compare_price=round(compare_price*(1+$percent/100)) ".$w;
					}

					if($round=='none'){
						$q="UPDATE __variants SET price=price*(1+$percent/100) ".$w;
						$o="UPDATE __variants SET compare_price=compare_price*(1+$percent/100) ".$w;
					}
				
					if($old_price_mode != 1){
						if($old_price_mode == 2)
							$o="UPDATE __variants SET compare_price=price ".$w;
						elseif($old_price_mode == 3)
							$o="UPDATE __variants SET compare_price=0 ".$w;
					}
			
					$o = $this->db->placehold($o);
					$this->db->query($o);
			
					$q = $this->db->placehold($q);
					$this->db->query($q);
				}
				// Изменение цены и старой цены @	
			
				// Изменение скидки в варианте товара
				if(isset($discount)){
					if(is_numeric($discount)){
						$d="UPDATE __variants SET discount=$discount ".$w;
						$d = $this->db->placehold($d);
						$this->db->query($d);
						// До какой даты скидка
						if(!empty($this->request->post('discount_date'))) {
							$discount_date = date('Y-m-d H:i', strtotime($this->request->post('discount_date')));
							$dd="UPDATE __variants SET discount_date='".$discount_date."' ".$w;
						} else {
							$dd="UPDATE __variants SET discount_date=null ".$w;	
						}
						$dd = $this->db->placehold($dd);
						$this->db->query($dd);
					
					} elseif(!empty($discount)) {
						$this->design->assign('message_error',  'non_numeric');
					}
				}
				// Изменение скидки в варианте товара @
			
				// Изменение остатка варианта товара
				if(!empty($change_stock) && isset($stock)){
					if(is_numeric($stock)){
						$stock = (int)$stock;
						if(is_int($stock)){
							$s="UPDATE __variants SET stock=$stock ".$w;
							$s = $this->db->placehold($s);
							$this->db->query($s);
						} else {
							$this->design->assign('message_error',  'non_integer');
						}
					} elseif($stock == 'null') {
						$s="UPDATE __variants SET stock=null ".$w;
						$s = $this->db->placehold($s);
						$this->db->query($s);
					}
				}
				// Изменение остатка варианта товара @
			} elseif ($this->request->post("prods")){
				// Манипуляции с товарами
				if(isset($to_yandex) && is_numeric($to_yandex)){
					$prods="UPDATE __products SET to_yandex=$to_yandex ".$p;
					$prods = $this->db->placehold($prods);
					$this->db->query($prods);
				}
				if(isset($featured) && is_numeric($featured)){
					$prods="UPDATE __products SET featured=$featured ".$p;
					$prods = $this->db->placehold($prods);
					$this->db->query($prods);
				}
				if(isset($is_new) && is_numeric($is_new)){
					$prods="UPDATE __products SET is_new=$is_new ".$p;
					$prods = $this->db->placehold($prods);
					$this->db->query($prods);
				}
				if(isset($visible) && is_numeric($visible)){
					$prods="UPDATE __products SET visible=$visible ".$p;
					$prods = $this->db->placehold($prods);
					$this->db->query($prods);
				}
			}
			
			$this->design->assign('message_success',  'Выполнено');
		}

		if(isset($brand_id))
			$this->design->assign('brand_id', $brand_id);
		if(isset($category_id))	
			$this->design->assign('category_id', $category_id);
		if(isset($percent))		
			$this->design->assign('percent', $percent);
		if(isset($round))			
			$this->design->assign('round', $round);
		if(isset($old_price_mode))			
			$this->design->assign('old_price_mode', $old_price_mode);
		if(isset($allow_children))		
			$this->design->assign('allow_children', $allow_children);
		if(isset($discount))		
			$this->design->assign('discount', $discount);
		if(isset($discount_date))		
			$this->design->assign('discount_date', $discount_date);
		if(isset($stock_case))		
			$this->design->assign('stock_case', $stock_case);
		if(isset($change_stock))			
			$this->design->assign('change_stock', $change_stock);
		if(isset($stock))		
			$this->design->assign('stock', $stock);
		if(isset($to_yandex))		
			$this->design->assign('to_yandex', $to_yandex);	
		if(isset($featured))		
			$this->design->assign('featured', $featured);	
		if(isset($is_new))		
			$this->design->assign('is_new', $is_new);	
		if(isset($visible))		
			$this->design->assign('visible', $visible);
		if(isset($if_to_yandex))		
			$this->design->assign('if_to_yandex', $if_to_yandex);	
		if(isset($if_featured))		
			$this->design->assign('if_featured', $if_featured);	
		if(isset($if_is_new))		
			$this->design->assign('if_is_new', $if_is_new);	
		if(isset($if_visible))		
			$this->design->assign('if_visible', $if_visible);		
			
		$categories = $this->categories->get_categories_tree();
		$this->design->assign('categories', $categories);

		$brands = $this->brands->get_brands();
		$this->design->assign('brands', $brands);
		
		return $this->design->fetch('multichanges.tpl');
	}
	
}
