<?PHP

require_once('api/Fivecms.php');

class OrderAdmin extends Fivecms
{
	public function fetch()
	{
		$order = new stdClass;
		if($this->request->method('post'))
		{
			$order->id = $this->request->post('id', 'integer');
			$order->name = $this->request->post('name');
			$order->email = $this->request->post('email');
			$order->phone = $this->request->post('phone');
			$order->address = $this->request->post('address');
			if(!empty($this->request->post('shipping_date'))) 
				$order->shipping_date = date('Y-m-d H:i', strtotime($this->request->post('shipping_date')));
			if($this->request->post('calc')) $order->calc = $this->request->post('calc');
			$order->comment = $this->request->post('comment');
			$order->note = $this->request->post('note');
			$order->track = $this->request->post('track');
			$order->discount = $this->request->post('discount', 'float');
			$order->bonus_discount = $this->request->post('bonus_discount', 'float');
			$order->coupon_discount = $this->request->post('coupon_discount', 'float');
			$order->delivery_id = $this->request->post('delivery_id', 'integer');
			$order->delivery_price = $this->request->post('delivery_price', 'float');
			$order->payment_method_id = $this->request->post('payment_method_id', 'integer');
			$order->paid = $this->request->post('paid', 'integer');
			$order->user_id = $this->request->post('user_id', 'integer');
			$order->separate_delivery = $this->request->post('separate_delivery', 'integer');
			$order->source = $this->request->post('source', 'integer');
				 
	 		if(!$order_labels = $this->request->post('order_labels'))
	 			$order_labels = array();			

			if(empty($order->id)){
  				$order->id = $this->orders->add_order($order);
				$this->design->assign('message_success', 'added');
  			} else {
    			if($order->paid == 1) {
					$this->orders->set_pay($order->id);
				} elseif($order->paid == 0){
					$this->orders->unset_pay($order->id);
				}
    			$this->orders->update_order($order->id, $order);
				$this->design->assign('message_success', 'updated');
    		}	

	    	$this->orders->update_order_labels($order->id, $order_labels);
			
			// Если заказ существует
			if($order->id)
			{
				// Покупки
				$purchases = array();
				if($this->request->post('purchases'))
				{
					foreach($this->request->post('purchases') as $n=>$va) foreach($va as $i=>$v)
						{
						if(empty($purchases[$i]))
							$purchases[$i] = new stdClass;
						$purchases[$i]->$n = $v;
						}
				}		
				$posted_purchases_ids = array();
				foreach($purchases as $purchase)
				{
					$variant = $this->variants->get_variant($purchase->variant_id);

					if(!empty($purchase->id))
						if(!empty($variant))
							$this->orders->update_purchase($purchase->id, array('variant_id'=>$purchase->variant_id, 'variant_name'=>$variant->name, 'sku'=>$variant->sku, 'price'=>$purchase->price, 'amount'=>$purchase->amount));
						else
							$this->orders->update_purchase($purchase->id, array('price'=>$purchase->price, 'amount'=>$purchase->amount));
					else
						$purchase->id = $this->orders->add_purchase(array('order_id'=>$order->id, 'variant_id'=>$purchase->variant_id, 'variant_name'=>$variant->name, 'price'=>$purchase->price, 'amount'=>$purchase->amount));
						
					$posted_purchases_ids[] = $purchase->id;			
				}
				
				// Удалить непереданные товары
				foreach($this->orders->get_purchases(array('order_id'=>$order->id)) as $p)
					if(!in_array($p->id, $posted_purchases_ids))
						$this->orders->delete_purchase($p->id);
					
				// Принять
				if($this->request->post('status_new'))
					$new_status = 0;
				elseif($this->request->post('status_new_two'))
					$new_status = 4;
				elseif($this->request->post('status_accept'))
					$new_status = 1;
				elseif($this->request->post('status_done'))
					$new_status = 2;
				elseif($this->request->post('status_deleted'))
					$new_status = 3;
				else
					$new_status = $this->request->post('status', 'string');

				// Возврат бонусов
				if($this->request->post('return_bonus')) {
					if($order->user_id) {
						$user = $this->users->get_user(intval($order->user_id));
						if(!empty($user)) {
							$this->users->update_user($user->id, array('balance' => ($user->balance + $order->bonus_discount)));
							$this->orders->update_order($order->id, array('bonus_discount'=>0));
						}
					}  
				}
	
				if($new_status == 0)					
				{
					if(!$this->orders->open(intval($order->id)))
						$this->design->assign('message_error', 'error_open');
					else
						$this->orders->update_order($order->id, array('status'=>0));
				}
				elseif($new_status == 4)					
				{
					if(!$this->orders->open(intval($order->id)))
						$this->design->assign('message_error', 'error_open');
					else
						$this->orders->update_order($order->id, array('status'=>4));
				}
				elseif($new_status == 1)					
				{
					if(!$this->orders->close(intval($order->id)))
						$this->design->assign('message_error', 'error_closing');
					else
						$this->orders->update_order($order->id, array('status'=>1));
				}
				elseif($new_status == 2)					
				{
					if(!$this->orders->close(intval($order->id)))
						$this->design->assign('message_error', 'error_closing');
					else
						$this->orders->update_order($order->id, array('status'=>2));
				}
				elseif($new_status == 3)					
				{
					if(!$this->orders->open(intval($order->id)))
						$this->design->assign('message_error', 'error_open');
					else
						$this->orders->update_order($order->id, array('status'=>3));
					//header('Location: '.$this->request->get('return'));
				}
				$order = $this->orders->get_order($order->id);
				
				// функционал загрузки файлов
					$files 		= array();
					$files 		= (array)$this->request->post('files');

					// Удаление файлов
					$current_files = $this->files->get_files(array('object_id'=>$order->id,'type'=>'order'));
					foreach($current_files as $file)
						if(!in_array($file->id, $files['id']))
								$this->files->delete_file($file->id);

					// Порядок файлов
					if($files = $this->request->post('files')){
						$i=0;
						foreach($files['id'] as $k=>$id)
						{
							$this->files->update_file($id, array('name'=>$files['name'][$k],'position'=>$i));
							$i++;
						}
					}

					// Загрузка файлов
					$upload_max_filesize = $this->settings->maxattachment * 1024 * 1024;
					if($files = $this->request->files('files')){
						for($i=0; $i<count($files['name']); $i++)
						{
							if(isset($files['name']['size']) && $files['name']['size'] < $upload_max_filesize) {
								if ($file_name = $this->files->upload_file($files['tmp_name'][$i], $files['name'][$i])){
									$this->files->add_file($order->id, 'order', $file_name);
								}
								else {
									$this->design->assign('error', 'error uploading file');
								}
							}
						}
					}
				// функционал загрузки файлов end
				
				// Отправляем письмо пользователю
				if($this->request->post('notify_user'))
					$this->notify->email_order_user($order->id);
			}

		}
		else
		{
			$order->id = $this->request->get('id', 'integer');
			$order = $this->orders->get_order(intval($order->id));
			// Метки заказа
			$order_labels = array();
			if(isset($order->id))
			foreach($this->orders->get_order_labels($order->id) as $ol)
				$order_labels[] = $ol->id;			
		}

		$subtotal = 0;
		$purchases_count = 0;
		if($order && $purchases = $this->orders->get_purchases(array('order_id'=>$order->id)))
		{
			// Покупки
			$products_ids = array();
			$variants_ids = array();
			foreach($purchases as $purchase)
			{
				$products_ids[] = $purchase->product_id;
				$variants_ids[] = $purchase->variant_id;
			}
			
			$products = array();
			//foreach($this->products->get_products(array('id'=>$products_ids)) as $p)
			foreach($this->products->get_products(array('id'=>$products_ids, 'limit'=>count($products_ids))) as $p)
				$products[$p->id] = $p;
	
			$images = $this->products->get_images(array('product_id'=>$products_ids));		
			foreach($images as $image)
				$products[$image->product_id]->images[] = $image;
			
			$variants = array();
			foreach($this->variants->get_variants(array('product_id'=>$products_ids)) as $v)
				$variants[$v->id] = $v;
			
			foreach($variants as $variant)
				if(!empty($products[$variant->product_id]))
					$products[$variant->product_id]->variants[] = $variant;
			
			$total_weight = 0;
			$total_volume = 0;
			foreach($purchases as &$purchase)
			{
				if(!empty($products[$purchase->product_id]))
					$purchase->product = $products[$purchase->product_id];
				if(!empty($variants[$purchase->variant_id]))
					$purchase->variant = $variants[$purchase->variant_id];
				$subtotal += $purchase->price*$purchase->amount;
				$total_weight += $purchase->amount*$this->features->get_product_option_weight($purchase->product_id);
				$total_volume += $purchase->amount*$this->features->get_product_option_volume($purchase->product_id);
				$purchases_count += $purchase->amount;				
			}			

			if($this->request->get('view') == 'print'){
				function cmp($a1, $b1) 
				{
					$a=$a1->product_name;
					$b=$b1->product_name;
				    if ($a == $b) {
				        return 0;
				    }
				    return ($a < $b) ? -1 : 1;
				}
				usort($purchases, "cmp");
			}
			
		}
		else
		{
			$purchases = array();
		}

		// Если новый заказ и передали get параметры
		if(empty($order->id))
		{
			$order = new stdClass;
			if(empty($order->phone))
				$order->phone = $this->request->get('phone', 'string');
			if(empty($order->name))
				$order->name = $this->request->get('name', 'string');
			if(empty($order->address))
				$order->address = $this->request->get('address', 'string');
			if(empty($order->email))
				$order->email = $this->request->get('email', 'string');
		}

		if(empty($total_weight)) $total_weight = 0;
		if(empty($total_volume)) $total_volume = 0;
		
		$this->design->assign('purchases', $purchases);
		$this->design->assign('purchases_count', $purchases_count);
		$this->design->assign('total_weight', $total_weight);
		$this->design->assign('total_volume', $total_volume);
		$this->design->assign('subtotal', $subtotal);
		$this->design->assign('order', $order);

		if(!empty($order->id))
		{
			// Способ доставки
			$delivery = $this->delivery->get_delivery($order->delivery_id);
			$this->design->assign('delivery', $delivery);
	
			// Способ оплаты
			$payment_method = $this->payment->get_payment_method($order->payment_method_id);
			
			if(!empty($payment_method))
			{
				$this->design->assign('payment_method', $payment_method);
		
				// Валюта оплаты
				$payment_currency = $this->money->get_currency(intval($payment_method->currency_id));
				$this->design->assign('payment_currency', $payment_currency);
			}
			// Пользователь
			if($order->user_id)
				$this->design->assign('user', $this->users->get_user(intval($order->user_id)));
	
			// Соседние заказы
			$this->design->assign('next_order', $this->orders->get_next_order($order->id, $this->request->get('status', 'string')));
			$this->design->assign('prev_order', $this->orders->get_prev_order($order->id, $this->request->get('status', 'string')));
			
			// функционал загрузки файлов
			$files = $this->files->get_files(array('object_id'=>$order->id,'type'=>'order')); 	
			$this->design->assign('cms_files', $files);
			// функционал загрузки файлов end
		}

		// Все способы доставки
		$deliveries = $this->delivery->get_deliveries();
		$this->design->assign('deliveries', $deliveries);

		// Все способы оплаты
		$payment_methods = $this->payment->get_payment_methods();
		$this->design->assign('payment_methods', $payment_methods);
		
		// Рассчетная скидка
		$discount_default = 0;
		if(!empty($order->user_id))
			$user_id = $order->user_id;
		else
			$user_id = 0;	
			
		$discount_default = (int)$this->discountgroup->get_procent_discount($subtotal,$user_id);
		$this->design->assign('discount_default', $discount_default);

		// Метки заказов
	  	$labels = $this->orders->get_labels();
	 	$this->design->assign('labels', $labels);
	  	
	 	$this->design->assign('order_labels', $order_labels);	  	

		$this->design->assign('tabs_count', $this->orders->all_count_orders());		
		
		if($this->request->get('view') == 'print')
		{
 		  	return $this->design->fetch('order_print.tpl');
		}
 	  	else
		{
	 	  	return $this->design->fetch('order.tpl');
		}

	}
}