<?php

require_once('api/Fivecms.php');
$fivecms = new Fivecms();

header("Content-type: text/xml; charset=UTF-8");

// Заголовок
print
"<?xml version='1.0'?>
<rss xmlns:g='http://base.google.com/ns/1.0' version='2.0'>

<channel>
<title>".htmlspecialchars($fivecms->settings->site_name)."</title>
<link>".$fivecms->config->root_url."</link>
<description>".htmlspecialchars($fivecms->settings->company_name)."</description>
";

// Валюты
$currencies = $fivecms->money->get_currencies(array('enabled'=>1));
$all_currencies = $fivecms->money->get_currencies();
$main_currency = reset($currencies);
$currency_code = $main_currency->code;
$precision = isset($main_currency->cents)?$main_currency->cents:2;

// Категории (1)
/*$categories = array();
foreach($fivecms->categories->get_categories() as $c){
  $categories[$c->id][] = $c->name;
  $parent_categories[$c->id][] = $c->parent_id;
}*/

$fivecms->db->query("SET SQL_BIG_SELECTS=1");

// Изображения
$images = array();
foreach($fivecms->products->get_images() as $i){
  $images[$i->product_id][$i->filename] = $i->color;
}

// Товары
$fivecms->db->query("SELECT v.price, v.id as variant_id, p.name as product_name, v.name as variant_name, v.position as variant_position, v.sku AS variant_sku, v.discount, v.discount_date, v.currency_id, v.name2 AS color, p.id as product_id, p.url, p.annotation, p.body, p.meta_description, pc.category_id, b.name AS brand
					FROM __variants v LEFT JOIN __products p ON v.product_id=p.id
					LEFT JOIN __brands b ON b.id = p.brand_id 
					LEFT JOIN __products_categories pc ON p.id = pc.product_id AND pc.position=(SELECT MIN(position) FROM __products_categories WHERE product_id=p.id LIMIT 1)	
					WHERE p.visible AND (v.stock >0 OR v.stock is NULL) AND p.to_yandex GROUP BY v.id ORDER BY p.id, v.position ");

// В цикле мы используем не results(), a result(), то есть выбираем из базы товары по одному,
// так они нам одновременно не нужны - мы всё равно сразу же отправляем товар на вывод.
// Таким образом используется памяти только под один товар
$prev_product_id = null;
while($p = $fivecms->db->result())
{
	$variant_url = '';
	if($prev_product_id === $p->product_id)
		$variant_url = '?variant='.$p->variant_id;
	$prev_product_id = $p->product_id;
	
	// Variant discount
	if($fivecms->settings->variant_discount && $p->discount > 0){
        if( (!empty($p->discount_date) && strtotime($p->discount_date) > time()) || empty($p->discount_date) ){
			$p->price = $p->price*(100-$p->discount)/100;
		}
    }
	
	// Multicurrency
	if($p->currency_id > 0) {
		$price = round($p->price * $all_currencies[$p->currency_id]->rate_to / $all_currencies[$p->currency_id]->rate_from,$precision);
	} else {
		$price = round($fivecms->money->convert($p->price, $main_currency->id, false),$precision);
	}

	//if(!empty($p->image)){			
	if(!empty($images[$p->product_id])){
		$p_body = trim(htmlspecialchars(strip_tags($p->body)));
		$p_annotation = trim(htmlspecialchars(strip_tags($p->annotation)));
		$p_meta_description = trim($p->meta_description);
		$descr = '';
		$annot = '';
		$description = '';
		if(!empty($p_body))
			$descr = $p_body;
		if(!empty($p_annotation))
			$annot = $p_annotation;
		if(!empty($p_meta_description))
			$meta_d = $p_meta_description;
		
		// Если нет аннотации и/или описания, то стараемся вывести хоть что-то
		if(empty($annot) && !empty($descr))
			$annot = $descr;
		elseif(empty($descr) && !empty($annot))
			$descr = $annot;
		elseif(empty($descr) && empty($annot) && !empty($meta_d))
			$annot = $descr = $meta_d;
	
		if(empty($fivecms->settings->short_description) && !empty($annot))
			$description = $annot;
		elseif(!empty($descr))
			$description = $descr;	
			
		print
		"
		<item>
			<g:id>".$p->variant_id."</g:id>
			<g:title>".htmlspecialchars($p->product_name).($p->variant_name?' '.htmlspecialchars($p->variant_name):'')."</g:title>";
			if(!empty($description))
				print "<g:description>".$description."</g:description>";
			print "<g:link>".$fivecms->config->root_url.'/products/'.$p->url.$variant_url."</g:link>";
			print "
			<g:price>$price $currency_code</g:price>
			<g:condition>new</g:condition>
			<g:availability>in stock</g:availability>
			";
			
			if(isset($images[$p->product_id])) {
				$cnt=0;
				foreach($images[$p->product_id] as $v=>$col) {
					if($cnt<10){
						if( empty($p->color) || ( !empty($p->color) && ($p->color == $col || empty($col)) ) ){
							if(empty($cnt)){
								print "<g:image_link>".$fivecms->design->resize_modifier($v, 1024, 768, 'w')."</g:image_link>";
							} else {
								print "<g:additional_image_link>".$fivecms->design->resize_modifier($v, 1024, 768, 'w')."</g:additional_image_link>";
							}
							$cnt++;
						} 
					}
				}
			}
			
			if($p->brand)
				print "<g:brand>".$p->brand."</g:brand>";
	
			// Категории (2)
			/*if(isset($categories[$p->category_id])){
				$c = $categories[$p->category_id];
			}	

			if(isset($parent_categories[$p->category_id])){
				$parent_id = $parent_categories[$p->category_id];
				$p_id = $parent_id[0];
				$parentc = $categories[$p_id];
			}	

			if(!empty($parentc[0]))
				$path = htmlspecialchars($parentc[0]).' &gt; '.htmlspecialchars($c[0]);
			else
				$path = htmlspecialchars($c[0]);

			if(!empty($path))
				print "<g:product_type>$path</g:product_type>";*/
			// Категории @ (2)

			if(!empty($p->variant_sku))	
				print "<g:mpn>$p->variant_sku</g:mpn>";
			else
				print "<g:mpn>$p->variant_id</g:mpn>";

			print "<g:adult>no</g:adult>";	

		print "</item>";
	}
}
print "</channel>
";

print "</rss>
";